!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2055/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2689)%branchR2(0:1))
      call avR2(2689, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(2689, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3658)%branchR2(0:1))
      call avR2(3658, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2200/))

      call avR2(3658, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2016)%branchR2(0:0))
      call avR2(2016, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(641)%branchR2(0:1))
      call avR2(641, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(641, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(1382)%branchR2(0:0))
      call avR2(1382, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(2687)%branchR2(0:0))
      call avR2(2687, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3233)%branchR2(0:0))
      call avR2(3233, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1062)%branchR2(0:0))
      call avR2(1062, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(1549)%branchR2(0:0))
      call avR2(1549, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3659)%branchR2(0:1))
      call avR2(3659, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3659, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(1974)%branchR2(0:0))
      call avR2(1974, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(1006)%branchR2(0:0))
      call avR2(1006, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2080)%branchR2(0:0))
      call avR2(2080, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(67)%branchR2(0:1))
      call avR2(67, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(67, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(2060)%branchR2(0:0))
      call avR2(2060, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(471)%branchR2(0:0))
      call avR2(471, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(502)%branchR2(0:1))
      call avR2(502, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(502, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(3660)%branchR2(0:0))
      call avR2(3660, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2388)%branchR2(0:0))
      call avR2(2388, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(2453)%branchR2(0:0))
      call avR2(2453, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2175)%branchR2(0:0))
      call avR2(2175, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(2842)%branchR2(0:0))
      call avR2(2842, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(1904)%branchR2(0:0))
      call avR2(1904, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(3164)%branchR2(0:0))
      call avR2(3164, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(51)%branchR2(0:1))
      call avR2(51, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(51, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(2647)%branchR2(0:0))
      call avR2(2647, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(993)%branchR2(0:1))
      call avR2(993, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(993, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1137)%branchR2(0:0))
      call avR2(1137, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1562)%branchR2(0:1))
      call avR2(1562, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(1562, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(3661)%branchR2(0:1))
      call avR2(3661, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3661, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      allocate(vertices(1559)%branchR2(0:0))
      call avR2(1559, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3466)%branchR2(0:0))
      call avR2(3466, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(3662)%branchR2(0:0))
      call avR2(3662, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2757)%branchR2(0:0))
      call avR2(2757, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3663)%branchR2(0:0))
      call avR2(3663, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2925)%branchR2(0:0))
      call avR2(2925, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(1649)%branchR2(0:0))
      call avR2(1649, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(3465)%branchR2(0:0))
      call avR2(3465, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3664)%branchR2(0:0))
      call avR2(3664, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3665)%branchR2(0:0))
      call avR2(3665, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(3666)%branchR2(0:1))
      call avR2(3666, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2165/))

      call avR2(3666, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2010)%branchR2(0:0))
      call avR2(2010, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1408)%branchR2(0:0))
      call avR2(1408, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1825)%branchR2(0:0))
      call avR2(1825, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,       &
      nGC_2076/))

      allocate(vertices(1960)%branchR2(0:0))
      call avR2(1960, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1071)%branchR2(0:1))
      call avR2(1071, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1071, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(131)%branchR2(0:0))
      call avR2(131, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1210)%branchR2(0:1))
      call avR2(1210, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1210, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2804)%branchR2(0:0))
      call avR2(2804, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2343)%branchR2(0:0))
      call avR2(2343, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1519)%branchR2(0:0))
      call avR2(1519, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(2073)%branchR2(0:0))
      call avR2(2073, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3503)%branchR2(0:0))
      call avR2(3503, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1533)%branchR2(0:0))
      call avR2(1533, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2151)%branchR2(0:0))
      call avR2(2151, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2178)%branchR2(0:0))
      call avR2(2178, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3667)%branchR2(0:0))
      call avR2(3667, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(3526)%branchR2(0:0))
      call avR2(3526, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1031)%branchR2(0:1))
      call avR2(1031, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(1031, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(2116)%branchR2(0:0))
      call avR2(2116, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(667)%branchR2(0:1))
      call avR2(667, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(667, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(2712)%branchR2(0:0))
      call avR2(2712, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2310)%branchR2(0:0))
      call avR2(2310, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2525)%branchR2(0:0))
      call avR2(2525, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2408)%branchR2(0:0))
      call avR2(2408, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3668)%branchR2(0:1))
      call avR2(3668, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3668, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2064, nGC_2064,      &
      nGC_2064/))

      allocate(vertices(3669)%branchR2(0:0))
      call avR2(3669, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2706)%branchR2(0:0))
      call avR2(2706, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2811)%branchR2(0:0))
      call avR2(2811, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3670)%branchR2(0:1))
      call avR2(3670, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3670, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2386)%branchR2(0:0))
      call avR2(2386, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2410)%branchR2(0:0))
      call avR2(2410, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2697)%branchR2(0:0))
      call avR2(2697, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2513)%branchR2(0:0))
      call avR2(2513, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1309)%branchR2(0:0))
      call avR2(1309, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(2087)%branchR2(0:0))
      call avR2(2087, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1782/))

      allocate(vertices(196)%branchR2(0:0))
      call avR2(196, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(2339)%branchR2(0:1))
      call avR2(2339, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(2339, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2599)%branchR2(0:0))
      call avR2(2599, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2714)%branchR2(0:0))
      call avR2(2714, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3567)%branchR2(0:0))
      call avR2(3567, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(609)%branchR2(0:0))
      call avR2(609, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3030)%branchR2(0:0))
      call avR2(3030, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(250)%branchR2(0:1))
      call avR2(250, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(250, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3671)%branchR2(0:0))
      call avR2(3671, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(393)%branchR2(0:1))
      call avR2(393, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(393, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(1978)%branchR2(0:0))
      call avR2(1978, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3105)%branchR2(0:0))
      call avR2(3105, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2266)%branchR2(0:0))
      call avR2(2266, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2246)%branchR2(0:0))
      call avR2(2246, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(3181)%branchR2(0:0))
      call avR2(3181, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3672)%branchR2(0:1))
      call avR2(3672, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2172/))

      call avR2(3672, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(2224)%branchR2(0:0))
      call avR2(2224, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(3673)%branchR2(0:0))
      call avR2(3673, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(743)%branchR2(0:1))
      call avR2(743, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(743, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(2026)%branchR2(0:0))
      call avR2(2026, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2092)%branchR2(0:0))
      call avR2(2092, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2416)%branchR2(0:1))
      call avR2(2416, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(2416, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3674)%branchR2(0:1))
      call avR2(3674, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3674, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2515)%branchR2(0:0))
      call avR2(2515, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2459)%branchR2(0:1))
      call avR2(2459, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(2459, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(2824)%branchR2(0:0))
      call avR2(2824, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(685)%branchR2(0:0))
      call avR2(685, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2794)%branchR2(0:0))
      call avR2(2794, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_1699, nGC_1713,       &
      nGC_1713, nGC_1700/))

      allocate(vertices(2496)%branchR2(0:0))
      call avR2(2496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1495)%branchR2(0:1))
      call avR2(1495, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(1495, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1989)%branchR2(0:0))
      call avR2(1989, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2204,       &
      nGC_2205/))

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(711)%branchR2(0:0))
      call avR2(711, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1365)%branchR2(0:0))
      call avR2(1365, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2167)%branchR2(0:0))
      call avR2(2167, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2730)%branchR2(0:0))
      call avR2(2730, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,       &
      nGC_2078/))

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2044)%branchR2(0:0))
      call avR2(2044, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(887)%branchR2(0:0))
      call avR2(887, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1684)%branchR2(0:0))
      call avR2(1684, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2466)%branchR2(0:0))
      call avR2(2466, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2627)%branchR2(0:0))
      call avR2(2627, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3442)%branchR2(0:0))
      call avR2(3442, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3675)%branchR2(0:0))
      call avR2(3675, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1547)%branchR2(0:0))
      call avR2(1547, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(3676)%branchR2(0:5))
      call avR2(3676, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3676, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3676, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2107, nGC_2107,      &
      nGC_2107/))

      call avR2(3676, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3676, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3676, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1989/))

      allocate(vertices(2612)%branchR2(0:0))
      call avR2(2612, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(3106)%branchR2(0:0))
      call avR2(3106, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2359)%branchR2(0:0))
      call avR2(2359, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1781/))

      allocate(vertices(3068)%branchR2(0:0))
      call avR2(3068, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(2682)%branchR2(0:0))
      call avR2(2682, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2514)%branchR2(0:0))
      call avR2(2514, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(908)%branchR2(0:1))
      call avR2(908, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(908, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2261)%branchR2(0:0))
      call avR2(2261, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2782)%branchR2(0:0))
      call avR2(2782, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3086)%branchR2(0:0))
      call avR2(3086, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(2852)%branchR2(0:0))
      call avR2(2852, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3285)%branchR2(0:0))
      call avR2(3285, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2372)%branchR2(0:0))
      call avR2(2372, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(3403)%branchR2(0:0))
      call avR2(3403, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3464)%branchR2(0:0))
      call avR2(3464, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1199)%branchR2(0:0))
      call avR2(1199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2481)%branchR2(0:1))
      call avR2(2481, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(2481, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(3556)%branchR2(0:0))
      call avR2(3556, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2566)%branchR2(0:0))
      call avR2(2566, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(3229)%branchR2(0:0))
      call avR2(3229, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1070)%branchR2(0:0))
      call avR2(1070, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1712)%branchR2(0:0))
      call avR2(1712, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2448)%branchR2(0:1))
      call avR2(2448, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1974/))

      call avR2(2448, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3677)%branchR2(0:0))
      call avR2(3677, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(3678)%branchR2(0:0))
      call avR2(3678, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1573)%branchR2(0:0))
      call avR2(1573, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1400)%branchR2(0:0))
      call avR2(1400, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2968)%branchR2(0:0))
      call avR2(2968, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(3467)%branchR2(0:0))
      call avR2(3467, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(780)%branchR2(0:0))
      call avR2(780, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2620)%branchR2(0:0))
      call avR2(2620, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1812)%branchR2(0:0))
      call avR2(1812, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(2208)%branchR2(0:0))
      call avR2(2208, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(850)%branchR2(0:0))
      call avR2(850, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(2451)%branchR2(0:0))
      call avR2(2451, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2183)%branchR2(0:0))
      call avR2(2183, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(30)%branchR2(0:0))
      call avR2(30, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2512)%branchR2(0:0))
      call avR2(2512, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(84)%branchR2(0:0))
      call avR2(84, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(1796)%branchR2(0:0))
      call avR2(1796, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3520)%branchR2(0:0))
      call avR2(3520, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3191)%branchR2(0:0))
      call avR2(3191, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2455)%branchR2(0:0))
      call avR2(2455, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1426)%branchR2(0:1))
      call avR2(1426, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(1426, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(2202)%branchR2(0:0))
      call avR2(2202, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2101)%branchR2(0:1))
      call avR2(2101, 0, 0, 1, 0, VVV0, (/3, 0/), (/nGC_3287/))

      call avR2(2101, 1, 1, 1, 0, VVV0, (/3, 0/), (/nGC_3288/))

      allocate(vertices(3244)%branchR2(0:0))
      call avR2(3244, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(2415)%branchR2(0:0))
      call avR2(2415, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1486)%branchR2(0:1))
      call avR2(1486, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(1486, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(3679)%branchR2(0:0))
      call avR2(3679, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2205, nGC_2204,        &
      nGC_2206/))

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1861/))

      allocate(vertices(3529)%branchR2(0:0))
      call avR2(3529, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3061)%branchR2(0:0))
      call avR2(3061, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(483)%branchR2(0:1))
      call avR2(483, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(483, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(803)%branchR2(0:0))
      call avR2(803, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3151)%branchR2(0:0))
      call avR2(3151, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(2046)%branchR2(0:0))
      call avR2(2046, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1842)%branchR2(0:0))
      call avR2(1842, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3680)%branchR2(0:1))
      call avR2(3680, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2165/))

      call avR2(3680, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,       &
      nGC_2055/))

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3682)%branchR2(0:0))
      call avR2(3682, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2425)%branchR2(0:0))
      call avR2(2425, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3411)%branchR2(0:0))
      call avR2(3411, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2655)%branchR2(0:1))
      call avR2(2655, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(2655, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2168)%branchR2(0:0))
      call avR2(2168, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(2668)%branchR2(0:3))
      call avR2(2668, 0, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(2668, 1, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2668, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2668, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(3684)%branchR2(0:0))
      call avR2(3684, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(844)%branchR2(0:1))
      call avR2(844, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(844, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(2390)%branchR2(0:0))
      call avR2(2390, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2059)%branchR2(0:0))
      call avR2(2059, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3685)%branchR2(0:0))
      call avR2(3685, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3686)%branchR2(0:1))
      call avR2(3686, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3686, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(3350)%branchR2(0:0))
      call avR2(3350, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1398)%branchR2(0:1))
      call avR2(1398, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(1398, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1428)%branchR2(0:3))
      call avR2(1428, 0, 38, 1, 0, VFaF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1428, 1, 38, 1, 0, VFaF0, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(1428, 2, 39, 1, 0, VFaF0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1428, 3, 39, 1, 0, VFaF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(3687)%branchR2(0:1))
      call avR2(3687, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2166/))

      call avR2(3687, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(2333)%branchR2(0:0))
      call avR2(2333, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(3449)%branchR2(0:0))
      call avR2(3449, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2822)%branchR2(0:0))
      call avR2(2822, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(3388)%branchR2(0:0))
      call avR2(3388, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3069)%branchR2(0:0))
      call avR2(3069, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(854)%branchR2(0:0))
      call avR2(854, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1951)%branchR2(0:0))
      call avR2(1951, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(2225)%branchR2(0:0))
      call avR2(2225, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(449)%branchR2(0:0))
      call avR2(449, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(3688)%branchR2(0:0))
      call avR2(3688, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3423)%branchR2(0:0))
      call avR2(3423, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1444)%branchR2(0:1))
      call avR2(1444, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1444, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(2153)%branchR2(0:0))
      call avR2(2153, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3689)%branchR2(0:1))
      call avR2(3689, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2154/))

      call avR2(3689, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2153/))

      allocate(vertices(940)%branchR2(0:0))
      call avR2(940, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1466)%branchR2(0:0))
      call avR2(1466, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(3195)%branchR2(0:0))
      call avR2(3195, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2809)%branchR2(0:0))
      call avR2(2809, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3338)%branchR2(0:0))
      call avR2(3338, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3690)%branchR2(0:1))
      call avR2(3690, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2187/))

      call avR2(3690, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(1637)%branchR2(0:0))
      call avR2(1637, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(259)%branchR2(0:1))
      call avR2(259, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(259, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(603)%branchR2(0:0))
      call avR2(603, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3489)%branchR2(0:0))
      call avR2(3489, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1585)%branchR2(0:0))
      call avR2(1585, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3691)%branchR2(0:1))
      call avR2(3691, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3691, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(2488)%branchR2(0:0))
      call avR2(2488, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(3277)%branchR2(0:0))
      call avR2(3277, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2615)%branchR2(0:0))
      call avR2(2615, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2307)%branchR2(0:0))
      call avR2(2307, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1783/))

      allocate(vertices(1440)%branchR2(0:0))
      call avR2(1440, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2123)%branchR2(0:1))
      call avR2(2123, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1972/))

      call avR2(2123, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3115)%branchR2(0:0))
      call avR2(3115, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(1863)%branchR2(0:1))
      call avR2(1863, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(1863, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(2352)%branchR2(0:0))
      call avR2(2352, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,       &
      nGC_2076/))

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3692)%branchR2(0:1))
      call avR2(3692, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3692, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(3693)%branchR2(0:1))
      call avR2(3693, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2153/))

      call avR2(3693, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(3270)%branchR2(0:0))
      call avR2(3270, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1234)%branchR2(0:1))
      call avR2(1234, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(1234, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2585)%branchR2(0:0))
      call avR2(2585, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(532)%branchR2(0:0))
      call avR2(532, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2207, nGC_2208,        &
      nGC_2208/))

      allocate(vertices(1102)%branchR2(0:0))
      call avR2(1102, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1664)%branchR2(0:0))
      call avR2(1664, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1781/))

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(1388)%branchR2(0:0))
      call avR2(1388, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3483)%branchR2(0:0))
      call avR2(3483, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1853)%branchR2(0:0))
      call avR2(1853, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(3168)%branchR2(0:0))
      call avR2(3168, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2694)%branchR2(0:0))
      call avR2(2694, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(3342)%branchR2(0:0))
      call avR2(3342, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3156)%branchR2(0:0))
      call avR2(3156, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3057)%branchR2(0:0))
      call avR2(3057, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3210)%branchR2(0:0))
      call avR2(3210, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2982)%branchR2(0:0))
      call avR2(2982, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3258)%branchR2(0:0))
      call avR2(3258, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3123)%branchR2(0:0))
      call avR2(3123, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(2586)%branchR2(0:0))
      call avR2(2586, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1942)%branchR2(0:0))
      call avR2(1942, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3694)%branchR2(0:0))
      call avR2(3694, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(3001)%branchR2(0:0))
      call avR2(3001, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(140)%branchR2(0:0))
      call avR2(140, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(3695)%branchR2(0:0))
      call avR2(3695, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(2608)%branchR2(0:0))
      call avR2(2608, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(2503)%branchR2(0:0))
      call avR2(2503, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1803)%branchR2(0:0))
      call avR2(1803, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1831)%branchR2(0:1))
      call avR2(1831, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(1831, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3696)%branchR2(0:1))
      call avR2(3696, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3696, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1880)%branchR2(0:0))
      call avR2(1880, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(833)%branchR2(0:0))
      call avR2(833, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2154)%branchR2(0:0))
      call avR2(2154, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(2726)%branchR2(0:0))
      call avR2(2726, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(286)%branchR2(0:0))
      call avR2(286, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3697)%branchR2(0:0))
      call avR2(3697, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2541)%branchR2(0:1))
      call avR2(2541, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(2541, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3698)%branchR2(0:0))
      call avR2(3698, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(719)%branchR2(0:1))
      call avR2(719, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(719, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3412)%branchR2(0:0))
      call avR2(3412, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1678, nGC_1677/))

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1923)%branchR2(0:0))
      call avR2(1923, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(3699)%branchR2(0:0))
      call avR2(3699, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2601)%branchR2(0:0))
      call avR2(2601, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3700)%branchR2(0:1))
      call avR2(3700, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3700, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2284)%branchR2(0:0))
      call avR2(2284, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(3146)%branchR2(0:0))
      call avR2(3146, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3701)%branchR2(0:0))
      call avR2(3701, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3702)%branchR2(0:1))
      call avR2(3702, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3702, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(1258)%branchR2(0:0))
      call avR2(1258, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(2040)%branchR2(0:0))
      call avR2(2040, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(416)%branchR2(0:1))
      call avR2(416, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(416, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2752)%branchR2(0:0))
      call avR2(2752, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3501)%branchR2(0:0))
      call avR2(3501, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1876)%branchR2(0:0))
      call avR2(1876, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(1073)%branchR2(0:1))
      call avR2(1073, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(1073, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(408)%branchR2(0:1))
      call avR2(408, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(408, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2020)%branchR2(0:0))
      call avR2(2020, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(1987)%branchR2(0:0))
      call avR2(1987, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,       &
      nGC_2040/))

      allocate(vertices(3378)%branchR2(0:0))
      call avR2(3378, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3048)%branchR2(0:0))
      call avR2(3048, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2598)%branchR2(0:0))
      call avR2(2598, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3133)%branchR2(0:0))
      call avR2(3133, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(1993)%branchR2(0:0))
      call avR2(1993, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2348)%branchR2(0:0))
      call avR2(2348, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2988)%branchR2(0:0))
      call avR2(2988, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(3045)%branchR2(0:0))
      call avR2(3045, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(2216)%branchR2(0:1))
      call avR2(2216, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2216, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,        &
      nGC_2077/))

      allocate(vertices(3471)%branchR2(0:0))
      call avR2(3471, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(3703)%branchR2(0:0))
      call avR2(3703, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1703)%branchR2(0:1))
      call avR2(1703, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1703, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(2165)%branchR2(0:0))
      call avR2(2165, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2567)%branchR2(0:0))
      call avR2(2567, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2781)%branchR2(0:0))
      call avR2(2781, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(1462)%branchR2(0:0))
      call avR2(1462, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(2721)%branchR2(0:0))
      call avR2(2721, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1319)%branchR2(0:0))
      call avR2(1319, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3513)%branchR2(0:0))
      call avR2(3513, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1938)%branchR2(0:0))
      call avR2(1938, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(884)%branchR2(0:0))
      call avR2(884, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2066)%branchR2(0:0))
      call avR2(2066, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(1933)%branchR2(0:0))
      call avR2(1933, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(1696)%branchR2(0:0))
      call avR2(1696, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2990)%branchR2(0:0))
      call avR2(2990, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_1699, nGC_1698,       &
      nGC_1698, nGC_1700/))

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2805)%branchR2(0:0))
      call avR2(2805, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2908)%branchR2(0:0))
      call avR2(2908, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(2936)%branchR2(0:0))
      call avR2(2936, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1222)%branchR2(0:1))
      call avR2(1222, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(1222, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(1695)%branchR2(0:1))
      call avR2(1695, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(1695, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(3548)%branchR2(0:0))
      call avR2(3548, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3064)%branchR2(0:0))
      call avR2(3064, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3214)%branchR2(0:0))
      call avR2(3214, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1919)%branchR2(0:0))
      call avR2(1919, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2208, nGC_2207,       &
      nGC_2208/))

      allocate(vertices(1415)%branchR2(0:0))
      call avR2(1415, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2327)%branchR2(0:1))
      call avR2(2327, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(2327, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076, nGC_2077&
      /))

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1918)%branchR2(0:0))
      call avR2(1918, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(301)%branchR2(0:1))
      call avR2(301, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1974/))

      call avR2(301, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1298)%branchR2(0:0))
      call avR2(1298, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3257)%branchR2(0:0))
      call avR2(3257, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2755)%branchR2(0:0))
      call avR2(2755, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1676, nGC_1675/))

      allocate(vertices(3013)%branchR2(0:0))
      call avR2(3013, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2056)%branchR2(0:0))
      call avR2(2056, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1946)%branchR2(0:0))
      call avR2(1946, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(3704)%branchR2(0:1))
      call avR2(3704, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3704, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2172/))

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(2704)%branchR2(0:0))
      call avR2(2704, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(3082)%branchR2(0:0))
      call avR2(3082, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1955)%branchR2(0:0))
      call avR2(1955, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1667)%branchR2(0:0))
      call avR2(1667, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3120)%branchR2(0:0))
      call avR2(3120, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(193)%branchR2(0:0))
      call avR2(193, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3246)%branchR2(0:0))
      call avR2(3246, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(3705)%branchR2(0:1))
      call avR2(3705, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2197/))

      call avR2(3705, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(2922)%branchR2(0:0))
      call avR2(2922, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(980)%branchR2(0:0))
      call avR2(980, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2850)%branchR2(0:0))
      call avR2(2850, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3706)%branchR2(0:0))
      call avR2(3706, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1282)%branchR2(0:1))
      call avR2(1282, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1282, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(2147)%branchR2(0:0))
      call avR2(2147, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3707)%branchR2(0:0))
      call avR2(3707, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2055/))

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1286)%branchR2(0:0))
      call avR2(1286, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(802)%branchR2(0:1))
      call avR2(802, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(802, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1780)%branchR2(0:0))
      call avR2(1780, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2759)%branchR2(0:0))
      call avR2(2759, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(1944)%branchR2(0:0))
      call avR2(1944, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(3320)%branchR2(0:0))
      call avR2(3320, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(1017)%branchR2(0:3))
      call avR2(1017, 0, 38, 1, 0, VFaF0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(1017, 1, 38, 1, 0, VFaF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1017, 2, 39, 1, 0, VFaF0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(1017, 3, 39, 1, 0, VFaF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(2917)%branchR2(0:0))
      call avR2(2917, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(467)%branchR2(0:23))
      call avR2(467, 0, 94, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2222,       &
      nGC_2223/))

      call avR2(467, 1, 91, 1, 0, VVVV0, (/4, 0/), (/nGC_2222, nGC_2223,       &
      nGC_2223/))

      call avR2(467, 2, 104, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,      &
      nGC_2232/))

      call avR2(467, 3, 2, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2218,        &
      nGC_2217/))

      call avR2(467, 4, 5, 1, 0, VVVV0, (/4, 0/), (/nGC_2226, nGC_2228,        &
      nGC_2227/))

      call avR2(467, 5, 100, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,      &
      nGC_2232/))

      call avR2(467, 6, 97, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2221,       &
      nGC_2219/))

      call avR2(467, 7, 90, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2219,       &
      nGC_2221/))

      call avR2(467, 8, 103, 1, 0, VVVV0, (/4, 0/), (/nGC_2233, nGC_2233,      &
      nGC_2233/))

      call avR2(467, 9, 93, 1, 0, VVVV0, (/4, 0/), (/nGC_2224, nGC_2225,       &
      nGC_2222/))

      call avR2(467, 10, 106, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      call avR2(467, 11, 4, 1, 0, VVVV0, (/4, 0/), (/nGC_2229, nGC_2231,       &
      nGC_2230/))

      call avR2(467, 12, 96, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2221,      &
      nGC_2220/))

      call avR2(467, 13, 7, 1, 0, VVVV0, (/4, 0/), (/nGC_2226, nGC_2228,       &
      nGC_2227/))

      call avR2(467, 14, 102, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      call avR2(467, 15, 99, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2219,      &
      nGC_2219/))

      call avR2(467, 16, 92, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2221,      &
      nGC_2219/))

      call avR2(467, 17, 89, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2219,      &
      nGC_2219/))

      call avR2(467, 18, 95, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2221,      &
      nGC_2220/))

      call avR2(467, 19, 105, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      call avR2(467, 20, 6, 1, 0, VVVV0, (/4, 0/), (/nGC_2229, nGC_2231,       &
      nGC_2230/))

      call avR2(467, 21, 3, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2218,       &
      nGC_2217/))

      call avR2(467, 22, 98, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2219,      &
      nGC_2221/))

      call avR2(467, 23, 101, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(3085)%branchR2(0:0))
      call avR2(3085, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(2518)%branchR2(0:0))
      call avR2(2518, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2747)%branchR2(0:0))
      call avR2(2747, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1708/))

      allocate(vertices(2110)%branchR2(0:1))
      call avR2(2110, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(2110, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1879)%branchR2(0:0))
      call avR2(1879, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2318)%branchR2(0:1))
      call avR2(2318, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1972/))

      call avR2(2318, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2002)%branchR2(0:0))
      call avR2(2002, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3708)%branchR2(0:0))
      call avR2(3708, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(2544)%branchR2(0:0))
      call avR2(2544, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(322)%branchR2(0:0))
      call avR2(322, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3709)%branchR2(0:0))
      call avR2(3709, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3314)%branchR2(0:0))
      call avR2(3314, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3710)%branchR2(0:1))
      call avR2(3710, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3710, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(2331)%branchR2(0:0))
      call avR2(2331, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(935)%branchR2(0:0))
      call avR2(935, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2264)%branchR2(0:0))
      call avR2(2264, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(2945)%branchR2(0:1))
      call avR2(2945, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1689, nGC_1689/))

      call avR2(2945, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1690, nGC_1690/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1355)%branchR2(0:0))
      call avR2(1355, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(2981)%branchR2(0:0))
      call avR2(2981, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2198)%branchR2(0:1))
      call avR2(2198, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(2198, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(1115)%branchR2(0:0))
      call avR2(1115, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3711)%branchR2(0:0))
      call avR2(3711, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2319)%branchR2(0:1))
      call avR2(2319, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1974/))

      call avR2(2319, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3712)%branchR2(0:0))
      call avR2(3712, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(3713)%branchR2(0:0))
      call avR2(3713, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(2263)%branchR2(0:0))
      call avR2(2263, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3714)%branchR2(0:1))
      call avR2(3714, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2098/))

      call avR2(3714, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(2166)%branchR2(0:0))
      call avR2(2166, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2144)%branchR2(0:1))
      call avR2(2144, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(2144, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(876)%branchR2(0:1))
      call avR2(876, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(876, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(3715)%branchR2(0:0))
      call avR2(3715, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1540)%branchR2(0:0))
      call avR2(1540, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2749)%branchR2(0:0))
      call avR2(2749, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2765)%branchR2(0:0))
      call avR2(2765, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3716)%branchR2(0:0))
      call avR2(3716, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(3160)%branchR2(0:0))
      call avR2(3160, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3432)%branchR2(0:0))
      call avR2(3432, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(1756)%branchR2(0:0))
      call avR2(1756, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(210)%branchR2(0:1))
      call avR2(210, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(210, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2941)%branchR2(0:0))
      call avR2(2941, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2324)%branchR2(0:0))
      call avR2(2324, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3377)%branchR2(0:0))
      call avR2(3377, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2994)%branchR2(0:0))
      call avR2(2994, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3286)%branchR2(0:0))
      call avR2(3286, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1656, nGC_1655/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1029)%branchR2(0:0))
      call avR2(1029, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3152)%branchR2(0:0))
      call avR2(3152, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1913)%branchR2(0:0))
      call avR2(1913, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3148)%branchR2(0:0))
      call avR2(3148, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1989/))

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(579)%branchR2(0:1))
      call avR2(579, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(579, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2414)%branchR2(0:0))
      call avR2(2414, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3297)%branchR2(0:0))
      call avR2(3297, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2497)%branchR2(0:0))
      call avR2(2497, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(1635)%branchR2(0:1))
      call avR2(1635, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1974/))

      call avR2(1635, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3717)%branchR2(0:1))
      call avR2(3717, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3717, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3023)%branchR2(0:0))
      call avR2(3023, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3367)%branchR2(0:0))
      call avR2(3367, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(1207)%branchR2(0:1))
      call avR2(1207, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1207, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3718)%branchR2(0:1))
      call avR2(3718, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3718, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(32)%branchR2(0:1))
      call avR2(32, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(32, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(3352)%branchR2(0:0))
      call avR2(3352, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1187)%branchR2(0:0))
      call avR2(1187, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(3400)%branchR2(0:0))
      call avR2(3400, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(791)%branchR2(0:1))
      call avR2(791, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(791, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1066)%branchR2(0:1))
      call avR2(1066, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1066, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3719)%branchR2(0:1))
      call avR2(3719, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3719, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(3720)%branchR2(0:1))
      call avR2(3720, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2166/))

      call avR2(3720, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1260)%branchR2(0:0))
      call avR2(1260, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(1305)%branchR2(0:0))
      call avR2(1305, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(2947)%branchR2(0:0))
      call avR2(2947, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3182)%branchR2(0:0))
      call avR2(3182, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3721)%branchR2(0:0))
      call avR2(3721, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2764)%branchR2(0:0))
      call avR2(2764, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(1949)%branchR2(0:0))
      call avR2(1949, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(3326)%branchR2(0:0))
      call avR2(3326, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2305)%branchR2(0:1))
      call avR2(2305, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(2305, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(3722)%branchR2(0:1))
      call avR2(3722, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3722, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(3549)%branchR2(0:0))
      call avR2(3549, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1253)%branchR2(0:0))
      call avR2(1253, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1783/))

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(2454)%branchR2(0:0))
      call avR2(2454, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3365)%branchR2(0:0))
      call avR2(3365, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2131)%branchR2(0:0))
      call avR2(2131, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2184)%branchR2(0:0))
      call avR2(2184, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2547)%branchR2(0:0))
      call avR2(2547, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2957)%branchR2(0:0))
      call avR2(2957, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3032)%branchR2(0:0))
      call avR2(3032, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(991)%branchR2(0:1))
      call avR2(991, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(991, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1368)%branchR2(0:0))
      call avR2(1368, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1434)%branchR2(0:0))
      call avR2(1434, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(261)%branchR2(0:1))
      call avR2(261, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(261, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2412)%branchR2(0:1))
      call avR2(2412, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(2412, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(899)%branchR2(0:3))
      call avR2(899, 0, 32, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(899, 1, 32, 1, 0, FaVF0, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(899, 2, 33, 1, 0, FaVF0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(899, 3, 33, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3725)%branchR2(0:0))
      call avR2(3725, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1536)%branchR2(0:0))
      call avR2(1536, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(3485)%branchR2(0:0))
      call avR2(3485, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1277)%branchR2(0:0))
      call avR2(1277, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(3726)%branchR2(0:1))
      call avR2(3726, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2117/))

      call avR2(3726, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(2341)%branchR2(0:1))
      call avR2(2341, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(2341, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2187)%branchR2(0:0))
      call avR2(2187, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2710)%branchR2(0:0))
      call avR2(2710, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(3727)%branchR2(0:1))
      call avR2(3727, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3727, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(2479)%branchR2(0:0))
      call avR2(2479, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1743)%branchR2(0:0))
      call avR2(1743, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2097)%branchR2(0:0))
      call avR2(2097, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(147)%branchR2(0:1))
      call avR2(147, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(147, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(958)%branchR2(0:1))
      call avR2(958, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(958, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2684)%branchR2(0:0))
      call avR2(2684, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1603)%branchR2(0:1))
      call avR2(1603, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1603, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3144)%branchR2(0:0))
      call avR2(3144, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3728)%branchR2(0:1))
      call avR2(3728, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3728, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(3729)%branchR2(0:0))
      call avR2(3729, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3730)%branchR2(0:1))
      call avR2(3730, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3730, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(3118)%branchR2(0:0))
      call avR2(3118, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(3731)%branchR2(0:1))
      call avR2(3731, 0, 48, 1, 0, VSV0, (/2, 1/), (/nGC_1957/))

      call avR2(3731, 1, 47, 1, 0, VSV0, (/2, 1/), (/nGC_1956/))

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1843)%branchR2(0:0))
      call avR2(1843, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2967)%branchR2(0:0))
      call avR2(2967, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3544)%branchR2(0:0))
      call avR2(3544, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(2509)%branchR2(0:0))
      call avR2(2509, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(1184)%branchR2(0:0))
      call avR2(1184, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(664)%branchR2(0:0))
      call avR2(664, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3732)%branchR2(0:1))
      call avR2(3732, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3732, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(2334)%branchR2(0:0))
      call avR2(2334, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3733)%branchR2(0:1))
      call avR2(3733, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2166/))

      call avR2(3733, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(2124)%branchR2(0:0))
      call avR2(2124, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(731)%branchR2(0:0))
      call avR2(731, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1861/))

      allocate(vertices(336)%branchR2(0:0))
      call avR2(336, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2093)%branchR2(0:0))
      call avR2(2093, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3734)%branchR2(0:1))
      call avR2(3734, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3734, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2254)%branchR2(0:1))
      call avR2(2254, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(2254, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(790)%branchR2(0:0))
      call avR2(790, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3230)%branchR2(0:0))
      call avR2(3230, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1887)%branchR2(0:0))
      call avR2(1887, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2565)%branchR2(0:0))
      call avR2(2565, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
