!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_2411) = coupl(nGC_1533)*db_QED2 + coupl(nGC_1534)*dyd13x3_QED3 &
                         + coupl(nGC_1535)*dyb2_QED3
      coupl(nGC_2320) = coupl(nGC_1414)*dZee_QED2 + coupl(nGC_1415)*dsw_QED2
      coupl(nGC_2604) = coupl(nGC_593)*dMW2_QED2
      coupl(nGC_2605) = coupl(nGC_597)*dMW2_QED2
      coupl(nGC_2602) = cima*dMZ2_QED2
      coupl(nGC_2603) = cima*dMW2_QED2
      coupl(nGC_2600) = -cima*dMB_QED2
      coupl(nGC_2601) = -cima*dMB_QCD2
      coupl(nGC_2462) = coupl(nGC_1531)*dyup1_QED1_QCD2 + coupl(nGC_1532)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2461) = coupl(nGC_1530)*db_QED2 + coupl(nGC_1531)*dyup1_QED3 + &
                        coupl(nGC_1532)*dyup2_QED3
      coupl(nGC_2260) = coupl(nGC_1391)*db_QED2 + coupl(nGC_1392)*dl3_QED4 +   &
                        coupl(nGC_1393)*dl2_QED4 + coupl(nGC_1394)*dl1_QED4 +  &
                        coupl(nGC_1395)*dl4_QED4 + coupl(nGC_1396)*dl5_QED4
      coupl(nGC_2262) = coupl(nGC_1397)*db_QED2 + coupl(nGC_1398)*dl3_QED4 +   &
                        coupl(nGC_1399)*dl2_QED4 + coupl(nGC_1400)*dl1_QED4 +  &
                        coupl(nGC_1401)*dl4_QED4 + coupl(nGC_1402)*dl5_QED4
      coupl(nGC_3023) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2865) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2861) = -coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_2670) = coupl(nGC_97)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2254) = coupl(nGC_1406)*db_QED2 + coupl(nGC_1407)*dl3_QED4 +   &
                        coupl(nGC_1408)*dl2_QED4 + coupl(nGC_1409)*dl1_QED4 +  &
                        coupl(nGC_1410)*dl4_QED4 + coupl(nGC_1411)*dl5_QED4
      coupl(nGC_2256) = coupl(nGC_1244)*db_QED2 + coupl(nGC_1245)*dl3_QED4 +   &
                        coupl(nGC_1246)*dl2_QED4 + coupl(nGC_1247)*dl1_QED4 +  &
                        coupl(nGC_1248)*dl4_QED4 + coupl(nGC_1249)*dl5_QED4 +  &
                        coupl(nGC_1250)*da_QED2
      coupl(nGC_2259) = coupl(nGC_1091)*dl3_QED4 + coupl(nGC_1092)*dl2_QED4 +  &
                        coupl(nGC_1093)*dl1_QED4 + coupl(nGC_1094)*dl4_QED4 +  &
                        coupl(nGC_1095)*dl5_QED4 + coupl(nGC_1096)*da_QED2
      coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2386) = coupl(nGC_1404)*dyd13x3_QED1_QCD2 + coupl(nGC_1405)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2385) = coupl(nGC_1403)*db_QED2 + coupl(nGC_1404)*dyd13x3_QED3 &
                         + coupl(nGC_1405)*dyb2_QED3
      coupl(nGC_3257) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3033) = coupl(nGC_84)*dZdR_QCD2
      coupl(nGC_3031) = coupl(nGC_87)*dZdL_QCD2
      coupl(nGC_3035) = coupl(nGC_166)*dZGMinus/2d0
      coupl(nGC_3039) = -coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_2925) = coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_2923) = -coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_TS_GC_133_Hh) = -coupl(nGC_133)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2321) = coupl(nGC_1412)*dZee_QED2 + coupl(nGC_1413)*dsw_QED2
      coupl(nGC_2969) = coupl(nGC_76)*dZG0Ha_QED2/2d0
      coupl(nGC_2665) = coupl(nGC_60)*dZGMinus
      coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2247) = coupl(nGC_1071)*dl3_QED4 + coupl(nGC_1072)*dl2_QED4 +  &
                        coupl(nGC_1073)*dl1_QED4 + coupl(nGC_1074)*dl4_QED4 +  &
                        coupl(nGC_1075)*dl5_QED4 + coupl(nGC_1076)*da_QED2
      coupl(nGC_2391) = coupl(nGC_1045)*dyd12x2_QED3 + coupl(nGC_1046)*da_QED2 &
                         + coupl(nGC_1047)*dys2_QED3
      coupl(nGC_2392) = coupl(nGC_1045)*dyd12x2_QED1_QCD2 + coupl(nGC_1047)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2393) = coupl(nGC_1281)*dyd13x3_QED3 + coupl(nGC_1282)*        &
                        dyb2_QED3 + coupl(nGC_1283)*da_QED2
      coupl(nGC_2394) = coupl(nGC_1281)*dyd13x3_QED1_QCD2 + coupl(nGC_1282)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2804) = coupl(nGC_77)*dZGMinus/2d0
      coupl(nGC_TS_GC_137_Hh) = -coupl(nGC_137)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2932) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2933) = coupl(nGC_59)*dZG0
      coupl(nGC_2332) = coupl(nGC_1077)*db_QED2 + coupl(nGC_1078)*dZee_QED2 +  &
                        coupl(nGC_1079)*dcw_QED2 + coupl(nGC_1080)*da_QED2
      coupl(nGC_1708) = cima*(-coupl(nGC_80)**2d0 - coupl(nGC_90)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2886) = -coupl(nGC_96)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3201) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2659) = coupl(nGC_53)*(dZG0 + dZGMinus)
      coupl(nGC_2655) = coupl(nGC_70)*dZGMinus/2d0
      coupl(nGC_2654) = coupl(nGC_2321) + coupl(nGC_61)*dZHh_QED2 + coupl(     &
                        nGC_61)*dZWMinus_QED2
      coupl(nGC_2650) = coupl(nGC_58)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2729) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2720) = coupl(nGC_62)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2723) = coupl(nGC_98)*dZGMinus/2d0
      coupl(nGC_2722) = coupl(nGC_90)*dZZA_QED2/2d0
      coupl(nGC_2347) = coupl(nGC_1524)*dZee_QED2 + coupl(nGC_1525)*dcw_QED2 + &
                        coupl(nGC_1526)*dsw_QED2
      coupl(nGC_2344) = coupl(nGC_411)*dZgs_QCD2
      coupl(nGC_2830) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2900) = coupl(nGC_99)*dZZA_QED2/2d0
      coupl(nGC_2904) = -coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_2906) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_TS_GC_161_Hl) = -coupl(nGC_161)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2349) = coupl(nGC_1521)*dZee_QED2 + coupl(nGC_1522)*dcw_QED2 + &
                        coupl(nGC_1523)*dsw_QED2
      coupl(nGC_2642) = coupl(nGC_42)*dZG0/2d0
      coupl(nGC_2737) = coupl(nGC_44)*dZGMinus/2d0
      coupl(nGC_2732) = coupl(nGC_36)*dZGMinus/2d0
      coupl(nGC_2730) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2776) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2826) = coupl(nGC_42)*dZGMinus/2d0
      coupl(nGC_2825) = -coupl(nGC_94)*dZG0/2d0
      coupl(nGC_2358) = coupl(nGC_1112)*dyc1_QED1_QCD2 + coupl(nGC_1113)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2359) = coupl(nGC_1062)*db_QED2 + coupl(nGC_1063)*dyd12x2_QED3 &
                         + coupl(nGC_1064)*dys2_QED3
      coupl(nGC_3197) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3191) = coupl(nGC_85)*dZuR_QCD2
      coupl(nGC_3193) = coupl(nGC_94)*dZG0/2d0
      coupl(nGC_3174) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_3173) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_3170) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_2915) = coupl(nGC_80)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_2912) = coupl(nGC_140)*dZG0/2d0
      coupl(nGC_2910) = coupl(nGC_140)*dZbL_QED2/2d0 + coupl(nGC_140)*dZbR_QED2&
                        /2d0 + coupl(nGC_143)*dZHaG0_QED2/2d0 + coupl(nGC_2385)
      coupl(nGC_2911) = coupl(nGC_140)*dZbL_QCD2/2d0 + coupl(nGC_140)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2386)
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2796) = coupl(nGC_62)*dZGMinus
      coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2708) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2741) = coupl(nGC_150)*dZGMinus/2d0
      coupl(nGC_2211) = (3d0*Nc*cima*coupl(nGC_84)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_85)**4d0 + 3d0*Nc*cima*coupl(nGC_87)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_88)**4d0 - 10d0*cima*coupl(nGC_625)**4d0&
                         + 3d0*cima*coupl(nGC_635)**2d0 - 10d0*cima*coupl(     &
                        nGC_82)**4d0 + 3d0*cima*coupl(nGC_86)**4d0 + 3d0*cima* &
                        coupl(nGC_89)**4d0 + 3d0*cima*coupl(nGC_90)**4d0 + 9d0*&
                        coupl(nGC_625)**2d0*coupl(nGC_635) + 3d0*coupl(nGC_625 &
                        )**2d0*coupl(nGC_79) + 9d0*coupl(nGC_635)*coupl(nGC_82 &
                        )**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_82)**2d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2585) = -cima*dMHA2_QED2
      coupl(nGC_2584) = -cima*dMHH2_QED2
      coupl(nGC_2587) = -cima*dME_QED2
      coupl(nGC_2583) = -cima*dMHL2_QED2
      coupl(nGC_2582) = -cima*dMHC2_QED2
      coupl(nGC_2589) = -cima*dMTA_QED2
      coupl(nGC_2588) = -cima*dMM_QED2
      coupl(nGC_2380) = coupl(nGC_1028)*dydo1_QED1_QCD2 + coupl(nGC_1029)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2360) = coupl(nGC_1063)*dyd12x2_QED1_QCD2 + coupl(nGC_1064)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2369) = coupl(nGC_1030)*db_QED2 + coupl(nGC_1031)*dyc1_QED3 +  &
                        coupl(nGC_1032)*dyc2_QED3
      coupl(nGC_2691) = coupl(nGC_39)*dZG0
      coupl(nGC_3251) = 2d0*coupl(nGC_55)*dZG0
      coupl(nGC_3189) = coupl(nGC_88)*dZuL_QCD2
      coupl(nGC_3185) = coupl(nGC_91)*dZG0/2d0
      coupl(nGC_3169) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2962) = 3d0*coupl(nGC_47)*dZG0/2d0
      coupl(nGC_2960) = coupl(nGC_27)*dZGMinus/2d0
      coupl(nGC_2950) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_3138) = coupl(nGC_137)*dZHh_QED2/2d0 + coupl(nGC_137)*dZbL_QED2&
                        /2d0 + coupl(nGC_137)*dZbR_QED2/2d0 + coupl(nGC_141)*  &
                        dZHlHh_QED2/2d0 + coupl(nGC_2393)
      coupl(nGC_2958) = coupl(nGC_40)*dZGMinus/2d0
      coupl(nGC_2744) = coupl(nGC_196)*dZGMinus/2d0
      coupl(nGC_2707) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2751) = coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_2752) = coupl(nGC_2256) + coupl(nGC_26)*dZHlHh_QED2 + coupl(   &
                        nGC_29)*dZG0Ha_QED2 + coupl(nGC_38)*dZHa_QED2 + coupl( &
                        nGC_38)*dZHh_QED2
      coupl(nGC_2592) = -cima*dMC_QED2
      coupl(nGC_2593) = -cima*dMC_QCD2
      coupl(nGC_2590) = -cima*dMU_QED2
      coupl(nGC_2591) = -cima*dMU_QCD2
      coupl(nGC_2596) = -cima*dMD_QED2
      coupl(nGC_2597) = -cima*dMD_QCD2
      coupl(nGC_2594) = -cima*dMT_QED2
      coupl(nGC_2595) = -cima*dMT_QCD2
      coupl(nGC_2598) = -cima*dMS_QED2
      coupl(nGC_2599) = -cima*dMS_QCD2
      coupl(nGC_2378) = coupl(nGC_960)*dydo1_QED1_QCD2 + coupl(nGC_961)*       &
                        dydo2_QED1_QCD2
      coupl(nGC_2379) = coupl(nGC_1027)*db_QED2 + coupl(nGC_1028)*dydo1_QED3 + &
                        coupl(nGC_1029)*dydo2_QED3
      coupl(nGC_2376) = coupl(nGC_1468)*dyd13x3_QED1_QCD2 + coupl(nGC_1469)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2374) = coupl(nGC_1252)*dyt1_QED1_QCD2 + coupl(nGC_1253)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2373) = coupl(nGC_1251)*db_QED2 + coupl(nGC_1252)*dyt1_QED3 +  &
                        coupl(nGC_1253)*dyt2_QED3
      coupl(nGC_2370) = coupl(nGC_1031)*dyc1_QED1_QCD2 + coupl(nGC_1032)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3066) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_2688) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2684) = coupl(nGC_56)*dZGMinus
      coupl(nGC_2757) = coupl(nGC_65)*dZGMinus/2d0
      coupl(nGC_2683) = coupl(nGC_96)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2681) = coupl(nGC_23)*dZGMinus
      coupl(nGC_2979) = coupl(nGC_84)*dZsR_QCD2
      coupl(nGC_2971) = coupl(nGC_2320) + coupl(nGC_62)*dZHa_QED2 + coupl(     &
                        nGC_62)*dZWMinus_QED2
      coupl(nGC_2973) = coupl(nGC_159)*dZG0/2d0
      coupl(nGC_2975) = coupl(nGC_160)*dZG0/2d0
      coupl(nGC_2977) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_3082) = coupl(nGC_87)*dZbL_QCD2
      coupl(nGC_3080) = -coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_3087) = coupl(nGC_17)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3084) = coupl(nGC_84)*dZbR_QCD2
      coupl(nGC_3088) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2769) = -coupl(nGC_96)*dZGMinus
      coupl(nGC_2765) = coupl(nGC_2260) + coupl(nGC_44)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_45)*dZGMinusHMinus_QED2 + coupl(nGC_57)*     &
                        dZHMinus_QED2
      coupl(nGC_2764) = coupl(nGC_57)*dZGMinus
      coupl(nGC_2767) = dZGMinusHMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_2763) = coupl(nGC_123)*dZGMinus/2d0
      coupl(nGC_2377) = coupl(nGC_959)*db_QED2 + coupl(nGC_960)*dydo1_QED3 +   &
                        coupl(nGC_961)*dydo2_QED3
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2308) = coupl(nGC_1479)*dZee_QED2 + coupl(nGC_1480)*dsw_QED2
      coupl(nGC_2303) = coupl(nGC_962)*db_QED2 + coupl(nGC_963)*dvev2_QED1 +   &
                        coupl(nGC_964)*dvev1_QED1 + coupl(nGC_965)*dl2_QED4 +  &
                        coupl(nGC_966)*dl1_QED4 + coupl(nGC_967)*dl4_QED4 +    &
                        coupl(nGC_968)*dl3_QED4 + coupl(nGC_969)*da_QED2 +     &
                        coupl(nGC_970)*dl5_QED4
      coupl(nGC_2302) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dvev2_QED1 +   &
                        coupl(nGC_367)*da_QED2 + coupl(nGC_369)*dl2_QED4 +     &
                        coupl(nGC_371)*dl1_QED4 + coupl(nGC_373)*dl4_QED4 +    &
                        coupl(nGC_375)*dl3_QED4 + coupl(nGC_377)*dvev1_QED1 +  &
                        coupl(nGC_379)*dl5_QED4
      coupl(nGC_2301) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dvev2_QED1 +   &
                        coupl(nGC_347)*da_QED2 + coupl(nGC_349)*dl2_QED4 +     &
                        coupl(nGC_351)*dl1_QED4 + coupl(nGC_353)*dl4_QED4 +    &
                        coupl(nGC_355)*dl3_QED4 + coupl(nGC_357)*dvev1_QED1 +  &
                        coupl(nGC_359)*dl5_QED4
      coupl(nGC_2307) = coupl(nGC_1057)*dZee_QED2
      coupl(nGC_2306) = coupl(nGC_1061)*dZee_QED2
      coupl(nGC_2304) = coupl(nGC_883)*dl4_QED4 + coupl(nGC_884)*dl5_QED4 +    &
                        coupl(nGC_885)*dvev2_QED1 + coupl(nGC_886)*dvev1_QED1  &
                         + coupl(nGC_887)*db_QED2
      coupl(nGC_2945) = -coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2944) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_18)*dZHMinus_QED2 + &
                        coupl(nGC_2306) + coupl(nGC_97)*dZZA_QED2
      coupl(nGC_2414) = coupl(nGC_1542)*db_QED2 + coupl(nGC_1543)*dym1_QED3 +  &
                        coupl(nGC_1544)*dym2_QED3
      coupl(nGC_2413) = coupl(nGC_1272)*dye2_QED3 + coupl(nGC_1273)*db_QED2 +  &
                        coupl(nGC_1274)*dye1_QED3
      coupl(nGC_2412) = coupl(nGC_1534)*dyd13x3_QED1_QCD2 + coupl(nGC_1535)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2949) = coupl(nGC_174)*dZcL_QCD2/2d0 + coupl(nGC_174)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2360)
      coupl(nGC_2948) = coupl(nGC_170)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_174 &
                        )*dZcL_QED2/2d0 + coupl(nGC_174)*dZsR_QED2/2d0 + coupl(&
                        nGC_2359)
      coupl(nGC_2786) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_2784) = coupl(nGC_49)*dZGMinus/2d0
      coupl(nGC_2781) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2780) = coupl(nGC_2320) + coupl(nGC_62)*dZHMinus_QED2 + coupl( &
                        nGC_62)*dZWMinus_QED2
      coupl(nGC_3093) = -coupl(nGC_17)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2652) = coupl(nGC_75)*dZG0/2d0
      coupl(nGC_2983) = coupl(nGC_194)*dZHa_QED2/2d0 + coupl(nGC_194)*dZuL_QED2&
                        /2d0 + coupl(nGC_194)*dZuR_QED2/2d0 + coupl(nGC_198)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2461)
      coupl(nGC_2641) = coupl(nGC_85)*dZcR_QCD2
      coupl(nGC_2967) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_2777) = coupl(nGC_98)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2775) = dZGMinusHMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_3228) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_3227) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3226) = coupl(nGC_2599) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_3225) = coupl(nGC_2598) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_169_Hl) + coupl&
                        (nGC_TS_GC_173_Hh)
      coupl(nGC_3224) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_3223) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_3221) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_3220) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_2318) = coupl(nGC_1477)*dZee_QED2 + coupl(nGC_1478)*dsw_QED2
      coupl(nGC_2313) = coupl(nGC_994)*dvev1_QED1 + coupl(nGC_995)*dvev2_QED1  &
                         + coupl(nGC_996)*dZee_QED2 + coupl(nGC_997)*dsw_QED2  &
                         + coupl(nGC_998)*db_QED2
      coupl(nGC_2314) = coupl(nGC_1470)*dZee_QED2 + coupl(nGC_1471)*dsw_QED2
      coupl(nGC_2315) = coupl(nGC_1456)*dZee_QED2 + coupl(nGC_1457)*da_QED2 +  &
                        coupl(nGC_1458)*dsw_QED2 + coupl(nGC_1459)*db_QED2
      coupl(nGC_2317) = coupl(nGC_1447)*dZee_QED2 + coupl(nGC_1448)*da_QED2 +  &
                        coupl(nGC_1449)*dsw_QED2 + coupl(nGC_1450)*db_QED2
      coupl(nGC_2404) = coupl(nGC_1103)*dydo1_QED1_QCD2 + coupl(nGC_1104)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2405) = coupl(nGC_1021)*db_QED2 + coupl(nGC_1022)*dyd12x2_QED3 &
                         + coupl(nGC_1023)*dys2_QED3
      coupl(nGC_3139) = coupl(nGC_137)*dZbL_QCD2/2d0 + coupl(nGC_137)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2394)
      coupl(nGC_2407) = coupl(nGC_888)*db_QED2 + coupl(nGC_889)*dyd12x2_QED3 + &
                        coupl(nGC_890)*dys2_QED3
      coupl(nGC_2401) = coupl(nGC_855)*db_QED2 + coupl(nGC_856)*dydo1_QED3 +   &
                        coupl(nGC_857)*dydo2_QED3
      coupl(nGC_2402) = coupl(nGC_856)*dydo1_QED1_QCD2 + coupl(nGC_857)*       &
                        dydo2_QED1_QCD2
      coupl(nGC_2403) = coupl(nGC_1102)*db_QED2 + coupl(nGC_1103)*dydo1_QED3 + &
                        coupl(nGC_1104)*dydo2_QED3
      coupl(nGC_2408) = coupl(nGC_889)*dyd12x2_QED1_QCD2 + coupl(nGC_890)*     &
                        dys2_QED1_QCD2
      coupl(nGC_3134) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_2795) = coupl(nGC_18)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2797) = coupl(nGC_2320) + coupl(nGC_62)*dZWMinus_QED2
      coupl(nGC_2790) = -coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2798) = coupl(nGC_35)*dZGMinus
      coupl(nGC_3046) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3045) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3041) = -coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2406) = coupl(nGC_1022)*dyd12x2_QED1_QCD2 + coupl(nGC_1023)*   &
                        dys2_QED1_QCD2
      coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_106_Hh) = -coupl(nGC_106)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2091) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                        nGC_84) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_2)*   &
                        coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_TS_GC_106_Hl) = -coupl(nGC_106)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2893) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2324) = coupl(nGC_1588)*dZee_QED2 + coupl(nGC_1589)*dcw_QED2 + &
                        coupl(nGC_1590)*dsw_QED2
      coupl(nGC_2891) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_2890) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_2897) = coupl(nGC_2321) + coupl(nGC_61)*dZHl_QED2 + coupl(     &
                        nGC_61)*dZWMinus_QED2
      coupl(nGC_3239) = coupl(nGC_96)*dZGMinus
      coupl(nGC_2322) = coupl(nGC_971)*dsw_QED2 + coupl(nGC_972)*da_QED2 +     &
                        coupl(nGC_973)*dvev1_QED1 + coupl(nGC_974)*dvev2_QED1  &
                         + coupl(nGC_975)*dZee_QED2
      coupl(nGC_3235) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_2329) = coupl(nGC_1100)*dZee_QED2 + coupl(nGC_1101)*dcw_QED2
      coupl(nGC_2328) = coupl(nGC_1580)*db_QED2 + coupl(nGC_1581)*da_QED2 +    &
                        coupl(nGC_1582)*dcw_QED2 + coupl(nGC_1583)*dZee_QED2 + &
                        coupl(nGC_1584)*dsw_QED2
      coupl(nGC_3232) = coupl(nGC_168)*dZG0/2d0
      coupl(nGC_3233) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_2354) = coupl(nGC_1098)*dyup1_QED1_QCD2 + coupl(nGC_1099)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2355) = coupl(nGC_875)*db_QED2 + coupl(nGC_876)*dydo1_QED3 +   &
                        coupl(nGC_877)*dydo2_QED3
      coupl(nGC_2356) = coupl(nGC_876)*dydo1_QED1_QCD2 + coupl(nGC_877)*       &
                        dydo2_QED1_QCD2
      coupl(nGC_2357) = coupl(nGC_1111)*db_QED2 + coupl(nGC_1112)*dyc1_QED3 +  &
                        coupl(nGC_1113)*dyc2_QED3
      coupl(nGC_2350) = coupl(nGC_1557)*dZee_QED2 + coupl(nGC_1558)*dcw_QED2 + &
                        coupl(nGC_1559)*dsw_QED2
      coupl(nGC_2351) = coupl(nGC_1551)*dZee_QED2 + coupl(nGC_1552)*dcw_QED2 + &
                        coupl(nGC_1553)*dsw_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
