!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1712) = cMT*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1790) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80) +   &
                        4d0*coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_187)*coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_611 &
                        )*coupl(nGC_68)*coupl(nGC_72) - 6d0*coupl(nGC_633)*    &
                        coupl(nGC_64)*coupl(nGC_82) + coupl(nGC_64)*coupl(     &
                        nGC_645)*coupl(nGC_72) + coupl(nGC_64)*coupl(nGC_94)*  &
                        coupl(nGC_96) - 6d0*coupl(nGC_647)*coupl(nGC_69)*coupl(&
                        nGC_82) + coupl(nGC_69)*coupl(nGC_92)*coupl(nGC_96))/( &
                        96d0*pi**2d0)
      coupl(nGC_3180) = coupl(nGC_2351) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*dZtauMinusL_QED2
      coupl(nGC_3177) = coupl(nGC_193)*dZdL_QCD2/2d0 + coupl(nGC_193)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2368)
      coupl(nGC_3181) = coupl(nGC_2352) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZtauMinusR_QED2
      coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1818) = (-coupl(nGC_130)**2d0*coupl(nGC_135) - coupl(nGC_130)* &
                        coupl(nGC_639)*coupl(nGC_88) - coupl(nGC_130)*coupl(   &
                        nGC_85)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_176) - coupl(nGC_132)**2d0*coupl(nGC_135) -  &
                        coupl(nGC_133)**2d0*coupl(nGC_135) - coupl(nGC_133)*   &
                        coupl(nGC_633)*coupl(nGC_88) - coupl(nGC_133)*coupl(   &
                        nGC_85)*coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_174)* &
                        coupl(nGC_176) - coupl(nGC_134)*coupl(nGC_643)*coupl(  &
                        nGC_80) - coupl(nGC_135)*coupl(nGC_136)**2d0 + 8d0*    &
                        coupl(nGC_136)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_136)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1819) = coupl(nGC_136)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2031) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_6)**3d0 - 48d0*coupl(&
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_2030) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_6)**3d0 + 48d0*coupl( &
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_2743) = coupl(nGC_196)*dZdL_QCD2/2d0 + coupl(nGC_196)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2354)
      coupl(nGC_2214) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(128d0*pi**2d0&
                        )
      coupl(nGC_2740) = coupl(nGC_150)*dZdR_QCD2/2d0 + coupl(nGC_150)*dZuL_QCD2&
                        /2d0 + coupl(nGC_2356)
      coupl(nGC_2746) = 3d0*coupl(nGC_45)*dZGMinus/2d0
      coupl(nGC_2212) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_84)**2d0 +  &
                        coupl(nGC_85)**2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_729) = coupl(nGC_I)*dZGMinus
      coupl(nGC_2749) = coupl(nGC_19)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_1780) = coupl(nGC_196)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2628) = dZHMinusGMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_2198) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_133)**2d0 + &
                        coupl(nGC_137)**2d0 + coupl(nGC_149)**2d0 + coupl(     &
                        nGC_173)**2d0 + coupl(nGC_180)**2d0 + coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2199) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl(&
                        nGC_133) - coupl(nGC_137)*coupl(nGC_141) - coupl(      &
                        nGC_145)*coupl(nGC_149) - coupl(nGC_169)*coupl(nGC_173 &
                        ) - coupl(nGC_177)*coupl(nGC_180) - coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_2197) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0  &
                         - coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(  &
                        nGC_173)**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2627) = coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_2620) = coupl(nGC_173)*dZsL_QCD2/2d0 + coupl(nGC_173)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2392)
      coupl(nGC_2193) = (40d0*Nc*cima*coupl(nGC_130)**3d0*coupl(nGC_133) + 40d0&
                        *Nc*cima*coupl(nGC_137)*coupl(nGC_141)**3d0 + 40d0*Nc* &
                        cima*coupl(nGC_145)**3d0*coupl(nGC_149) + 40d0*Nc*cima*&
                        coupl(nGC_169)**3d0*coupl(nGC_173) + 40d0*Nc*cima*coupl&
                        (nGC_177)**3d0*coupl(nGC_180) + 40d0*Nc*cima*coupl(    &
                        nGC_192)**3d0*coupl(nGC_195) + 40d0*cima*coupl(nGC_153 &
                        )**3d0*coupl(nGC_157) + 40d0*cima*coupl(nGC_161)**3d0* &
                        coupl(nGC_165) + 40d0*cima*coupl(nGC_184)**3d0*coupl(  &
                        nGC_188) - 5d0*cima*coupl(nGC_611)**2d0*coupl(nGC_63)* &
                        coupl(nGC_68) - 5d0*cima*coupl(nGC_611)*coupl(nGC_619)*&
                        coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_611)* &
                        coupl(nGC_619)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima* &
                        coupl(nGC_611)*coupl(nGC_621)*coupl(nGC_69)**2d0 - 5d0*&
                        cima*coupl(nGC_611)*coupl(nGC_63)**2d0*coupl(nGC_645   &
                        ) - 5d0*cima*coupl(nGC_611)*coupl(nGC_63)*coupl(nGC_64 &
                        )*coupl(nGC_645) - 5d0*cima*coupl(nGC_611)*coupl(      &
                        nGC_645)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_619)**&
                        2d0*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(      &
                        nGC_619)*coupl(nGC_621)*coupl(nGC_63)*coupl(nGC_64) -  &
                        5d0*cima*coupl(nGC_619)*coupl(nGC_621)*coupl(nGC_64)** &
                        2d0 - 5d0*cima*coupl(nGC_619)*coupl(nGC_621)*coupl(    &
                        nGC_69)**2d0 - 5d0*cima*coupl(nGC_619)*coupl(nGC_645)* &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_621)**2d0*coupl&
                        (nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_621)**2d0* &
                        coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_63)*  &
                        coupl(nGC_645)**2d0*coupl(nGC_68) - 5d0*cima*coupl(    &
                        nGC_633)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_633)**2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0* &
                        cima*coupl(nGC_633)*coupl(nGC_639)*coupl(nGC_91)**2d0  &
                         - 5d0*cima*coupl(nGC_633)*coupl(nGC_639)*coupl(nGC_91 &
                        )*coupl(nGC_92) - 5d0*cima*coupl(nGC_633)*coupl(nGC_639&
                        )*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_633)*coupl(  &
                        nGC_647)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_639)**&
                        2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(      &
                        nGC_639)*coupl(nGC_647)*coupl(nGC_91)*coupl(nGC_94) -  &
                        5d0*cima*coupl(nGC_64)*coupl(nGC_645)**2d0*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_22)*coupl(nGC_621)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_22)*coupl(nGC_645)*coupl(nGC_68) + 3d0*  &
                        coupl(nGC_23)*coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl(&
                        nGC_23)*coupl(nGC_619)*coupl(nGC_64) + 2d0*coupl(nGC_24&
                        )*coupl(nGC_611)*coupl(nGC_619) + 2d0*coupl(nGC_24)*   &
                        coupl(nGC_621)**2d0 + 4d0*coupl(nGC_24)*coupl(nGC_63)* &
                        coupl(nGC_64) + 2d0*coupl(nGC_24)*coupl(nGC_645)**2d0  &
                         + coupl(nGC_24)*coupl(nGC_68)**2d0 + coupl(nGC_24)*   &
                        coupl(nGC_69)**2d0 + 3d0*coupl(nGC_25)*coupl(nGC_639)* &
                        coupl(nGC_91) + 3d0*coupl(nGC_26)*coupl(nGC_633)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_28)*coupl(nGC_633)*coupl(nGC_94&
                        ) + coupl(nGC_28)*coupl(nGC_639)*coupl(nGC_92) + 2d0*  &
                        coupl(nGC_28)*coupl(nGC_647)*coupl(nGC_91) + coupl(    &
                        nGC_30)*coupl(nGC_611)*coupl(nGC_69) + coupl(nGC_30)*  &
                        coupl(nGC_619)*coupl(nGC_68) + 2d0*coupl(nGC_30)*coupl(&
                        nGC_621)*coupl(nGC_63) + 2d0*coupl(nGC_30)*coupl(nGC_64&
                        )*coupl(nGC_645) + coupl(nGC_31)*coupl(nGC_633)*coupl( &
                        nGC_92) + 2d0*coupl(nGC_31)*coupl(nGC_647)*coupl(nGC_94&
                        ) + coupl(nGC_35)*coupl(nGC_611)*coupl(nGC_68) + coupl(&
                        nGC_35)*coupl(nGC_619)*coupl(nGC_69) + 2d0*coupl(nGC_35&
                        )*coupl(nGC_621)*coupl(nGC_64) + 2d0*coupl(nGC_35)*    &
                        coupl(nGC_63)*coupl(nGC_645) + 3d0*coupl(nGC_36)*coupl(&
                        nGC_611)*coupl(nGC_645) + 3d0*coupl(nGC_36)*coupl(     &
                        nGC_619)*coupl(nGC_621) + 3d0*coupl(nGC_36)*coupl(     &
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_64 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_37)*coupl(nGC_633)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_37)*coupl(nGC_639)*coupl(&
                        nGC_94) + 2d0*coupl(nGC_39)*coupl(nGC_633)*coupl(nGC_91&
                        ) + coupl(nGC_39)*coupl(nGC_639)*coupl(nGC_94) - 2d0*  &
                        coupl(nGC_61)*coupl(nGC_611)*coupl(nGC_68) - 2d0*coupl(&
                        nGC_61)*coupl(nGC_611)*coupl(nGC_69) - 2d0*coupl(nGC_61&
                        )*coupl(nGC_619)*coupl(nGC_68) - 2d0*coupl(nGC_61)*    &
                        coupl(nGC_619)*coupl(nGC_69) - coupl(nGC_61)*coupl(    &
                        nGC_621)*coupl(nGC_63) - coupl(nGC_61)*coupl(nGC_621)* &
                        coupl(nGC_64) - coupl(nGC_61)*coupl(nGC_63)*coupl(     &
                        nGC_645) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_645   &
                        ) - coupl(nGC_633)*coupl(nGC_91)*coupl(nGC_99) - 2d0*  &
                        coupl(nGC_633)*coupl(nGC_92)*coupl(nGC_99) - 2d0*coupl(&
                        nGC_639)*coupl(nGC_94)*coupl(nGC_99) - coupl(nGC_647)* &
                        coupl(nGC_94)*coupl(nGC_99))/(32d0*pi**2d0)
      coupl(nGC_1942) = 3d0*(8d0*Nc*cMB*coupl(nGC_141)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_130)**3d0 + 8d0*Nc*cMD*coupl(nGC_145)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_169)**3d0 + 8d0*Nc*cMT*coupl(nGC_177)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_192)**3d0 + 8d0*cME*coupl(  &
                        nGC_153)**3d0 + 8d0*cMM*coupl(nGC_161)**3d0 + 8d0*cMTA*&
                        coupl(nGC_184)**3d0 + 4d0*cima*coupl(nGC_124)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_128)*coupl(nGC_99) + coupl&
                        (nGC_108)*coupl(nGC_611)*coupl(nGC_63) + coupl(nGC_108 &
                        )*coupl(nGC_619)*coupl(nGC_64) + coupl(nGC_109)*coupl( &
                        nGC_639)*coupl(nGC_91) + coupl(nGC_110)*coupl(nGC_621)*&
                        coupl(nGC_69) + coupl(nGC_110)*coupl(nGC_645)*coupl(   &
                        nGC_68) + coupl(nGC_113)*coupl(nGC_633)*coupl(nGC_94   &
                        ) + coupl(nGC_119)*coupl(nGC_611)*coupl(nGC_645) +     &
                        coupl(nGC_119)*coupl(nGC_619)*coupl(nGC_621) + coupl(  &
                        nGC_119)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_119)* &
                        coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_120)*coupl(    &
                        nGC_633)*coupl(nGC_91) + coupl(nGC_120)*coupl(nGC_639)*&
                        coupl(nGC_94) - coupl(nGC_124)*coupl(nGC_611)*coupl(   &
                        nGC_63) - coupl(nGC_124)*coupl(nGC_619)*coupl(nGC_64   &
                        ) - coupl(nGC_124)*coupl(nGC_621)*coupl(nGC_69) - coupl&
                        (nGC_124)*coupl(nGC_645)*coupl(nGC_68) - coupl(nGC_128 &
                        )*coupl(nGC_633)*coupl(nGC_94) - coupl(nGC_128)*coupl( &
                        nGC_639)*coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2381) = coupl(nGC_1114)*db_QED2 + coupl(nGC_1115)*dyd12x2_QED3 &
                         + coupl(nGC_1116)*dys2_QED3
      coupl(nGC_1805) = (4d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_141) + 16d0* &
                        Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_141) +  &
                        4d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_141) + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_177)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_192)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_192)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_633)*&
                        coupl(nGC_94) + coupl(nGC_104)*coupl(nGC_639)*coupl(   &
                        nGC_91) + coupl(nGC_106)*coupl(nGC_633)*coupl(nGC_91   &
                        ) + coupl(nGC_106)*coupl(nGC_639)*coupl(nGC_94) + 2d0* &
                        coupl(nGC_108)*coupl(nGC_643)*coupl(nGC_72) + coupl(   &
                        nGC_109)*coupl(nGC_639)**2d0 + coupl(nGC_109)*coupl(   &
                        nGC_91)**2d0 + coupl(nGC_112)*coupl(nGC_633)**2d0 +    &
                        coupl(nGC_112)*coupl(nGC_94)**2d0 + coupl(nGC_114)*    &
                        coupl(nGC_621)*coupl(nGC_72) + coupl(nGC_114)*coupl(   &
                        nGC_643)*coupl(nGC_68) + coupl(nGC_115)*coupl(nGC_643)*&
                        coupl(nGC_69) + coupl(nGC_115)*coupl(nGC_645)*coupl(   &
                        nGC_72) + coupl(nGC_117)*coupl(nGC_633)*coupl(nGC_639  &
                        ) + coupl(nGC_117)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_120)*coupl(nGC_633)*coupl(nGC_639) + coupl(nGC_120 &
                        )*coupl(nGC_91)*coupl(nGC_94) - 2d0*coupl(nGC_124)*    &
                        coupl(nGC_643)*coupl(nGC_72) - coupl(nGC_128)*coupl(   &
                        nGC_633)*coupl(nGC_94) - coupl(nGC_128)*coupl(nGC_639)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2195) = (20d0*Nc*cima*coupl(nGC_130)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_141)**4d0 + 20d0*Nc*cima*coupl(nGC_145)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_169)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_177)**4d0 + 20d0*Nc*cima*coupl(nGC_192)**4d0 + 20d0&
                        *cima*coupl(nGC_153)**4d0 + 20d0*cima*coupl(nGC_161)** &
                        4d0 + 20d0*cima*coupl(nGC_184)**4d0 + 6d0*cima*coupl(  &
                        nGC_61)**2d0 - 5d0*cima*coupl(nGC_611)**2d0*coupl(     &
                        nGC_63)**2d0 - 10d0*cima*coupl(nGC_611)*coupl(nGC_63)* &
                        coupl(nGC_645)*coupl(nGC_68) - 5d0*cima*coupl(nGC_619  &
                        )**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_619)*  &
                        coupl(nGC_621)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima* &
                        coupl(nGC_621)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*coupl&
                        (nGC_633)**2d0*coupl(nGC_94)**2d0 - 10d0*cima*coupl(   &
                        nGC_633)*coupl(nGC_639)*coupl(nGC_91)*coupl(nGC_94) -  &
                        5d0*cima*coupl(nGC_639)**2d0*coupl(nGC_91)**2d0 - 5d0* &
                        cima*coupl(nGC_645)**2d0*coupl(nGC_68)**2d0 + 3d0*cima*&
                        coupl(nGC_99)**2d0 + 3d0*coupl(nGC_24)*coupl(nGC_611)* &
                        coupl(nGC_645) + 3d0*coupl(nGC_24)*coupl(nGC_619)*coupl&
                        (nGC_621) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_24)*coupl(nGC_64)*coupl(nGC_69 &
                        ) + 3d0*coupl(nGC_28)*coupl(nGC_633)*coupl(nGC_91) +   &
                        3d0*coupl(nGC_28)*coupl(nGC_639)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_30)*coupl(nGC_621)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_30)*coupl(nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_31&
                        )*coupl(nGC_633)*coupl(nGC_94) + 3d0*coupl(nGC_35)*    &
                        coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl(nGC_35)*coupl(&
                        nGC_619)*coupl(nGC_64) + 3d0*coupl(nGC_39)*coupl(      &
                        nGC_639)*coupl(nGC_91) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_611)*coupl(nGC_63) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_619)*coupl(nGC_64) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_621)*coupl(nGC_69) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_645)*coupl(nGC_68) - 3d0*coupl(nGC_633)*coupl(     &
                        nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_639)*coupl(nGC_91&
                        )*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_2721) = coupl(nGC_14)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_16)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_16)*dZHl_QED2/2d0 + coupl(nGC_16)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2/2d0 + coupl(&
                        nGC_2330) + coupl(nGC_70)*dZAZ_QED2/2d0
      coupl(nGC_1814) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_139) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_140) - coupl(nGC_137)*coupl(nGC_633)* &
                        coupl(nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_182  &
                        ) - coupl(nGC_138)*coupl(nGC_643)*coupl(nGC_80) - coupl&
                        (nGC_139)**2d0*coupl(nGC_140) + 8d0*coupl(nGC_139)*    &
                        coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_140)*coupl(    &
                        nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_144)**2d0 -   &
                        coupl(nGC_141)*coupl(nGC_639)*coupl(nGC_87) - coupl(   &
                        nGC_141)*coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_142)* &
                        coupl(nGC_178)*coupl(nGC_182))/(32d0*pi**2d0)
      coupl(nGC_791) = coupl(nGC_I)*dZG0
      coupl(nGC_2996) = dZGMinusHMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/ &
                        2d0
      coupl(nGC_2997) = coupl(nGC_74)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2995) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_2993) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_2990) = coupl(nGC_2350) + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(  &
                        nGC_90)*dZnu_eL_QED2
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2999) = coupl(nGC_88)*dZtL_QCD2
      coupl(nGC_2448) = coupl(nGC_425)*dyt1_QED1_QCD2 + coupl(nGC_427)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2449) = coupl(nGC_864)*dyup1_QED3 + coupl(nGC_865)*da_QED2 +   &
                        coupl(nGC_866)*dyup2_QED3
      coupl(nGC_2363) = coupl(nGC_1317)*db_QED2 + coupl(nGC_1318)*dyd13x3_QED3 &
                         + coupl(nGC_1319)*dyb2_QED3
      coupl(nGC_2362) = coupl(nGC_1377)*dyt1_QED1_QCD2 + coupl(nGC_1378)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_TS_GC_11_Hl) = -coupl(nGC_11)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2364) = coupl(nGC_1318)*dyd13x3_QED1_QCD2 + coupl(nGC_1319)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2367) = coupl(nGC_1016)*db_QED2 + coupl(nGC_1017)*dyup1_QED3 + &
                        coupl(nGC_1018)*dyup2_QED3
      coupl(nGC_2366) = coupl(nGC_1567)*dydo1_QED1_QCD2 + coupl(nGC_1568)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2440) = coupl(nGC_1059)*dyup1_QED1_QCD2 + coupl(nGC_1060)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2441) = coupl(nGC_1227)*db_QED2 + coupl(nGC_1228)*dyc1_QED3 +  &
                        coupl(nGC_1229)*dyc2_QED3
      coupl(nGC_2442) = coupl(nGC_1228)*dyc1_QED1_QCD2 + coupl(nGC_1229)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2443) = coupl(nGC_1008)*db_QED2 + coupl(nGC_1009)*dyc1_QED3 +  &
                        coupl(nGC_1010)*dyc2_QED3
      coupl(nGC_2444) = coupl(nGC_1009)*dyc1_QED1_QCD2 + coupl(nGC_1010)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2445) = coupl(nGC_415)*db_QED2 + coupl(nGC_417)*dyt1_QED3 +    &
                        coupl(nGC_419)*dyt2_QED3
      coupl(nGC_2446) = coupl(nGC_417)*dyt1_QED1_QCD2 + coupl(nGC_419)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2447) = coupl(nGC_423)*db_QED2 + coupl(nGC_425)*dyt1_QED3 +    &
                        coupl(nGC_427)*dyt2_QED3
      coupl(nGC_2692) = coupl(nGC_2257) + coupl(nGC_25)*dZHhHl_QED2 + coupl(   &
                        nGC_28)*dZHaG0_QED2 + coupl(nGC_39)*dZHl_QED2
      coupl(nGC_2695) = coupl(nGC_19)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2694) = coupl(nGC_2350) + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(  &
                        nGC_90)*dZnu_tauL_QED2
      coupl(nGC_2697) = coupl(nGC_2344) + coupl(nGC_7)*dZcL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2696) = coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl(nGC_19)*       &
                        dZZ_QED2/2d0 + coupl(nGC_2335) + coupl(nGC_73)*        &
                        dZAZ_QED2/2d0
      coupl(nGC_2699) = coupl(nGC_2344) + coupl(nGC_7)*dZcR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2698) = coupl(nGC_7)*dZcL_QED2
      coupl(nGC_3183) = coupl(nGC_115)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3184) = coupl(nGC_2326) + coupl(nGC_91)*dZHl_QED2/2d0 + coupl( &
                        nGC_91)*dZZ_QED2/2d0 + coupl(nGC_94)*dZHaG0_QED2/2d0 + &
                        coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_2899) = coupl(nGC_192)*dZuL_QCD2/2d0 + coupl(nGC_192)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2456)
      coupl(nGC_3164) = coupl(nGC_2344) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZuR_QCD2
      coupl(nGC_3165) = coupl(nGC_7)*dZuR_QED2
      coupl(nGC_3009) = coupl(nGC_190)*dZG0/2d0
      coupl(nGC_3008) = coupl(nGC_186)*dZHaG0_QED2/2d0 + coupl(nGC_190)*       &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_190)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_2423)
      coupl(nGC_3160) = coupl(nGC_109)*dZG0
      coupl(nGC_3162) = coupl(nGC_2344) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZuL_QCD2
      coupl(nGC_3163) = coupl(nGC_7)*dZuL_QED2
      coupl(nGC_3003) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_130)*dZcL_QED2&
                        /2d0 + coupl(nGC_130)*dZcR_QED2/2d0 + coupl(nGC_133)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2457)
      coupl(nGC_3002) = -coupl(nGC_2314) - coupl(nGC_72)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_72)*dZHa_QED2/2d0 - coupl(nGC_72)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_3001) = coupl(nGC_85)*dZtR_QCD2
      coupl(nGC_3000) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_2347) + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtR_QED2
      coupl(nGC_3007) = coupl(nGC_108)*dZGMinus
      coupl(nGC_3004) = coupl(nGC_130)*dZcL_QCD2/2d0 + coupl(nGC_130)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2458)
      coupl(nGC_2845) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_2846) = coupl(nGC_20)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2847) = coupl(nGC_102)*dZZA_QED2/2d0 + coupl(nGC_126)*dZA_QED2/&
                        2d0 + coupl(nGC_126)*dZHMinus_QED2/2d0 + coupl(nGC_126 &
                        )*dZWMinus_QED2/2d0 + coupl(nGC_127)*                  &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_2313) + coupl(     &
                        nGC_TS_GC_66_Hh) + coupl(nGC_TS_GC_70_Hl)
      coupl(nGC_2840) = -coupl(nGC_179)*dZHaG0_QED2/2d0 + coupl(nGC_182)*      &
                        dZtL_QED2/2d0 + coupl(nGC_182)*dZtR_QED2/2d0 + coupl(  &
                        nGC_2445)
      coupl(nGC_2841) = coupl(nGC_182)*dZtL_QCD2/2d0 + coupl(nGC_182)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2446)
      coupl(nGC_2842) = coupl(nGC_182)*dZG0/2d0
      coupl(nGC_3168) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*       &
                        dZHh_QED2/2d0 + coupl(nGC_165)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_165)*dZmuMinusR_QED2/2d0 + coupl(nGC_2426)
      coupl(nGC_2848) = coupl(nGC_132)*dZHaG0_QED2/2d0 + coupl(nGC_136)*       &
                        dZcL_QED2/2d0 + coupl(nGC_136)*dZcR_QED2/2d0 + coupl(  &
                        nGC_2441)
      coupl(nGC_2849) = coupl(nGC_136)*dZcL_QCD2/2d0 + coupl(nGC_136)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2442)
      coupl(nGC_2965) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1663) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)* &
                        coupl(nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 4d0*Nc*coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl&
                        (nGC_193)*coupl(nGC_196) + 4d0*coupl(nGC_154)*coupl(   &
                        nGC_158) + 4d0*coupl(nGC_162)*coupl(nGC_166) + 4d0*    &
                        coupl(nGC_185)*coupl(nGC_189) + coupl(nGC_611)*coupl(  &
                        nGC_621) + coupl(nGC_619)*coupl(nGC_621) + coupl(nGC_63&
                        )*coupl(nGC_68) + coupl(nGC_64)*coupl(nGC_68))/(192d0* &
                        pi**2d0)
      coupl(nGC_2228) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 9d0&
                        *Nc*coupl(nGC_6)**2d0*coupl(nGC_649) - 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_653) - 60d0*cima*coupl(nGC_7)**  &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_2727) = coupl(nGC_18)*dZGMinus
      coupl(nGC_2770) = -coupl(nGC_2325) - coupl(nGC_91)*dZG0Ha_QED2/2d0 -     &
                        coupl(nGC_92)*dZHhHl_QED2/2d0 - coupl(nGC_94)*dZHa_QED2&
                        /2d0 - coupl(nGC_94)*dZHl_QED2/2d0 - coupl(nGC_94)*    &
                        dZZ_QED2/2d0
      coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2400) = coupl(nGC_1436)*dyd13x3_QED1_QCD2 + coupl(nGC_1437)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2389) = coupl(nGC_858)*dydo2_QED3 + coupl(nGC_859)*dydo1_QED3  &
                         + coupl(nGC_860)*da_QED2
      coupl(nGC_1746) = (coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_166)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1747) = (coupl(nGC_185)**2d0*coupl(nGC_4) + coupl(nGC_189)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1744) = (coupl(nGC_161)**2d0*coupl(nGC_4) + coupl(nGC_163)*    &
                        coupl(nGC_164)*coupl(nGC_4) + coupl(nGC_165)**2d0*coupl&
                        (nGC_4) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1745) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1742) = (coupl(nGC_153)**2d0*coupl(nGC_4) + coupl(nGC_155)*    &
                        coupl(nGC_156)*coupl(nGC_4) + coupl(nGC_157)**2d0*coupl&
                        (nGC_4) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1743) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*    &
                        coupl(nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)* &
                        coupl(nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1740) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_150)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1741) = coupl(nGC_4)*(coupl(nGC_153)**2d0 + coupl(nGC_155)*    &
                        coupl(nGC_156) + coupl(nGC_157)**2d0 + coupl(nGC_159)* &
                        coupl(nGC_160) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2668) = coupl(nGC_43)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_2898) = coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_192)*dZuL_QED2&
                        /2d0 + coupl(nGC_192)*dZuR_QED2/2d0 + coupl(nGC_195)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2455)
      coupl(nGC_1749) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_174)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1830) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_175) - coupl(nGC_131)*&
                        coupl(nGC_135)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_135)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_176) - coupl(nGC_169)*coupl(nGC_639)*coupl(nGC_87  &
                        ) - coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_91) - coupl(&
                        nGC_171)**2d0*coupl(nGC_176) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_176) - coupl(nGC_173)*coupl(nGC_633)*coupl(  &
                        nGC_87) - coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_643)*coupl(nGC_80) - coupl(   &
                        nGC_175)**2d0*coupl(nGC_176) + 8d0*coupl(nGC_175)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2099) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_134)**2d0 + &
                        coupl(nGC_138)**2d0 + coupl(nGC_150)**2d0 + coupl(     &
                        nGC_174)**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2098) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_134)**2d0  &
                         - coupl(nGC_138)**2d0 - coupl(nGC_150)**2d0 - coupl(  &
                        nGC_174)**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2716) = coupl(nGC_138)*dZGMinus/2d0
      coupl(nGC_TS_GC_116_Hh) = -coupl(nGC_116)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1969) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(&
                        nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**3d0 - coupl(nGC_192)*coupl(nGC_194)**2d0 - coupl(   &
                        nGC_192)*coupl(nGC_195)**2d0 - coupl(nGC_192)*coupl(   &
                        nGC_198)**2d0 + 8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(&
                        nGC_193)*coupl(nGC_621)*coupl(nGC_80) - coupl(nGC_194)*&
                        coupl(nGC_633)*coupl(nGC_85) - coupl(nGC_194)*coupl(   &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_64)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_639)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2409) = coupl(nGC_1501)*db_QED2 + coupl(nGC_1502)*dyd13x3_QED3 &
                         + coupl(nGC_1503)*dyb2_QED3
      coupl(nGC_2064) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2063) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2145) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(     &
                        nGC_135)**2d0 + 80d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 20d0*Nc*cima* &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_136)**2d0 +    &
                        20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)**2d0*coupl( &
                        nGC_141) + 80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)* &
                        coupl(nGC_140)*coupl(nGC_141) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)**2d0*coupl(nGC_141) + 20d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_151)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(   &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_169)*coupl(nGC_173)*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_175)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*&
                        coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(nGC_177)*coupl&
                        (nGC_180)*coupl(nGC_182)**2d0 + 80d0*Nc*cima*coupl(    &
                        nGC_177)*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183   &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(  &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(     &
                        nGC_195)*coupl(nGC_197)**2d0 + 80d0*Nc*cima*coupl(     &
                        nGC_192)*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_198   &
                        ) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(  &
                        nGC_198)**2d0 + 20d0*cima*coupl(nGC_153)*coupl(nGC_157 &
                        )*coupl(nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)*coupl(&
                        nGC_157)*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*    &
                        coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_160)**2d0 +    &
                        20d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167  &
                        )**2d0 + 80d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(&
                        nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_161)*    &
                        coupl(nGC_165)*coupl(nGC_168)**2d0 + 20d0*cima*coupl(  &
                        nGC_184)*coupl(nGC_188)*coupl(nGC_190)**2d0 + 80d0*cima&
                        *coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_190)*coupl(   &
                        nGC_191) + 20d0*cima*coupl(nGC_184)*coupl(nGC_188)*    &
                        coupl(nGC_191)**2d0 - 5d0*cima*coupl(nGC_611)*coupl(   &
                        nGC_643)**2d0*coupl(nGC_645) - 10d0*cima*coupl(nGC_611 &
                        )*coupl(nGC_643)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima&
                        *coupl(nGC_611)*coupl(nGC_643)*coupl(nGC_69)*coupl(    &
                        nGC_72) - 5d0*cima*coupl(nGC_619)*coupl(nGC_621)*coupl(&
                        nGC_643)**2d0 - 5d0*cima*coupl(nGC_619)*coupl(nGC_643)*&
                        coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(nGC_619)*&
                        coupl(nGC_643)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_621)*coupl(nGC_63)*coupl(nGC_643)*coupl(     &
                        nGC_72) - 10d0*cima*coupl(nGC_621)*coupl(nGC_64)*coupl(&
                        nGC_643)*coupl(nGC_72) - 10d0*cima*coupl(nGC_63)*coupl(&
                        nGC_643)*coupl(nGC_645)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_63)*coupl(nGC_68)*coupl(nGC_72)**2d0 - 5d0*cima*   &
                        coupl(nGC_633)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0* &
                        cima*coupl(nGC_633)**2d0*coupl(nGC_92)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_633)*coupl(nGC_639)*coupl(nGC_91)** &
                        2d0 - 5d0*cima*coupl(nGC_633)*coupl(nGC_639)*coupl(    &
                        nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(nGC_633)*coupl( &
                        nGC_639)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_633)* &
                        coupl(nGC_647)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(    &
                        nGC_639)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_639)*coupl(nGC_647)*coupl(nGC_91)*coupl(     &
                        nGC_94) - 5d0*cima*coupl(nGC_64)*coupl(nGC_643)*coupl( &
                        nGC_645)*coupl(nGC_72) - 5d0*cima*coupl(nGC_64)*coupl( &
                        nGC_69)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_10)*coupl(  &
                        nGC_633)*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl(     &
                        nGC_633)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl(     &
                        nGC_647)*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_633)*coupl(nGC_91) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_639)*coupl(nGC_94) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_643)*coupl(nGC_72) + 3d0*coupl(nGC_25)*coupl(      &
                        nGC_633)**2d0 + 3d0*coupl(nGC_25)*coupl(nGC_639)**2d0  &
                         + 3d0*coupl(nGC_25)*coupl(nGC_91)**2d0 + 3d0*coupl(   &
                        nGC_25)*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_28)*coupl(  &
                        nGC_639)*coupl(nGC_647) + 3d0*coupl(nGC_28)*coupl(     &
                        nGC_91)*coupl(nGC_92) + 3d0*coupl(nGC_29)*coupl(nGC_633&
                        )**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_94)**2d0 + 3d0*   &
                        coupl(nGC_33)*coupl(nGC_633)*coupl(nGC_639) + 3d0*coupl&
                        (nGC_33)*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37&
                        )*coupl(nGC_633)*coupl(nGC_639) + 3d0*coupl(nGC_37)*   &
                        coupl(nGC_633)*coupl(nGC_647) + 3d0*coupl(nGC_37)*coupl&
                        (nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_92&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_39)*coupl(nGC_633)*    &
                        coupl(nGC_639) + 3d0*coupl(nGC_39)*coupl(nGC_91)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_40)*coupl(nGC_643)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_40)*coupl(nGC_645)*coupl(nGC_72) +   &
                        3d0*coupl(nGC_41)*coupl(nGC_621)*coupl(nGC_72) + 3d0*  &
                        coupl(nGC_41)*coupl(nGC_643)*coupl(nGC_68) + 6d0*coupl(&
                        nGC_43)*coupl(nGC_611)*coupl(nGC_619) + 3d0*coupl(     &
                        nGC_43)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_43)*coupl(  &
                        nGC_69)**2d0 + 3d0*coupl(nGC_47)*coupl(nGC_633)*coupl( &
                        nGC_94) + 3d0*coupl(nGC_47)*coupl(nGC_639)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_611)*coupl(nGC_72) +   &
                        3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_643) + 3d0*  &
                        coupl(nGC_49)*coupl(nGC_619)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_49)*coupl(nGC_63)*coupl(nGC_643) + 3d0*coupl(nGC_53&
                        )*coupl(nGC_611)*coupl(nGC_68) + 3d0*coupl(nGC_53)*    &
                        coupl(nGC_619)*coupl(nGC_69) + 3d0*coupl(nGC_55)*coupl(&
                        nGC_639)*coupl(nGC_94) + 3d0*coupl(nGC_56)*coupl(      &
                        nGC_611)*coupl(nGC_69) + 3d0*coupl(nGC_56)*coupl(      &
                        nGC_619)*coupl(nGC_68) + 3d0*coupl(nGC_59)*coupl(      &
                        nGC_633)*coupl(nGC_92) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_621)*coupl(nGC_63) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_621)*coupl(nGC_64) - 3d0*coupl(nGC_62)*coupl(nGC_63&
                        )*coupl(nGC_645) - 3d0*coupl(nGC_62)*coupl(nGC_64)*    &
                        coupl(nGC_645) + 3d0*coupl(nGC_639)*coupl(nGC_9)*coupl(&
                        nGC_91))/(96d0*pi**2d0)
      coupl(nGC_2144) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(nGC_137  &
                        )**2d0*coupl(nGC_140)**2d0 + 20d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*   &
                        coupl(nGC_149)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)*coupl(nGC_176) +    &
                        20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_176)**2d0 + &
                        20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)**2d0 + &
                        80d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)*coupl( &
                        nGC_183) + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(     &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_195)**&
                        2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*coupl&
                        (nGC_99) + 20d0*cima*coupl(nGC_157)**2d0*coupl(nGC_159 &
                        )**2d0 + 80d0*cima*coupl(nGC_157)**2d0*coupl(nGC_159)* &
                        coupl(nGC_160) + 20d0*cima*coupl(nGC_157)**2d0*coupl(  &
                        nGC_160)**2d0 + 20d0*cima*coupl(nGC_165)**2d0*coupl(   &
                        nGC_167)**2d0 + 80d0*cima*coupl(nGC_165)**2d0*coupl(   &
                        nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_165)**2d0&
                        *coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_188)**2d0*  &
                        coupl(nGC_190)**2d0 + 80d0*cima*coupl(nGC_188)**2d0*   &
                        coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_188&
                        )**2d0*coupl(nGC_191)**2d0 + 12d0*cima*coupl(nGC_61)*  &
                        coupl(nGC_62) - 10d0*cima*coupl(nGC_611)*coupl(nGC_63)*&
                        coupl(nGC_643)*coupl(nGC_72) - 10d0*cima*coupl(nGC_619 &
                        )*coupl(nGC_64)*coupl(nGC_643)*coupl(nGC_72) - 5d0*cima&
                        *coupl(nGC_621)**2d0*coupl(nGC_643)**2d0 - 20d0*cima*  &
                        coupl(nGC_621)*coupl(nGC_643)*coupl(nGC_69)*coupl(     &
                        nGC_72) - 10d0*cima*coupl(nGC_633)**2d0*coupl(nGC_94)**&
                        2d0 - 10d0*cima*coupl(nGC_633)*coupl(nGC_639)*coupl(   &
                        nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(nGC_633)*coupl(&
                        nGC_647)*coupl(nGC_92)*coupl(nGC_94) - 10d0*cima*coupl(&
                        nGC_639)*coupl(nGC_647)*coupl(nGC_91)*coupl(nGC_92) -  &
                        5d0*cima*coupl(nGC_643)**2d0*coupl(nGC_645)**2d0 - 20d0&
                        *cima*coupl(nGC_643)*coupl(nGC_645)*coupl(nGC_68)*coupl&
                        (nGC_72) - 5d0*cima*coupl(nGC_68)**2d0*coupl(nGC_72)** &
                        2d0 - 5d0*cima*coupl(nGC_69)**2d0*coupl(nGC_72)**2d0 + &
                        3d0*coupl(nGC_10)*coupl(nGC_633)*coupl(nGC_91) + 3d0*  &
                        coupl(nGC_10)*coupl(nGC_639)*coupl(nGC_94) - 3d0*coupl(&
                        nGC_101)*coupl(nGC_633)*coupl(nGC_94) - 3d0*coupl(     &
                        nGC_101)*coupl(nGC_647)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_12)*coupl(nGC_633)*coupl(nGC_94) + 3d0*coupl(nGC_13&
                        )*coupl(nGC_639)*coupl(nGC_91) + 6d0*coupl(nGC_25)*    &
                        coupl(nGC_633)*coupl(nGC_639) + 6d0*coupl(nGC_25)*coupl&
                        (nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_29)*coupl(      &
                        nGC_633)*coupl(nGC_647) + 6d0*coupl(nGC_29)*coupl(     &
                        nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_32)*coupl(nGC_643&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_33)*coupl(nGC_633)**2d0&
                         + 6d0*coupl(nGC_33)*coupl(nGC_94)**2d0 + 6d0*coupl(   &
                        nGC_37)*coupl(nGC_639)*coupl(nGC_647) + 6d0*coupl(     &
                        nGC_37)*coupl(nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_40 &
                        )*coupl(nGC_619)*coupl(nGC_72) + 6d0*coupl(nGC_40)*    &
                        coupl(nGC_63)*coupl(nGC_643) + 6d0*coupl(nGC_41)*coupl(&
                        nGC_611)*coupl(nGC_72) + 6d0*coupl(nGC_41)*coupl(nGC_64&
                        )*coupl(nGC_643) + 3d0*coupl(nGC_43)*coupl(nGC_611)*   &
                        coupl(nGC_621) + 3d0*coupl(nGC_43)*coupl(nGC_619)*coupl&
                        (nGC_645) + 3d0*coupl(nGC_43)*coupl(nGC_63)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_43)*coupl(nGC_64)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_47)*coupl(nGC_633)*coupl(nGC_92) +   &
                        3d0*coupl(nGC_47)*coupl(nGC_647)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_53)*coupl(nGC_621)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_53)*coupl(nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_55&
                        )*coupl(nGC_633)*coupl(nGC_94) + 3d0*coupl(nGC_56)*    &
                        coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl(nGC_56)*coupl(&
                        nGC_619)*coupl(nGC_64) + 3d0*coupl(nGC_59)*coupl(      &
                        nGC_647)*coupl(nGC_92) - 6d0*coupl(nGC_61)*coupl(      &
                        nGC_643)*coupl(nGC_72) - 3d0*coupl(nGC_611)*coupl(     &
                        nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_619)*coupl(nGC_62&
                        )*coupl(nGC_64) - 3d0*coupl(nGC_62)*coupl(nGC_621)*    &
                        coupl(nGC_69) - 3d0*coupl(nGC_62)*coupl(nGC_645)*coupl(&
                        nGC_68) - 3d0*coupl(nGC_633)*coupl(nGC_94)*coupl(nGC_99&
                        ) - 3d0*coupl(nGC_639)*coupl(nGC_91)*coupl(nGC_99))/(  &
                        96d0*pi**2d0)
      coupl(nGC_1829) = coupl(nGC_176)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1828) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_176) - coupl(nGC_131)*&
                        coupl(nGC_136)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_136)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_175) - coupl(nGC_169)*coupl(nGC_639)*coupl(nGC_84  &
                        ) - coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_91) - coupl(&
                        nGC_172)**2d0*coupl(nGC_175) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_175) - coupl(nGC_173)*coupl(nGC_633)*coupl(  &
                        nGC_84) - coupl(nGC_173)*coupl(nGC_87)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_175)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_176)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2327) = coupl(nGC_1577)*dZee_QED2 + coupl(nGC_1578)*dcw_QED2 + &
                        coupl(nGC_1579)*dsw_QED2
      coupl(nGC_1701) = cima*sq2**2d0*(Nc*coupl(nGC_6)**2d0 - 4d0*coupl(nGC_7  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_3238) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_2327) + coupl( &
                        nGC_96)*dZZ_QED2/2d0
      coupl(nGC_2894) = dZHMinusGMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/ &
                        2d0
      coupl(nGC_1953) = coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1951) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_145  &
                        )**3d0 - coupl(nGC_145)*coupl(nGC_148)**2d0 - coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(   &
                        nGC_152)**2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193  &
                        ) - coupl(nGC_146)*coupl(nGC_68)*coupl(nGC_80) - coupl(&
                        nGC_148)*coupl(nGC_633)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_150)*coupl(    &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_611 &
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_639)*coupl( &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_1957) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_141) + cMC*  &
                        coupl(nGC_130) + cMD*coupl(nGC_145) + cMS*coupl(nGC_169&
                        ) + cMT*coupl(nGC_177) + cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1956) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_141) - cMC* &
                        coupl(nGC_130) - cMD*coupl(nGC_145) - cMS*coupl(nGC_169&
                        ) - cMT*coupl(nGC_177) - cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0)
      coupl(nGC_1955) = (-coupl(nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_156)**&
                        2d0 - coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(      &
                        nGC_153)*coupl(nGC_160)**2d0 + 8d0*coupl(nGC_153)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_154)*coupl(nGC_621)*coupl(nGC_80   &
                        ) + coupl(nGC_156)*coupl(nGC_633)*coupl(nGC_86) + coupl&
                        (nGC_156)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_160)*coupl(    &
                        nGC_639)*coupl(nGC_86) + coupl(nGC_160)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_1707) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_2718) = coupl(nGC_181)*dZbL_QCD2/2d0 + coupl(nGC_181)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2362)
      coupl(nGC_2248) = coupl(nGC_1349)*db_QED2 + coupl(nGC_1350)*dl3_QED4 +   &
                        coupl(nGC_1351)*dl2_QED4 + coupl(nGC_1352)*dl1_QED4 +  &
                        coupl(nGC_1353)*dl4_QED4 + coupl(nGC_1354)*dl5_QED4
      coupl(nGC_2249) = coupl(nGC_1189)*db_QED2 + coupl(nGC_1190)*dl3_QED4 +   &
                        coupl(nGC_1191)*dl2_QED4 + coupl(nGC_1192)*dl1_QED4 +  &
                        coupl(nGC_1193)*dl4_QED4 + coupl(nGC_1194)*dl5_QED4 +  &
                        coupl(nGC_1195)*da_QED2
      coupl(nGC_2246) = coupl(nGC_1196)*db_QED2 + coupl(nGC_1197)*dl3_QED4 +   &
                        coupl(nGC_1198)*dl2_QED4 + coupl(nGC_1199)*dl1_QED4 +  &
                        coupl(nGC_1200)*dl4_QED4 + coupl(nGC_1201)*dl5_QED4 +  &
                        coupl(nGC_1202)*da_QED2
      coupl(nGC_2715) = coupl(nGC_138)*dZbR_QCD2/2d0 + coupl(nGC_138)*dZtL_QCD2&
                        /2d0 + coupl(nGC_2364)
      coupl(nGC_2244) = coupl(nGC_1364)*db_QED2 + coupl(nGC_1365)*dl3_QED4 +   &
                        coupl(nGC_1366)*dl2_QED4 + coupl(nGC_1367)*dl1_QED4 +  &
                        coupl(nGC_1368)*dl4_QED4 + coupl(nGC_1369)*dl5_QED4
      coupl(nGC_2242) = coupl(nGC_1370)*db_QED2 + coupl(nGC_1371)*dl3_QED4 +   &
                        coupl(nGC_1372)*dl2_QED4 + coupl(nGC_1373)*dl1_QED4 +  &
                        coupl(nGC_1374)*dl4_QED4 + coupl(nGC_1375)*dl5_QED4
      coupl(nGC_2243) = coupl(nGC_1355)*db_QED2 + coupl(nGC_1356)*dl3_QED4 +   &
                        coupl(nGC_1357)*dl2_QED4 + coupl(nGC_1358)*dl1_QED4 +  &
                        coupl(nGC_1359)*dl4_QED4 + coupl(nGC_1360)*dl5_QED4
      coupl(nGC_2240) = coupl(nGC_1515)*dZee_QED2 + coupl(nGC_1516)*dcw_QED2 + &
                        coupl(nGC_1517)*dsw_QED2
      coupl(nGC_2241) = coupl(nGC_1498)*dZee_QED2 + coupl(nGC_1499)*dcw_QED2 + &
                        coupl(nGC_1500)*dsw_QED2
      coupl(nGC_2822) = coupl(nGC_153)*dZHlHh_QED2/2d0 + coupl(nGC_157)*       &
                        dZHh_QED2/2d0 + coupl(nGC_157)*dZeMinusL_QED2/2d0 +    &
                        coupl(nGC_157)*dZeMinusR_QED2/2d0 + coupl(nGC_2425)
      coupl(nGC_2823) = -coupl(nGC_2315) + coupl(nGC_63)*dZGMinusHMinus_QED2/  &
                        2d0 - coupl(nGC_63)*dZHhHl_QED2/2d0 - coupl(nGC_69)*   &
                        dZHMinus_QED2/2d0 - coupl(nGC_69)*dZHl_QED2/2d0 - coupl&
                        (nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_3149) = coupl(nGC_147)*dZHa_QED2/2d0 + coupl(nGC_147)*dZdL_QED2&
                        /2d0 + coupl(nGC_147)*dZdR_QED2/2d0 + coupl(nGC_151)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2403)
      coupl(nGC_1860) = coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2390) = coupl(nGC_858)*dydo2_QED1_QCD2 + coupl(nGC_859)*       &
                        dydo1_QED1_QCD2
      coupl(nGC_2395) = coupl(nGC_1554)*dydo2_QED3 + coupl(nGC_1555)*dydo1_QED3&
                         + coupl(nGC_1556)*da_QED2
      coupl(nGC_2396) = coupl(nGC_1554)*dydo2_QED1_QCD2 + coupl(nGC_1555)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_2397) = coupl(nGC_861)*dyd12x2_QED3 + coupl(nGC_862)*da_QED2 + &
                        coupl(nGC_863)*dys2_QED3
      coupl(nGC_2398) = coupl(nGC_861)*dyd12x2_QED1_QCD2 + coupl(nGC_863)*     &
                        dys2_QED1_QCD2
      coupl(nGC_2399) = coupl(nGC_1436)*dyd13x3_QED3 + coupl(nGC_1437)*        &
                        dyb2_QED3 + coupl(nGC_1438)*da_QED2
      coupl(nGC_3146) = coupl(nGC_7)*dZtL_QED2
      coupl(nGC_1930) = (-coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_611)*coupl(nGC_80) - coupl(nGC_164)**2d0*    &
                        coupl(nGC_165) + coupl(nGC_164)*coupl(nGC_647)*coupl(  &
                        nGC_86) + coupl(nGC_164)*coupl(nGC_89)*coupl(nGC_92) - &
                        coupl(nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_168)**  &
                        2d0 + 8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_168)*coupl(    &
                        nGC_633)*coupl(nGC_86) + coupl(nGC_168)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1933) = coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2799) = coupl(nGC_2258) + coupl(nGC_23)*dZHhHl_QED2 + coupl(   &
                        nGC_24)*dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2
      coupl(nGC_3283) = -coupl(nGC_1764)
      coupl(nGC_3287) = -coupl(nGC_2030)
      coupl(nGC_3288) = -coupl(nGC_2031)
      coupl(nGC_1934) = (-coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_180)**3d0 - coupl(nGC_180)*  &
                        coupl(nGC_182)**2d0 + 8d0*coupl(nGC_180)*coupl(nGC_2)**&
                        2d0 - coupl(nGC_180)*coupl(nGC_629)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_181)* &
                        coupl(nGC_621)*coupl(nGC_80) - coupl(nGC_182)*coupl(   &
                        nGC_633)*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_629)*coupl(nGC_647)*coupl(   &
                        nGC_88) - coupl(nGC_629)*coupl(nGC_85)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_2809) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_1937) = (-coupl(nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_186)**2d0*coupl&
                        (nGC_188) + coupl(nGC_186)*coupl(nGC_647)*coupl(nGC_89 &
                        ) + coupl(nGC_186)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_190)**2d0 +   &
                        8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)* &
                        coupl(nGC_621)*coupl(nGC_80) + coupl(nGC_190)*coupl(   &
                        nGC_633)*coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1831) = coupl(nGC_175)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2801) = coupl(nGC_101)*dZHa_QED2 + coupl(nGC_101)*dZZ_QED2 +   &
                        coupl(nGC_2336)
      coupl(nGC_2802) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_2805) = coupl(nGC_25)*dZG0
      coupl(nGC_2807) = coupl(nGC_153)*dZHl_QED2/2d0 + coupl(nGC_153)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_153)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_157)*dZHhHl_QED2/2d0 + coupl(nGC_2428)
      coupl(nGC_1833) = coupl(nGC_182)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1834) = (-coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_181) - coupl(&
                        nGC_140)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_182) - coupl(nGC_177)*coupl(nGC_639)* &
                        coupl(nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_91) - coupl(nGC_179)**2d0*coupl(nGC_182) - coupl(  &
                        nGC_180)**2d0*coupl(nGC_182) - coupl(nGC_180)*coupl(   &
                        nGC_633)*coupl(nGC_88) - coupl(nGC_180)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_643)*coupl(   &
                        nGC_80) - coupl(nGC_182)*coupl(nGC_183)**2d0 + 8d0*    &
                        coupl(nGC_183)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_183)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1835) = coupl(nGC_183)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2222) = (-5d0*cima*coupl(nGC_6)**4d0*sq2**4d0 + 3d0*cima*coupl(&
                        nGC_651)**2d0 - 6d0*cima*coupl(nGC_651)*coupl(nGC_8) + &
                        3d0*cima*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_6)**2d0*    &
                        coupl(nGC_651)*sq2**2d0 + 9d0*coupl(nGC_6)**2d0*coupl( &
                        nGC_8)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1836) = (-coupl(nGC_184)**2d0*coupl(nGC_191) + coupl(nGC_184)* &
                        coupl(nGC_639)*coupl(nGC_86) + coupl(nGC_184)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_186)**2d0*coupl(     &
                        nGC_191) - coupl(nGC_188)**2d0*coupl(nGC_191) + coupl( &
                        nGC_188)*coupl(nGC_633)*coupl(nGC_86) + coupl(nGC_188)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_190)**2d0*coupl(     &
                        nGC_191) + 8d0*coupl(nGC_190)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_1837) = (-coupl(nGC_184)**2d0*coupl(nGC_190) + coupl(nGC_184)* &
                        coupl(nGC_639)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_91) - coupl(nGC_187)**2d0*coupl(     &
                        nGC_190) - coupl(nGC_188)**2d0*coupl(nGC_190) + coupl( &
                        nGC_188)*coupl(nGC_633)*coupl(nGC_89) + coupl(nGC_188)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_643)*coupl(nGC_80) - coupl(nGC_190)*coupl(nGC_191  &
                        )**2d0 + 8d0*coupl(nGC_191)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_191)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_3054) = coupl(nGC_141)*dZbL_QCD2/2d0 + coupl(nGC_141)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2400)
      coupl(nGC_3056) = coupl(nGC_184)*dZHlHh_QED2/2d0 + coupl(nGC_188)*       &
                        dZHh_QED2/2d0 + coupl(nGC_188)*dZtauMinusL_QED2/2d0 +  &
                        coupl(nGC_188)*dZtauMinusR_QED2/2d0 + coupl(nGC_2427)
      coupl(nGC_3053) = coupl(nGC_137)*dZHhHl_QED2/2d0 + coupl(nGC_141)*       &
                        dZHl_QED2/2d0 + coupl(nGC_141)*dZbL_QED2/2d0 + coupl(  &
                        nGC_141)*dZbR_QED2/2d0 + coupl(nGC_2399)
      coupl(nGC_2636) = coupl(nGC_107)*dZZA_QED2/2d0 + coupl(nGC_126)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_127)*dZA_QED2/2d0  &
                         + coupl(nGC_127)*dZWMinus_QED2/2d0 + coupl(nGC_2312   &
                        ) + coupl(nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_70_Hh)
      coupl(nGC_2200) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)*coupl( &
                        nGC_133) + coupl(nGC_137)*coupl(nGC_141) + coupl(      &
                        nGC_145)*coupl(nGC_149) + coupl(nGC_169)*coupl(nGC_173 &
                        ) + coupl(nGC_177)*coupl(nGC_180) + coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0*Nc)
      coupl(nGC_2934) = coupl(nGC_2254) + coupl(nGC_46)*dZHaG0_QED2 + coupl(   &
                        nGC_47)*dZG0Ha_QED2 + coupl(nGC_59)*dZHa_QED2
      coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2936) = coupl(nGC_16)*dZGMinus/2d0
      coupl(nGC_2937) = coupl(nGC_14)*dZHlHh_QED2/2d0 + coupl(nGC_15)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*dZHh_QED2/2d0  &
                         + coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*    &
                        dZZ_QED2/2d0 + coupl(nGC_2330) + coupl(nGC_70)*        &
                        dZAZ_QED2/2d0
      coupl(nGC_2930) = coupl(nGC_48)*dZGMinus/2d0
      coupl(nGC_2221) = (10d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 6d0*Nc*cima*&
                        coupl(nGC_651)*coupl(nGC_653) - 6d0*Nc*cima*coupl(     &
                        nGC_653)*coupl(nGC_8) - 3d0*Nc*coupl(nGC_6)**2d0*coupl(&
                        nGC_649)*sq2**2d0 + 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_651)*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_653)*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_8)*sq2**2d0 - 6d0*cima*coupl(nGC_7)**4d0*sq2**4d0  &
                        )/(384d0*pi**2d0*Nc)
      coupl(nGC_2938) = coupl(nGC_21)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2939) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_17)*            &
                        dZHMinus_QED2 + coupl(nGC_2307) + coupl(nGC_96)*       &
                        dZZA_QED2/2d0
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1709) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2050) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84&
                        ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(    &
                        nGC_142)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 10d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl( &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*    &
                        coupl(nGC_174)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 10d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(&
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*    &
                        coupl(nGC_181)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*  &
                        coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_146&
                        )*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)*coupl( &
                        nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*  &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(&
                        nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl( &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) +   &
                        10d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82  &
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68)* &
                        coupl(nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_3)*coupl(  &
                        nGC_68) - 3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_68  &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_63) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(  &
                        nGC_619)*coupl(nGC_625)*coupl(nGC_70) - 3d0*coupl(     &
                        nGC_621)*coupl(nGC_625)*coupl(nGC_66) - 3d0*coupl(     &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64 &
                        )*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64)*coupl&
                        (nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_65)*coupl(nGC_68&
                        )*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_2338) = coupl(nGC_1613)*dZee_QED2 + coupl(nGC_1614)*dcw_QED2 + &
                        coupl(nGC_1615)*dsw_QED2
      coupl(nGC_2202) = cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(   &
                        32d0*pi**2d0)
      coupl(nGC_2172) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 + &
                        coupl(nGC_142)**2d0 + coupl(nGC_146)**2d0 + coupl(     &
                        nGC_170)**2d0 + coupl(nGC_178)**2d0 + coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2300) = coupl(nGC_1631)*dvev2_QED1 + coupl(nGC_1632)*dvev1_QED1&
                         + coupl(nGC_1633)*dl2_QED4 + coupl(nGC_1634)*dl1_QED4 &
                         + coupl(nGC_1635)*dl4_QED4 + coupl(nGC_1636)*dl3_QED4 &
                         + coupl(nGC_1637)*da_QED2 + coupl(nGC_1638)*dl5_QED4
      coupl(nGC_1977) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_137)**&
                        2d0*coupl(nGC_84) + coupl(nGC_139)*coupl(nGC_140)*coupl&
                        (nGC_84) + coupl(nGC_141)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_84) + coupl(nGC_178  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_181)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_625)*coupl(nGC_80)**2d0 + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1812) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_139) - coupl(nGC_137)*coupl(nGC_633)* &
                        coupl(nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_183  &
                        ) - coupl(nGC_138)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_139)*coupl(nGC_140)**2d0 - coupl(nGC_139)*coupl(   &
                        nGC_141)**2d0 - coupl(nGC_139)*coupl(nGC_143)**2d0 +   &
                        8d0*coupl(nGC_140)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_141)*coupl(nGC_639)*coupl(nGC_84) - coupl(nGC_141)*&
                        coupl(nGC_87)*coupl(nGC_91) - coupl(nGC_142)*coupl(    &
                        nGC_178)*coupl(nGC_183))/(32d0*pi**2d0)
      coupl(nGC_1940) = (-coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_193) - coupl(&
                        nGC_149)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**2d0*coupl(nGC_195) - coupl(nGC_193)*coupl(nGC_611)* &
                        coupl(nGC_80) - coupl(nGC_194)**2d0*coupl(nGC_195) -   &
                        coupl(nGC_194)*coupl(nGC_647)*coupl(nGC_85) - coupl(   &
                        nGC_194)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_195)**&
                        3d0 - coupl(nGC_195)*coupl(nGC_198)**2d0 + 8d0*coupl(  &
                        nGC_195)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_195)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_196)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_633)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1941) = coupl(nGC_195)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2023) = coupl(nGC_7)*sq2*(-coupl(nGC_177)**2d0 - coupl(nGC_178 &
                        )**2d0 - coupl(nGC_179)*coupl(nGC_629) - coupl(nGC_180 &
                        )**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_182)*coupl(   &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2020) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_169&
                        )**2d0 + coupl(nGC_170)**2d0 + coupl(nGC_171)*coupl(   &
                        nGC_172) + coupl(nGC_173)**2d0 + coupl(nGC_174)**2d0 + &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_84)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_2021) = coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6  &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_1660) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_139)*coupl(nGC_140) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_135)*coupl(nGC_136) -   &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_151)*coupl(nGC_152) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_175)*coupl(nGC_176) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_182)*coupl(nGC_183) -   &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_197)*coupl(nGC_198) -   &
                        8d0*cME**2d0*cima*coupl(nGC_159)*coupl(nGC_160) - cMHH &
                        **2d0*cima*coupl(nGC_633)*coupl(nGC_94) - cMHL**2d0*   &
                        cima*coupl(nGC_639)*coupl(nGC_91) - 8d0*cMM**2d0*cima* &
                        coupl(nGC_167)*coupl(nGC_168) - 8d0*cMTA**2d0*cima*    &
                        coupl(nGC_190)*coupl(nGC_191) - 4d0*cMW**2d0*cima*coupl&
                        (nGC_643)*coupl(nGC_72) - 4d0*cMW**2d0*coupl(nGC_62) - &
                        cMZ**2d0*cima*coupl(nGC_633)*coupl(nGC_94) - cMZ**2d0* &
                        cima*coupl(nGC_639)*coupl(nGC_91) - 2d0*cMZ**2d0*coupl(&
                        nGC_101))/(32d0*pi**2d0)
      coupl(nGC_2024) = coupl(nGC_7)*sq2*(coupl(nGC_138)**2d0 + coupl(nGC_142  &
                        )**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_179)*coupl(   &
                        nGC_629) + coupl(nGC_180)**2d0 + coupl(nGC_182)*coupl( &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2025) = coupl(nGC_7)*sq2*(coupl(nGC_177)**2d0 + coupl(nGC_178  &
                        )**2d0 + coupl(nGC_179)*coupl(nGC_629) + coupl(nGC_180 &
                        )**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_182)*coupl(   &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1676) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_137)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_133)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_149)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_173)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_180)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_195)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_157)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_647)*coupl(nGC_92) - cMHC**2d0*cima*coupl(   &
                        nGC_611)*coupl(nGC_63) - cMHC**2d0*cima*coupl(nGC_619)*&
                        coupl(nGC_64) - 8d0*cMM**2d0*cima*coupl(nGC_165)**2d0  &
                         - 8d0*cMTA**2d0*cima*coupl(nGC_188)**2d0 - cMW**2d0*  &
                        cima*coupl(nGC_611)*coupl(nGC_63) - cMW**2d0*cima*coupl&
                        (nGC_619)*coupl(nGC_64) - 2d0*cMW**2d0*cima*coupl(     &
                        nGC_621)*coupl(nGC_69) - 2d0*cMW**2d0*cima*coupl(      &
                        nGC_645)*coupl(nGC_68) - 4d0*cMW**2d0*coupl(nGC_61) -  &
                        2d0*cMZ**2d0*cima*coupl(nGC_633)*coupl(nGC_94) - cMZ** &
                        2d0*cima*coupl(nGC_647)*coupl(nGC_92) - 2d0*cMZ**2d0*  &
                        coupl(nGC_99) + 4d0*cima*coupl(nGC_125)**2d0 + 2d0*cima&
                        *coupl(nGC_129)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2758) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_2310) + coupl( &
                        nGC_65)*dZA_QED2/2d0 + coupl(nGC_65)*dZHl_QED2/2d0 +   &
                        coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_70)*       &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*dZHhHl_QED2/2d0
      coupl(nGC_2759) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_2318) + coupl( &
                        nGC_73)*dZA_QED2/2d0 + coupl(nGC_73)*dZHMinus_QED2/2d0 &
                         + coupl(nGC_73)*dZHa_QED2/2d0 + coupl(nGC_73)*        &
                        dZWMinus_QED2/2d0
      coupl(nGC_2209) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)**2d0  &
                         - coupl(nGC_141)**2d0 - coupl(nGC_145)**2d0 - coupl(  &
                        nGC_169)**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2719) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_2619) = coupl(nGC_169)*dZHlHh_QED2/2d0 + coupl(nGC_173)*       &
                        dZHh_QED2/2d0 + coupl(nGC_173)*dZsL_QED2/2d0 + coupl(  &
                        nGC_173)*dZsR_QED2/2d0 + coupl(nGC_2391)
      coupl(nGC_2618) = coupl(nGC_101)*dZZ_QED2 + coupl(nGC_2336)
      coupl(nGC_2773) = coupl(nGC_2351) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*dZeMinusL_QED2
      coupl(nGC_1883) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_144) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_143) - coupl(nGC_137)*coupl(nGC_647)* &
                        coupl(nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_629  &
                        ) - coupl(nGC_139)**2d0*coupl(nGC_143) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_143) - coupl(nGC_141)*coupl(nGC_633)* &
                        coupl(nGC_87) - coupl(nGC_141)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_629  &
                        ) - coupl(nGC_142)*coupl(nGC_643)*coupl(nGC_80) - coupl&
                        (nGC_143)*coupl(nGC_144)**2d0 + 8d0*coupl(nGC_144)*    &
                        coupl(nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_3090) = coupl(nGC_7)*dZsL_QED2
      coupl(nGC_2611) = coupl(nGC_178)*dZHMinus_QED2/2d0 + coupl(nGC_178)*     &
                        dZbL_QED2/2d0 + coupl(nGC_178)*dZtR_QED2/2d0 + coupl(  &
                        nGC_181)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2373)
      coupl(nGC_2610) = coupl(nGC_2240) - coupl(nGC_5)*dZAZ_QED2 - coupl(nGC_79&
                        )*dZZA_QED2 + coupl(nGC_83)*dZA_QED2/2d0 + coupl(nGC_83&
                        )*dZWMinus_QED2 + coupl(nGC_83)*dZZ_QED2/2d0
      coupl(nGC_2612) = coupl(nGC_178)*dZbL_QCD2/2d0 + coupl(nGC_178)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2374)
      coupl(nGC_2615) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2614) = coupl(nGC_142)*dZbR_QCD2/2d0 + coupl(nGC_142)*dZtL_QCD2&
                        /2d0 + coupl(nGC_2376)
      coupl(nGC_2617) = coupl(nGC_101)*dZG0
      coupl(nGC_2616) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_2308) + coupl( &
                        nGC_74)*dZA_QED2/2d0 + coupl(nGC_74)*dZHMinus_QED2/2d0 &
                         + coupl(nGC_74)*dZHa_QED2/2d0 + coupl(nGC_74)*        &
                        dZWMinus_QED2/2d0
      coupl(nGC_1784) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_182) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_183) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_176) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_198) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_135)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_136)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_151)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_20) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_74) - coupl(nGC_102)*    &
                        coupl(nGC_631)*coupl(nGC_643) - coupl(nGC_102)*coupl(  &
                        nGC_633)*coupl(nGC_69) - coupl(nGC_102)*coupl(nGC_639)*&
                        coupl(nGC_64) - coupl(nGC_107)*coupl(nGC_63)*coupl(    &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_69)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_643)*coupl(nGC_645) + coupl(  &
                        nGC_109)*coupl(nGC_643)*coupl(nGC_69) + coupl(nGC_111)*&
                        coupl(nGC_633)*coupl(nGC_96) + coupl(nGC_111)*coupl(   &
                        nGC_645)*coupl(nGC_72) + coupl(nGC_111)*coupl(nGC_94)* &
                        coupl(nGC_96) + coupl(nGC_112)*coupl(nGC_69)*coupl(    &
                        nGC_72) + coupl(nGC_114)*coupl(nGC_631)**2d0 + coupl(  &
                        nGC_114)*coupl(nGC_637)**2d0 + coupl(nGC_114)*coupl(   &
                        nGC_72)**2d0 + coupl(nGC_116)*coupl(nGC_619)*coupl(    &
                        nGC_643) + coupl(nGC_117)*coupl(nGC_63)*coupl(nGC_643  &
                        ) + coupl(nGC_119)*coupl(nGC_611)*coupl(nGC_72) + coupl&
                        (nGC_119)*coupl(nGC_639)*coupl(nGC_96) + coupl(nGC_119 &
                        )*coupl(nGC_91)*coupl(nGC_96) + coupl(nGC_120)*coupl(  &
                        nGC_64)*coupl(nGC_72) - coupl(nGC_126)*coupl(nGC_637)* &
                        coupl(nGC_643))/(32d0*pi**2d0)
      coupl(nGC_1759) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_183) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_182) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_175) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_197) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_136)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_135)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_152)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_19) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_73) - coupl(nGC_102)*    &
                        coupl(nGC_63)*coupl(nGC_639) - coupl(nGC_102)*coupl(   &
                        nGC_633)*coupl(nGC_68) - coupl(nGC_102)*coupl(nGC_643)*&
                        coupl(nGC_96) - coupl(nGC_107)*coupl(nGC_64)*coupl(    &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_68)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_621)*coupl(nGC_643) + coupl(  &
                        nGC_109)*coupl(nGC_643)*coupl(nGC_68) + coupl(nGC_111)*&
                        coupl(nGC_621)*coupl(nGC_72) + coupl(nGC_111)*coupl(   &
                        nGC_631)*coupl(nGC_633) + coupl(nGC_111)*coupl(nGC_631 &
                        )*coupl(nGC_94) + coupl(nGC_112)*coupl(nGC_68)*coupl(  &
                        nGC_72) + coupl(nGC_115)*coupl(nGC_17)**2d0 + coupl(   &
                        nGC_115)*coupl(nGC_72)**2d0 + coupl(nGC_115)*coupl(    &
                        nGC_96)**2d0 + coupl(nGC_116)*coupl(nGC_611)*coupl(    &
                        nGC_643) + coupl(nGC_117)*coupl(nGC_64)*coupl(nGC_643  &
                        ) + coupl(nGC_119)*coupl(nGC_619)*coupl(nGC_72) + coupl&
                        (nGC_119)*coupl(nGC_631)*coupl(nGC_639) + coupl(nGC_119&
                        )*coupl(nGC_631)*coupl(nGC_91) + coupl(nGC_120)*coupl( &
                        nGC_63)*coupl(nGC_72) - coupl(nGC_126)*coupl(nGC_17)*  &
                        coupl(nGC_643))/(32d0*pi**2d0)
      coupl(nGC_1935) = (-coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_611)* &
                        coupl(nGC_80) - coupl(nGC_179)**2d0*coupl(nGC_180) -   &
                        coupl(nGC_179)*coupl(nGC_647)*coupl(nGC_85) - coupl(   &
                        nGC_179)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_180)**&
                        3d0 - coupl(nGC_180)*coupl(nGC_183)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_180)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_181)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_633)*coupl(   &
                        nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_3190) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_2347) + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZuR_QED2
      coupl(nGC_2116) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)*coupl(&
                        nGC_134) - coupl(nGC_138)*coupl(nGC_142) - coupl(      &
                        nGC_146)*coupl(nGC_150) - coupl(nGC_170)*coupl(nGC_174 &
                        ) - coupl(nGC_178)*coupl(nGC_181) - coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_2117) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl( &
                        nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(      &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174 &
                        ) + coupl(nGC_178)*coupl(nGC_181) + coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0*Nc)
      coupl(nGC_2114) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(      &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(&
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)*   &
                        coupl(nGC_142)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_146)*coupl(nGC_150)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84)*coupl(&
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*  &
                        coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                        nGC_174)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_84)*coupl(nGC_88) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)*coupl(&
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*   &
                        coupl(nGC_196)*coupl(nGC_87)**2d0 - 16d0*cima*coupl(   &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_86)**2d0 + 20d0*cima*&
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86)*coupl(     &
                        nGC_90) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_90)**2d0 - 16d0*cima*coupl(nGC_162)*coupl(nGC_166 &
                        )*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)*coupl( &
                        nGC_166)*coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(&
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90)**2d0 - 16d0*cima*&
                        coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)**2d0 + 20d0&
                        *cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)*coupl&
                        (nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*    &
                        coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_611)*coupl(    &
                        nGC_619)*coupl(nGC_633)*coupl(nGC_92) + 4d0*cima*coupl(&
                        nGC_611)*coupl(nGC_619)*coupl(nGC_639)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_611)*coupl(nGC_621)*coupl(nGC_633)* &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_611)*coupl(nGC_621)*&
                        coupl(nGC_647)*coupl(nGC_92) + 4d0*cima*coupl(nGC_619)*&
                        coupl(nGC_621)*coupl(nGC_633)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_619)*coupl(nGC_621)*coupl(nGC_639)*coupl(    &
                        nGC_91) + 4d0*cima*coupl(nGC_621)**2d0*coupl(nGC_633)* &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_621)**2d0*coupl(    &
                        nGC_647)*coupl(nGC_94) + 9d0*cima*coupl(nGC_63)*coupl( &
                        nGC_68)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_633)*  &
                        coupl(nGC_643)*coupl(nGC_72)*coupl(nGC_91) + 9d0*cima* &
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_82)**2d0 + 4d0*  &
                        cima*coupl(nGC_643)*coupl(nGC_647)*coupl(nGC_72)*coupl(&
                        nGC_94) - 6d0*coupl(nGC_14)*coupl(nGC_68)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_15)*coupl(nGC_68)*coupl(nGC_82) - 6d0&
                        *coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(&
                        nGC_16)*coupl(nGC_64)*coupl(nGC_82) + 3d0*coupl(nGC_611&
                        )*coupl(nGC_621)*coupl(nGC_99) + 3d0*coupl(nGC_619)*   &
                        coupl(nGC_621)*coupl(nGC_99) - 3d0*coupl(nGC_63)*coupl(&
                        nGC_635)*coupl(nGC_68) - 3d0*coupl(nGC_635)*coupl(     &
                        nGC_64)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_2299) = coupl(nGC_950)*db_QED2 + coupl(nGC_951)*dvev2_QED1 +   &
                        coupl(nGC_952)*dvev1_QED1 + coupl(nGC_953)*dl2_QED4 +  &
                        coupl(nGC_954)*dl1_QED4 + coupl(nGC_955)*dl4_QED4 +    &
                        coupl(nGC_956)*dl3_QED4 + coupl(nGC_957)*da_QED2 +     &
                        coupl(nGC_958)*dl5_QED4
      coupl(nGC_2298) = coupl(nGC_1639)*dvev2_QED1 + coupl(nGC_1640)*dvev1_QED1&
                         + coupl(nGC_1641)*dl2_QED4 + coupl(nGC_1642)*dl1_QED4 &
                         + coupl(nGC_1643)*dl4_QED4 + coupl(nGC_1644)*dl3_QED4 &
                         + coupl(nGC_1645)*da_QED2 + coupl(nGC_1646)*dl5_QED4
      coupl(nGC_2110) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_180) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)**2d0*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_149)**2d0*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173  &
                        )**2d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_180)**2d0*coupl(nGC_181) + 20d0*Nc*cima*coupl&
                        (nGC_193)*coupl(nGC_195)**2d0*coupl(nGC_196) + 24d0*   &
                        cima*coupl(nGC_15)*coupl(nGC_16) + 20d0*cima*coupl(    &
                        nGC_154)*coupl(nGC_157)**2d0*coupl(nGC_158) + 20d0*cima&
                        *coupl(nGC_162)*coupl(nGC_165)**2d0*coupl(nGC_166) +   &
                        20d0*cima*coupl(nGC_185)*coupl(nGC_188)**2d0*coupl(    &
                        nGC_189) - 10d0*cima*coupl(nGC_611)*coupl(nGC_621)*    &
                        coupl(nGC_631)**2d0 - 10d0*cima*coupl(nGC_611)*coupl(  &
                        nGC_621)*coupl(nGC_637)**2d0 - 10d0*cima*coupl(nGC_611 &
                        )*coupl(nGC_63)**2d0*coupl(nGC_68) - 10d0*cima*coupl(  &
                        nGC_611)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68) -   &
                        5d0*cima*coupl(nGC_611)*coupl(nGC_631)*coupl(nGC_643)* &
                        coupl(nGC_94) - 10d0*cima*coupl(nGC_621)*coupl(nGC_63)*&
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_621)* &
                        coupl(nGC_631)*coupl(nGC_647)*coupl(nGC_72) - 10d0*cima&
                        *coupl(nGC_621)*coupl(nGC_64)*coupl(nGC_68)*coupl(     &
                        nGC_69) - 5d0*cima*coupl(nGC_633)*coupl(nGC_64)*coupl( &
                        nGC_72)*coupl(nGC_96) - 10d0*cima*coupl(nGC_633)*coupl(&
                        nGC_643)*coupl(nGC_72)*coupl(nGC_92) - 5d0*cima*coupl( &
                        nGC_643)*coupl(nGC_68)*coupl(nGC_92)*coupl(nGC_96) +   &
                        24d0*cima*coupl(nGC_66)*coupl(nGC_70) + 3d0*coupl(     &
                        nGC_10)*coupl(nGC_611)*coupl(nGC_619) + 3d0*coupl(     &
                        nGC_10)*coupl(nGC_621)**2d0 + 3d0*coupl(nGC_12)*coupl( &
                        nGC_611)*coupl(nGC_621) + 3d0*coupl(nGC_13)*coupl(     &
                        nGC_619)*coupl(nGC_621) - 6d0*coupl(nGC_15)*coupl(     &
                        nGC_621)*coupl(nGC_631) - 6d0*coupl(nGC_15)*coupl(     &
                        nGC_633)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_611)*coupl(nGC_631) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_643)*coupl(nGC_92) + 6d0*coupl(nGC_22)*coupl(      &
                        nGC_611)*coupl(nGC_63) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_621)*coupl(nGC_68) + 6d0*coupl(nGC_27)*coupl(nGC_63&
                        )*coupl(nGC_64) + 3d0*coupl(nGC_27)*coupl(nGC_631)**2d0&
                         + 3d0*coupl(nGC_27)*coupl(nGC_637)**2d0 + 6d0*coupl(  &
                        nGC_27)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_29 &
                        )*coupl(nGC_643)*coupl(nGC_72) + 6d0*coupl(nGC_32)*    &
                        coupl(nGC_621)*coupl(nGC_64) + 6d0*coupl(nGC_34)*coupl(&
                        nGC_611)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63&
                        )*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl&
                        (nGC_69) + 6d0*coupl(nGC_40)*coupl(nGC_633)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_40)*coupl(nGC_643)*coupl(nGC_69&
                        ) + 6d0*coupl(nGC_40)*coupl(nGC_94)*coupl(nGC_96) + 3d0&
                        *coupl(nGC_42)*coupl(nGC_647)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_43)*coupl(nGC_633)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_44)*coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl(nGC_44&
                        )*coupl(nGC_619)*coupl(nGC_64) + 3d0*coupl(nGC_45)*    &
                        coupl(nGC_621)*coupl(nGC_69) + 3d0*coupl(nGC_45)*coupl(&
                        nGC_645)*coupl(nGC_68) + 6d0*coupl(nGC_48)*coupl(nGC_63&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl(nGC_647)*    &
                        coupl(nGC_96) + 6d0*coupl(nGC_48)*coupl(nGC_92)*coupl( &
                        nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_611)*coupl(      &
                        nGC_621) + 3d0*coupl(nGC_57)*coupl(nGC_64)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_633)*coupl(nGC_92) +   &
                        3d0*coupl(nGC_58)*coupl(nGC_647)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_60)*coupl(nGC_619)*coupl(nGC_645) + 3d0*coupl&
                        (nGC_60)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl(nGC_61&
                        )*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_61)*coupl&
                        (nGC_64)*coupl(nGC_68) - 6d0*coupl(nGC_611)*coupl(     &
                        nGC_637)*coupl(nGC_70) - 6d0*coupl(nGC_621)*coupl(     &
                        nGC_637)*coupl(nGC_66))/(96d0*pi**2d0)
      coupl(nGC_2111) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*&
                        coupl(nGC_195)*coupl(nGC_196) + 12d0*cima*coupl(nGC_14 &
                        )*coupl(nGC_15) + 20d0*cima*coupl(nGC_153)*coupl(      &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 12d0*cima*    &
                        coupl(nGC_16)**2d0 + 20d0*cima*coupl(nGC_161)*coupl(   &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) + 20d0*cima*    &
                        coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_188)*coupl(    &
                        nGC_189) - 5d0*cima*coupl(nGC_611)*coupl(nGC_619)*coupl&
                        (nGC_631)**2d0 - 5d0*cima*coupl(nGC_611)*coupl(nGC_619 &
                        )*coupl(nGC_637)**2d0 - 5d0*cima*coupl(nGC_611)*coupl( &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(  &
                        nGC_611)*coupl(nGC_631)*coupl(nGC_643)*coupl(nGC_91) - &
                        5d0*cima*coupl(nGC_611)*coupl(nGC_64)*coupl(nGC_68)*   &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_619)*coupl(nGC_63)* &
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_619)* &
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*  &
                        coupl(nGC_621)**2d0*coupl(nGC_631)**2d0 - 5d0*cima*    &
                        coupl(nGC_621)**2d0*coupl(nGC_637)**2d0 - 5d0*cima*    &
                        coupl(nGC_621)*coupl(nGC_63)**2d0*coupl(nGC_68) - 10d0*&
                        cima*coupl(nGC_621)*coupl(nGC_63)*coupl(nGC_64)*coupl( &
                        nGC_68) - 5d0*cima*coupl(nGC_621)*coupl(nGC_631)*coupl(&
                        nGC_633)*coupl(nGC_72) - 5d0*cima*coupl(nGC_621)*coupl(&
                        nGC_64)**2d0*coupl(nGC_68) - 5d0*cima*coupl(nGC_63)*   &
                        coupl(nGC_643)*coupl(nGC_92)*coupl(nGC_96) - 5d0*cima* &
                        coupl(nGC_633)*coupl(nGC_643)*coupl(nGC_72)*coupl(     &
                        nGC_94) - 5d0*cima*coupl(nGC_633)*coupl(nGC_68)*coupl( &
                        nGC_72)*coupl(nGC_96) - 5d0*cima*coupl(nGC_639)*coupl( &
                        nGC_643)*coupl(nGC_72)*coupl(nGC_92) + 12d0*cima*coupl(&
                        nGC_65)*coupl(nGC_66) + 12d0*cima*coupl(nGC_70)**2d0 + &
                        3d0*coupl(nGC_10)*coupl(nGC_611)*coupl(nGC_621) + 3d0* &
                        coupl(nGC_13)*coupl(nGC_611)*coupl(nGC_619) + 3d0*coupl&
                        (nGC_13)*coupl(nGC_621)**2d0 - 3d0*coupl(nGC_14)*coupl(&
                        nGC_611)*coupl(nGC_631) - 3d0*coupl(nGC_14)*coupl(     &
                        nGC_643)*coupl(nGC_92) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_619)*coupl(nGC_631) - 3d0*coupl(nGC_15)*coupl(     &
                        nGC_639)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_621)*coupl(nGC_631) - 3d0*coupl(nGC_16)*coupl(     &
                        nGC_633)*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl(      &
                        nGC_643)*coupl(nGC_94) + 3d0*coupl(nGC_22)*coupl(      &
                        nGC_611)*coupl(nGC_68) + 3d0*coupl(nGC_22)*coupl(      &
                        nGC_621)*coupl(nGC_63) + 3d0*coupl(nGC_23)*coupl(      &
                        nGC_619)*coupl(nGC_68) + 3d0*coupl(nGC_23)*coupl(      &
                        nGC_621)*coupl(nGC_64) + 3d0*coupl(nGC_24)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_30)*coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl&
                        (nGC_32)*coupl(nGC_619)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_34)*coupl(nGC_621)*coupl(nGC_68) + 3d0*coupl(nGC_35&
                        )*coupl(nGC_621)*coupl(nGC_68) + 6d0*coupl(nGC_36)*    &
                        coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_36)*coupl( &
                        nGC_631)**2d0 + 3d0*coupl(nGC_36)*coupl(nGC_637)**2d0  &
                         + 6d0*coupl(nGC_36)*coupl(nGC_68)*coupl(nGC_69) + 3d0*&
                        coupl(nGC_37)*coupl(nGC_643)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_40)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_40 &
                        )*coupl(nGC_639)*coupl(nGC_96) + 3d0*coupl(nGC_40)*    &
                        coupl(nGC_64)*coupl(nGC_643) + 3d0*coupl(nGC_40)*coupl(&
                        nGC_647)*coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl(nGC_91&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl(nGC_92)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_633)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_43)*coupl(nGC_639)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_44)*coupl(nGC_611)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_44)*coupl(nGC_619)*coupl(nGC_68) + 3d0*  &
                        coupl(nGC_45)*coupl(nGC_611)*coupl(nGC_68) + 3d0*coupl(&
                        nGC_45)*coupl(nGC_619)*coupl(nGC_69) + 3d0*coupl(nGC_48&
                        )*coupl(nGC_633)*coupl(nGC_96) + 3d0*coupl(nGC_48)*    &
                        coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_48)*coupl( &
                        nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl(nGC_633&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl(nGC_643)*    &
                        coupl(nGC_69) + 3d0*coupl(nGC_49)*coupl(nGC_94)*coupl( &
                        nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_611)*coupl(      &
                        nGC_619) + 3d0*coupl(nGC_57)*coupl(nGC_68)**2d0 + 3d0* &
                        coupl(nGC_58)*coupl(nGC_633)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_58)*coupl(nGC_639)*coupl(nGC_92) + 3d0*coupl(nGC_60&
                        )*coupl(nGC_611)*coupl(nGC_619) + 3d0*coupl(nGC_60)*   &
                        coupl(nGC_69)**2d0 - 3d0*coupl(nGC_611)*coupl(nGC_637)*&
                        coupl(nGC_65) + 3d0*coupl(nGC_619)*coupl(nGC_621)*coupl&
                        (nGC_9) - 3d0*coupl(nGC_619)*coupl(nGC_637)*coupl(     &
                        nGC_66) - 6d0*coupl(nGC_621)*coupl(nGC_637)*coupl(     &
                        nGC_70))/(96d0*pi**2d0)
      coupl(nGC_2295) = coupl(nGC_1000)*dvev2_QED1 + coupl(nGC_1001)*dvev1_QED1&
                         + coupl(nGC_1002)*dl2_QED4 + coupl(nGC_1003)*dl1_QED4 &
                         + coupl(nGC_1004)*dl4_QED4 + coupl(nGC_1005)*dl3_QED4 &
                         + coupl(nGC_1006)*da_QED2 + coupl(nGC_1007)*dl5_QED4  &
                         + coupl(nGC_999)*db_QED2
      coupl(nGC_2294) = coupl(nGC_914)*dl4_QED4 + coupl(nGC_915)*dl5_QED4 +    &
                        coupl(nGC_916)*dvev2_QED1 + coupl(nGC_917)*dvev1_QED1  &
                         + coupl(nGC_918)*db_QED2
      coupl(nGC_2297) = coupl(nGC_891)*db_QED2 + coupl(nGC_892)*dvev2_QED1 +   &
                        coupl(nGC_893)*dvev1_QED1 + coupl(nGC_894)*dl2_QED4 +  &
                        coupl(nGC_895)*dl1_QED4 + coupl(nGC_896)*dl4_QED4 +    &
                        coupl(nGC_897)*dl3_QED4 + coupl(nGC_898)*da_QED2 +     &
                        coupl(nGC_899)*dl5_QED4
      coupl(nGC_2296) = coupl(nGC_941)*db_QED2 + coupl(nGC_942)*dvev2_QED1 +   &
                        coupl(nGC_943)*dvev1_QED1 + coupl(nGC_944)*dl2_QED4 +  &
                        coupl(nGC_945)*dl1_QED4 + coupl(nGC_946)*dl4_QED4 +    &
                        coupl(nGC_947)*dl3_QED4 + coupl(nGC_948)*da_QED2 +     &
                        coupl(nGC_949)*dl5_QED4
      coupl(nGC_2291) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dvev2_QED1 +   &
                        coupl(nGC_327)*da_QED2 + coupl(nGC_329)*dl2_QED4 +     &
                        coupl(nGC_331)*dl1_QED4 + coupl(nGC_333)*dl4_QED4 +    &
                        coupl(nGC_335)*dl3_QED4 + coupl(nGC_337)*dvev1_QED1 +  &
                        coupl(nGC_339)*dl5_QED4
      coupl(nGC_2290) = coupl(nGC_928)*dvev2_QED1 + coupl(nGC_929)*dvev1_QED1  &
                         + coupl(nGC_930)*dl2_QED4 + coupl(nGC_931)*dl1_QED4 + &
                        coupl(nGC_932)*dl4_QED4 + coupl(nGC_933)*dl3_QED4 +    &
                        coupl(nGC_934)*da_QED2 + coupl(nGC_935)*dl5_QED4
      coupl(nGC_2293) = coupl(nGC_976)*db_QED2 + coupl(nGC_977)*dvev2_QED1 +   &
                        coupl(nGC_978)*dvev1_QED1 + coupl(nGC_979)*dl2_QED4 +  &
                        coupl(nGC_980)*dl1_QED4 + coupl(nGC_981)*dl4_QED4 +    &
                        coupl(nGC_982)*dl3_QED4 + coupl(nGC_983)*da_QED2 +     &
                        coupl(nGC_984)*dl5_QED4
      coupl(nGC_2292) = coupl(nGC_936)*dl4_QED4 + coupl(nGC_937)*dl5_QED4 +    &
                        coupl(nGC_938)*dvev2_QED1 + coupl(nGC_939)*dvev1_QED1  &
                         + coupl(nGC_940)*db_QED2
      coupl(nGC_2475) = coupl(nGC_1607)*db_QED2 + coupl(nGC_1608)*dZee_QED2 +  &
                        coupl(nGC_1609)*dsw_QED2 + coupl(nGC_1610)*dMZ2_QED2 + &
                        coupl(nGC_1611)*da_QED2 + coupl(nGC_1612)*dcw_QED2
      coupl(nGC_2474) = coupl(nGC_1495)*dZee_QED2 + coupl(nGC_1496)*dMZ2_QED2  &
                         + coupl(nGC_1497)*dsw_QED2
      coupl(nGC_1906) = (-coupl(nGC_184)**2d0*coupl(nGC_186) + coupl(nGC_184)* &
                        coupl(nGC_633)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_643)* &
                        coupl(nGC_80) - coupl(nGC_186)*coupl(nGC_187)**2d0 -   &
                        coupl(nGC_186)*coupl(nGC_188)**2d0 - coupl(nGC_186)*   &
                        coupl(nGC_191)**2d0 + 8d0*coupl(nGC_187)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_188)*coupl(nGC_647)*coupl(nGC_89) + coupl(   &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_1900) = coupl(nGC_171)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
