!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl11()
      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3293/))

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2204)%branchR2(0:1))
      call avR2(2204, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(2204, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3407)%branchR2(0:0))
      call avR2(3407, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1680)%branchR2(0:0))
      call avR2(1680, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(1779)%branchR2(0:0))
      call avR2(1779, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1747)%branchR2(0:0))
      call avR2(1747, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,        &
      nGC_2077/))

      allocate(vertices(1789)%branchR2(0:3))
      call avR2(1789, 0, 32, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1789, 1, 32, 1, 0, FaVF0, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(1789, 2, 33, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1789, 3, 33, 1, 0, FaVF0, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(195)%branchR2(0:0))
      call avR2(195, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1008)%branchR2(0:0))
      call avR2(1008, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(2692)%branchR2(0:0))
      call avR2(2692, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(404)%branchR2(0:1))
      call avR2(404, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(404, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1706)%branchR2(0:1))
      call avR2(1706, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1974/))

      call avR2(1706, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1057)%branchR2(0:0))
      call avR2(1057, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1989/))

      allocate(vertices(1751)%branchR2(0:1))
      call avR2(1751, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1751, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(3370)%branchR2(0:0))
      call avR2(3370, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(724)%branchR2(0:3))
      call avR2(724, 0, 32, 1, 0, FaVF0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(724, 1, 32, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(724, 2, 33, 1, 0, FaVF0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(724, 3, 33, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(3256)%branchR2(0:0))
      call avR2(3256, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(698)%branchR2(0:0))
      call avR2(698, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(700)%branchR2(0:1))
      call avR2(700, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(700, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(366)%branchR2(0:1))
      call avR2(366, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(366, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1726)%branchR2(0:0))
      call avR2(1726, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1989/))

      allocate(vertices(1959)%branchR2(0:0))
      call avR2(1959, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2248)%branchR2(0:0))
      call avR2(2248, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3735)%branchR2(0:1))
      call avR2(3735, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2117/))

      call avR2(3735, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(2683)%branchR2(0:0))
      call avR2(2683, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(2858)%branchR2(0:0))
      call avR2(2858, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3294/))

      allocate(vertices(3547)%branchR2(0:0))
      call avR2(3547, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3141)%branchR2(0:0))
      call avR2(3141, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1672, nGC_1671/))

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1308)%branchR2(0:1))
      call avR2(1308, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(1308, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(2142)%branchR2(0:1))
      call avR2(2142, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1972/))

      call avR2(2142, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(778)%branchR2(0:0))
      call avR2(778, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2127)%branchR2(0:0))
      call avR2(2127, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3736)%branchR2(0:0))
      call avR2(3736, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3324)%branchR2(0:0))
      call avR2(3324, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(3737)%branchR2(0:1))
      call avR2(3737, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3737, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2064, nGC_2064,      &
      nGC_2064/))

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1090)%branchR2(0:0))
      call avR2(1090, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(2887)%branchR2(0:0))
      call avR2(2887, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2042, nGC_2041 &
      /))

      allocate(vertices(1108)%branchR2(0:0))
      call avR2(1108, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(3353)%branchR2(0:0))
      call avR2(3353, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(2561)%branchR2(0:0))
      call avR2(2561, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3739)%branchR2(0:0))
      call avR2(3739, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2206,        &
      nGC_2205/))

      allocate(vertices(3740)%branchR2(0:1))
      call avR2(3740, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3740, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3319)%branchR2(0:0))
      call avR2(3319, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(3741)%branchR2(0:0))
      call avR2(3741, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(739)%branchR2(0:1))
      call avR2(739, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(739, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(2882)%branchR2(0:0))
      call avR2(2882, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2121)%branchR2(0:0))
      call avR2(2121, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3309)%branchR2(0:0))
      call avR2(3309, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2848)%branchR2(0:0))
      call avR2(2848, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2346)%branchR2(0:1))
      call avR2(2346, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1972/))

      call avR2(2346, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2275)%branchR2(0:0))
      call avR2(2275, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(3742)%branchR2(0:1))
      call avR2(3742, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2099/))

      call avR2(3742, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(3088)%branchR2(0:0))
      call avR2(3088, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2030)%branchR2(0:0))
      call avR2(2030, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(2636)%branchR2(0:1))
      call avR2(2636, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(2636, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(1571)%branchR2(0:1))
      call avR2(1571, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1571, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(2535)%branchR2(0:1))
      call avR2(2535, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(2535, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(2347)%branchR2(0:0))
      call avR2(2347, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3339)%branchR2(0:0))
      call avR2(3339, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2660)%branchR2(0:0))
      call avR2(2660, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3142)%branchR2(0:0))
      call avR2(3142, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2603)%branchR2(0:0))
      call avR2(2603, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3427)%branchR2(0:0))
      call avR2(3427, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1358)%branchR2(0:1))
      call avR2(1358, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1358, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(3743)%branchR2(0:0))
      call avR2(3743, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2044, nGC_2044,       &
      nGC_2044/))

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3175)%branchR2(0:0))
      call avR2(3175, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2385)%branchR2(0:0))
      call avR2(2385, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3744)%branchR2(0:1))
      call avR2(3744, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2210/))

      call avR2(3744, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2209/))

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(2592)%branchR2(0:0))
      call avR2(2592, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3745)%branchR2(0:0))
      call avR2(3745, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1602)%branchR2(0:1))
      call avR2(1602, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1602, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(727)%branchR2(0:1))
      call avR2(727, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(727, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1313)%branchR2(0:0))
      call avR2(1313, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(1427)%branchR2(0:0))
      call avR2(1427, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1874)%branchR2(0:0))
      call avR2(1874, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2401)%branchR2(0:0))
      call avR2(2401, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1501)%branchR2(0:0))
      call avR2(1501, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2013)%branchR2(0:0))
      call avR2(2013, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2256)%branchR2(0:0))
      call avR2(2256, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(2999)%branchR2(0:0))
      call avR2(2999, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2868)%branchR2(0:0))
      call avR2(2868, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(473)%branchR2(0:3))
      call avR2(473, 0, 35, 1, 0, FaFV0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(473, 1, 35, 1, 0, FaFV0, (/1, 2/), (/nGC_2016, nGC_2017/))

      call avR2(473, 2, 34, 1, 0, FaFV0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(473, 3, 34, 1, 0, FaFV0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(3746)%branchR2(0:1))
      call avR2(3746, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2098/))

      call avR2(3746, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(1697)%branchR2(0:0))
      call avR2(1697, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2432)%branchR2(0:0))
      call avR2(2432, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2789)%branchR2(0:0))
      call avR2(2789, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1711)%branchR2(0:0))
      call avR2(1711, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1757)%branchR2(0:0))
      call avR2(1757, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2473)%branchR2(0:0))
      call avR2(2473, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2679)%branchR2(0:0))
      call avR2(2679, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1954)%branchR2(0:0))
      call avR2(1954, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(169)%branchR2(0:1))
      call avR2(169, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(169, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(2546)%branchR2(0:0))
      call avR2(2546, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(1545)%branchR2(0:1))
      call avR2(1545, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(1545, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(1144)%branchR2(0:0))
      call avR2(1144, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(377)%branchR2(0:1))
      call avR2(377, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(377, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(637)%branchR2(0:0))
      call avR2(637, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2387)%branchR2(0:0))
      call avR2(2387, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1686)%branchR2(0:1))
      call avR2(1686, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(1686, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(1619)%branchR2(0:0))
      call avR2(1619, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3166)%branchR2(0:0))
      call avR2(3166, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3424)%branchR2(0:1))
      call avR2(3424, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1693, nGC_1693/))

      call avR2(3424, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1694, nGC_1694/))

      allocate(vertices(862)%branchR2(0:1))
      call avR2(862, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(862, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(3747)%branchR2(0:1))
      call avR2(3747, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3747, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3311)%branchR2(0:0))
      call avR2(3311, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(143)%branchR2(0:0))
      call avR2(143, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(3748)%branchR2(0:0))
      call avR2(3748, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1981)%branchR2(0:0))
      call avR2(1981, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2955)%branchR2(0:0))
      call avR2(2955, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3749)%branchR2(0:1))
      call avR2(3749, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3749, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(406)%branchR2(0:1))
      call avR2(406, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(406, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3750)%branchR2(0:1))
      call avR2(3750, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3750, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2172/))

      allocate(vertices(3018)%branchR2(0:0))
      call avR2(3018, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1278)%branchR2(0:0))
      call avR2(1278, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(3751)%branchR2(0:0))
      call avR2(3751, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1245)%branchR2(0:1))
      call avR2(1245, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1245, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(306)%branchR2(0:1))
      call avR2(306, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(306, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(3211)%branchR2(0:0))
      call avR2(3211, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1768)%branchR2(0:0))
      call avR2(1768, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2788)%branchR2(0:0))
      call avR2(2788, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3752)%branchR2(0:1))
      call avR2(3752, 0, 45, 1, 0, VVS0, (/2, 1/), (/nGC_1956/))

      call avR2(3752, 1, 46, 1, 0, VVS0, (/2, 1/), (/nGC_1957/))

      allocate(vertices(78)%branchR2(0:0))
      call avR2(78, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1784)%branchR2(0:0))
      call avR2(1784, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1875/))

      allocate(vertices(3127)%branchR2(0:0))
      call avR2(3127, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3587)%branchR2(0:0))
      call avR2(3587, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(207)%branchR2(0:0))
      call avR2(207, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2776)%branchR2(0:0))
      call avR2(2776, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2843)%branchR2(0:0))
      call avR2(2843, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(2237)%branchR2(0:3))
      call avR2(2237, 0, 40, 1, 0, VFFa1, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(2237, 1, 40, 1, 0, VFFa1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2237, 2, 41, 1, 0, VFFa1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2237, 3, 41, 1, 0, VFFa1, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2519)%branchR2(0:0))
      call avR2(2519, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1764)%branchR2(0:1))
      call avR2(1764, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(1764, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(2181)%branchR2(0:0))
      call avR2(2181, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2437)%branchR2(0:0))
      call avR2(2437, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2559)%branchR2(0:1))
      call avR2(2559, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(2559, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3753)%branchR2(0:0))
      call avR2(3753, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(421)%branchR2(0:1))
      call avR2(421, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(421, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1943)%branchR2(0:0))
      call avR2(1943, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2733)%branchR2(0:0))
      call avR2(2733, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(407)%branchR2(0:0))
      call avR2(407, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2205, nGC_2206,        &
      nGC_2204/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2607)%branchR2(0:0))
      call avR2(2607, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(1597)%branchR2(0:0))
      call avR2(1597, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3107)%branchR2(0:0))
      call avR2(3107, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(3015)%branchR2(0:0))
      call avR2(3015, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2524)%branchR2(0:1))
      call avR2(2524, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(2524, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(1650)%branchR2(0:0))
      call avR2(1650, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2119)%branchR2(0:0))
      call avR2(2119, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1504)%branchR2(0:0))
      call avR2(1504, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2095)%branchR2(0:1))
      call avR2(2095, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2095, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(2242)%branchR2(0:0))
      call avR2(2242, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1280)%branchR2(0:1))
      call avR2(1280, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(1280, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3017)%branchR2(0:0))
      call avR2(3017, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2986)%branchR2(0:1))
      call avR2(2986, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1696, nGC_1696/))

      call avR2(2986, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1697, nGC_1697/))

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2663)%branchR2(0:0))
      call avR2(2663, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(1165)%branchR2(0:1))
      call avR2(1165, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(1165, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1459)%branchR2(0:0))
      call avR2(1459, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2227)%branchR2(0:0))
      call avR2(2227, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2371)%branchR2(0:0))
      call avR2(2371, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3293/))

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(948)%branchR2(0:0))
      call avR2(948, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(2829)%branchR2(0:0))
      call avR2(2829, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(643)%branchR2(0:1))
      call avR2(643, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(643, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(725)%branchR2(0:0))
      call avR2(725, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3754)%branchR2(0:1))
      call avR2(3754, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3754, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(2173)%branchR2(0:0))
      call avR2(2173, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1708)%branchR2(0:0))
      call avR2(1708, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1230)%branchR2(0:1))
      call avR2(1230, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1230, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1902)%branchR2(0:0))
      call avR2(1902, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2500)%branchR2(0:0))
      call avR2(2500, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3452)%branchR2(0:0))
      call avR2(3452, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2803)%branchR2(0:0))
      call avR2(2803, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2383)%branchR2(0:0))
      call avR2(2383, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(3755)%branchR2(0:0))
      call avR2(3755, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3756)%branchR2(0:0))
      call avR2(3756, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2654)%branchR2(0:0))
      call avR2(2654, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2611)%branchR2(0:0))
      call avR2(2611, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2899)%branchR2(0:0))
      call avR2(2899, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1936)%branchR2(0:0))
      call avR2(1936, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(2569)%branchR2(0:1))
      call avR2(2569, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(2569, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(1606)%branchR2(0:0))
      call avR2(1606, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(414)%branchR2(0:1))
      call avR2(414, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(414, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(3399)%branchR2(0:1))
      call avR2(3399, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_1695, nGC_1714,       &
      nGC_1714, nGC_1692/))

      call avR2(3399, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_1687, nGC_1715,       &
      nGC_1715, nGC_1687/))

      allocate(vertices(327)%branchR2(0:1))
      call avR2(327, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1972/))

      call avR2(327, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1479)%branchR2(0:0))
      call avR2(1479, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(1577)%branchR2(0:0))
      call avR2(1577, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1608)%branchR2(0:0))
      call avR2(1608, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2326)%branchR2(0:0))
      call avR2(2326, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2206,       &
      nGC_2205/))

      allocate(vertices(1403)%branchR2(0:0))
      call avR2(1403, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2137)%branchR2(0:0))
      call avR2(2137, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(1324)%branchR2(0:0))
      call avR2(1324, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(3757)%branchR2(0:1))
      call avR2(3757, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2188/))

      call avR2(3757, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2187/))

      allocate(vertices(3080)%branchR2(0:1))
      call avR2(3080, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1696, nGC_1696/))

      call avR2(3080, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1697, nGC_1697/))

      allocate(vertices(2570)%branchR2(0:0))
      call avR2(2570, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3240)%branchR2(0:0))
      call avR2(3240, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(2272)%branchR2(0:0))
      call avR2(2272, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3147)%branchR2(0:0))
      call avR2(3147, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3231)%branchR2(0:0))
      call avR2(3231, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1133)%branchR2(0:3))
      call avR2(1133, 0, 38, 1, 0, VFaF0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(1133, 1, 38, 1, 0, VFaF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1133, 2, 39, 1, 0, VFaF0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(1133, 3, 39, 1, 0, VFaF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(1347)%branchR2(0:3))
      call avR2(1347, 0, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(1347, 1, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1347, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(1347, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(1948)%branchR2(0:1))
      call avR2(1948, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1948, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3206)%branchR2(0:0))
      call avR2(3206, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3758)%branchR2(0:1))
      call avR2(3758, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3758, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1867)%branchR2(0:0))
      call avR2(1867, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(2449)%branchR2(0:0))
      call avR2(2449, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1318)%branchR2(0:0))
      call avR2(1318, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(2316)%branchR2(0:0))
      call avR2(2316, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2040,        &
      nGC_2042/))

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2103)%branchR2(0:0))
      call avR2(2103, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2468)%branchR2(0:0))
      call avR2(2468, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3208)%branchR2(0:0))
      call avR2(3208, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1021)%branchR2(0:1))
      call avR2(1021, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(1021, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(1860)%branchR2(0:0))
      call avR2(1860, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1792)%branchR2(0:1))
      call avR2(1792, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(1792, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1692)%branchR2(0:1))
      call avR2(1692, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(1692, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3759)%branchR2(0:1))
      call avR2(3759, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2199/))

      call avR2(3759, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(1160)%branchR2(0:1))
      call avR2(1160, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1160, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(89)%branchR2(0:0))
      call avR2(89, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3293/))

      allocate(vertices(1338)%branchR2(0:0))
      call avR2(1338, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1520)%branchR2(0:1))
      call avR2(1520, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(1520, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(3760)%branchR2(0:0))
      call avR2(3760, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(80)%branchR2(0:1))
      call avR2(80, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(80, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1592)%branchR2(0:0))
      call avR2(1592, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1865)%branchR2(0:0))
      call avR2(1865, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(3761)%branchR2(0:5))
      call avR2(3761, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3761, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3761, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3761, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3761, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2107, nGC_2107,      &
      nGC_2107/))

      call avR2(3761, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      allocate(vertices(3762)%branchR2(0:0))
      call avR2(3762, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(1870)%branchR2(0:0))
      call avR2(1870, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2545)%branchR2(0:0))
      call avR2(2545, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2856)%branchR2(0:0))
      call avR2(2856, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3763)%branchR2(0:0))
      call avR2(3763, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(1285)%branchR2(0:0))
      call avR2(1285, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3764)%branchR2(0:1))
      call avR2(3764, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2153/))

      call avR2(3764, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(2017)%branchR2(0:0))
      call avR2(2017, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(648)%branchR2(0:1))
      call avR2(648, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(648, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(312)%branchR2(0:0))
      call avR2(312, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(2382)%branchR2(0:0))
      call avR2(2382, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1781/))

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1248)%branchR2(0:3))
      call avR2(1248, 0, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(1248, 1, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1248, 2, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(1248, 3, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3765)%branchR2(0:1))
      call avR2(3765, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2209/))

      call avR2(3765, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2210/))

      allocate(vertices(3766)%branchR2(0:1))
      call avR2(3766, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2171/))

      call avR2(3766, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2172/))

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3767)%branchR2(0:0))
      call avR2(3767, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1966)%branchR2(0:0))
      call avR2(1966, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1296)%branchR2(0:0))
      call avR2(1296, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3579)%branchR2(0:0))
      call avR2(3579, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1660)%branchR2(0:0))
      call avR2(1660, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2493)%branchR2(0:0))
      call avR2(2493, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1741)%branchR2(0:1))
      call avR2(1741, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1741, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(2011)%branchR2(0:0))
      call avR2(2011, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2891)%branchR2(0:0))
      call avR2(2891, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(3455)%branchR2(0:0))
      call avR2(3455, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(837)%branchR2(0:1))
      call avR2(837, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(837, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1758)%branchR2(0:0))
      call avR2(1758, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2392)%branchR2(0:0))
      call avR2(2392, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2062)%branchR2(0:0))
      call avR2(2062, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1992)%branchR2(0:0))
      call avR2(1992, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2213)%branchR2(0:1))
      call avR2(2213, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(2213, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(1829)%branchR2(0:0))
      call avR2(1829, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1391)%branchR2(0:0))
      call avR2(1391, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2118)%branchR2(0:0))
      call avR2(2118, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1914)%branchR2(0:1))
      call avR2(1914, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1914, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(3031)%branchR2(0:0))
      call avR2(3031, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1871)%branchR2(0:1))
      call avR2(1871, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(1871, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(3038)%branchR2(0:0))
      call avR2(3038, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3768)%branchR2(0:0))
      call avR2(3768, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3769)%branchR2(0:1))
      call avR2(3769, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2099/))

      call avR2(3769, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(3187)%branchR2(0:0))
      call avR2(3187, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1683, nGC_1681,        &
      nGC_1682/))

      allocate(vertices(828)%branchR2(0:0))
      call avR2(828, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1375)%branchR2(0:0))
      call avR2(1375, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2250)%branchR2(0:0))
      call avR2(2250, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2929)%branchR2(0:0))
      call avR2(2929, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(514)%branchR2(0:1))
      call avR2(514, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(514, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3126)%branchR2(0:0))
      call avR2(3126, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(867)%branchR2(0:1))
      call avR2(867, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(867, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2507)%branchR2(0:0))
      call avR2(2507, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1972)%branchR2(0:1))
      call avR2(1972, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(1972, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1713)%branchR2(0:0))
      call avR2(1713, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3770)%branchR2(0:0))
      call avR2(3770, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1262)%branchR2(0:0))
      call avR2(1262, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_1699, nGC_1707,       &
      nGC_1707, nGC_1700/))

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1759)%branchR2(0:0))
      call avR2(1759, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(2588)%branchR2(0:0))
      call avR2(2588, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2484)%branchR2(0:0))
      call avR2(2484, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(2071)%branchR2(0:0))
      call avR2(2071, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3194)%branchR2(0:0))
      call avR2(3194, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(403)%branchR2(0:1))
      call avR2(403, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(403, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(3425)%branchR2(0:0))
      call avR2(3425, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1143)%branchR2(0:1))
      call avR2(1143, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1972/))

      call avR2(1143, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2606)%branchR2(0:0))
      call avR2(2606, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3771)%branchR2(0:0))
      call avR2(3771, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1906)%branchR2(0:0))
      call avR2(1906, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(1957)%branchR2(0:0))
      call avR2(1957, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(3488)%branchR2(0:0))
      call avR2(3488, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1397)%branchR2(0:0))
      call avR2(1397, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(129)%branchR2(0:1))
      call avR2(129, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1974/))

      call avR2(129, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(2832)%branchR2(0:0))
      call avR2(2832, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3772)%branchR2(0:1))
      call avR2(3772, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2188/))

      call avR2(3772, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2187/))

      allocate(vertices(2249)%branchR2(0:0))
      call avR2(2249, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3490)%branchR2(0:0))
      call avR2(3490, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3773)%branchR2(0:5))
      call avR2(3773, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3773, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3773, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3773, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3773, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3773, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(1317)%branchR2(0:0))
      call avR2(1317, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1849)%branchR2(0:1))
      call avR2(1849, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1849, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2464)%branchR2(0:0))
      call avR2(2464, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(3198)%branchR2(0:0))
      call avR2(3198, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3558)%branchR2(0:0))
      call avR2(3558, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(489)%branchR2(0:0))
      call avR2(489, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(565)%branchR2(0:0))
      call avR2(565, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3518)%branchR2(0:0))
      call avR2(3518, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(3486)%branchR2(0:0))
      call avR2(3486, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2163)%branchR2(0:0))
      call avR2(2163, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2407)%branchR2(0:0))
      call avR2(2407, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(3775)%branchR2(0:1))
      call avR2(3775, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2198/))

      call avR2(3775, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2197/))

      allocate(vertices(1754)%branchR2(0:0))
      call avR2(1754, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2521)%branchR2(0:1))
      call avR2(2521, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(2521, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3776)%branchR2(0:1))
      call avR2(3776, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2098/))

      call avR2(3776, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(2688)%branchR2(0:0))
      call avR2(2688, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(511)%branchR2(0:1))
      call avR2(511, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(511, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3097)%branchR2(0:0))
      call avR2(3097, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3014)%branchR2(0:0))
      call avR2(3014, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(3055)%branchR2(0:0))
      call avR2(3055, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1581)%branchR2(0:0))
      call avR2(1581, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(3308)%branchR2(0:0))
      call avR2(3308, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(3777)%branchR2(0:1))
      call avR2(3777, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3777, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(2395)%branchR2(0:0))
      call avR2(2395, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3778)%branchR2(0:1))
      call avR2(3778, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2098/))

      call avR2(3778, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(3779)%branchR2(0:0))
      call avR2(3779, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3136)%branchR2(0:0))
      call avR2(3136, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3780)%branchR2(0:0))
      call avR2(3780, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(734)%branchR2(0:1))
      call avR2(734, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(734, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(964)%branchR2(0:0))
      call avR2(964, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3274)%branchR2(0:0))
      call avR2(3274, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2065)%branchR2(0:1))
      call avR2(2065, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(2065, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(2918)%branchR2(0:0))
      call avR2(2918, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1816)%branchR2(0:0))
      call avR2(1816, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2148)%branchR2(0:0))
      call avR2(2148, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1771)%branchR2(0:1))
      call avR2(1771, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(1771, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3237)%branchR2(0:0))
      call avR2(3237, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3781)%branchR2(0:1))
      call avR2(3781, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2199/))

      call avR2(3781, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(2057)%branchR2(0:0))
      call avR2(2057, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(2771)%branchR2(0:0))
      call avR2(2771, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2645)%branchR2(0:0))
      call avR2(2645, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(119)%branchR2(0:3))
      call avR2(119, 0, 32, 1, 0, FaVF0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(119, 1, 32, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(119, 2, 33, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(119, 3, 33, 1, 0, FaVF0, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(318)%branchR2(0:0))
      call avR2(318, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1436)%branchR2(0:0))
      call avR2(1436, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(3196)%branchR2(0:0))
      call avR2(3196, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(2594)%branchR2(0:0))
      call avR2(2594, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(2267)%branchR2(0:1))
      call avR2(2267, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(2267, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3053)%branchR2(0:0))
      call avR2(3053, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3782)%branchR2(0:1))
      call avR2(3782, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2197/))

      call avR2(3782, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(1180)%branchR2(0:0))
      call avR2(1180, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3514)%branchR2(0:0))
      call avR2(3514, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2583)%branchR2(0:0))
      call avR2(2583, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2653)%branchR2(0:3))
      call avR2(2653, 0, 35, 1, 0, FaFV0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2653, 1, 35, 1, 0, FaFV0, (/1, 2/), (/nGC_2022, nGC_2023/))

      call avR2(2653, 2, 34, 1, 0, FaFV0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(2653, 3, 34, 1, 0, FaFV0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2205,        &
      nGC_2206/))

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1307)%branchR2(0:0))
      call avR2(1307, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(29)%branchR2(0:1))
      call avR2(29, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(29, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2042,       &
      nGC_2041/))

      allocate(vertices(1517)%branchR2(0:0))
      call avR2(1517, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1448)%branchR2(0:0))
      call avR2(1448, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(3783)%branchR2(0:1))
      call avR2(3783, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2098/))

      call avR2(3783, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(2389)%branchR2(0:0))
      call avR2(2389, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1677)%branchR2(0:0))
      call avR2(1677, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3099)%branchR2(0:0))
      call avR2(3099, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(443)%branchR2(0:0))
      call avR2(443, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2431)%branchR2(0:0))
      call avR2(2431, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1911)%branchR2(0:0))
      call avR2(1911, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(68)%branchR2(0:0))
      call avR2(68, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1393)%branchR2(0:0))
      call avR2(1393, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(3785)%branchR2(0:1))
      call avR2(3785, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2172/))

      call avR2(3785, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(35)%branchR2(0:0))
      call avR2(35, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2902)%branchR2(0:0))
      call avR2(2902, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(202)%branchR2(0:1))
      call avR2(202, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(202, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2055,       &
      nGC_2054/))

      allocate(vertices(2337)%branchR2(0:0))
      call avR2(2337, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2251)%branchR2(0:0))
      call avR2(2251, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(2278)%branchR2(0:0))
      call avR2(2278, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(1127)%branchR2(0:3))
      call avR2(1127, 0, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1127, 1, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1127, 2, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1127, 3, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2005, nGC_2007/))

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2344)%branchR2(0:0))
      call avR2(2344, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(49)%branchR2(0:1))
      call avR2(49, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(49, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2205,        &
      nGC_2204/))

      allocate(vertices(2997)%branchR2(0:0))
      call avR2(2997, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(881)%branchR2(0:0))
      call avR2(881, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2602)%branchR2(0:0))
      call avR2(2602, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(1862)%branchR2(0:0))
      call avR2(1862, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2980)%branchR2(0:0))
      call avR2(2980, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(2888)%branchR2(0:0))
      call avR2(2888, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1901)%branchR2(0:0))
      call avR2(1901, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1329)%branchR2(0:0))
      call avR2(1329, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2321)%branchR2(0:0))
      call avR2(2321, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2626)%branchR2(0:0))
      call avR2(2626, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2207, nGC_2208,       &
      nGC_2208/))

      allocate(vertices(2571)%branchR2(0:1))
      call avR2(2571, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(2571, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2841)%branchR2(0:0))
      call avR2(2841, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1683, nGC_1681,        &
      nGC_1682/))

      allocate(vertices(2052)%branchR2(0:0))
      call avR2(2052, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,       &
      nGC_2078/))

      allocate(vertices(2915)%branchR2(0:0))
      call avR2(2915, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(3052)%branchR2(0:0))
      call avR2(3052, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2328)%branchR2(0:0))
      call avR2(2328, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2260)%branchR2(0:0))
      call avR2(2260, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2096)%branchR2(0:0))
      call avR2(2096, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2971)%branchR2(0:0))
      call avR2(2971, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(98)%branchR2(0:1))
      call avR2(98, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(98, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(3362)%branchR2(0:0))
      call avR2(3362, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2992)%branchR2(0:0))
      call avR2(2992, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2446)%branchR2(0:0))
      call avR2(2446, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2330)%branchR2(0:1))
      call avR2(2330, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(2330, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(2323)%branchR2(0:0))
      call avR2(2323, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3790)%branchR2(0:0))
      call avR2(3790, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(316)%branchR2(0:0))
      call avR2(316, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3474)%branchR2(0:0))
      call avR2(3474, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3340)%branchR2(0:0))
      call avR2(3340, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2036)%branchR2(0:0))
      call avR2(2036, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2241)%branchR2(0:0))
      call avR2(2241, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3384)%branchR2(0:0))
      call avR2(3384, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2469)%branchR2(0:0))
      call avR2(2469, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2892)%branchR2(0:0))
      call avR2(2892, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3791)%branchR2(0:0))
      call avR2(3791, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(3792)%branchR2(0:0))
      call avR2(3792, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1350)%branchR2(0:0))
      call avR2(1350, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1539)%branchR2(0:0))
      call avR2(1539, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1875/))

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3495)%branchR2(0:0))
      call avR2(3495, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2384)%branchR2(0:0))
      call avR2(2384, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(2109)%branchR2(0:0))
      call avR2(2109, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(2650)%branchR2(0:0))
      call avR2(2650, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(3008)%branchR2(0:0))
      call avR2(3008, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2281)%branchR2(0:0))
      call avR2(2281, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1615)%branchR2(0:0))
      call avR2(1615, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(1675)%branchR2(0:0))
      call avR2(1675, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3555)%branchR2(0:0))
      call avR2(3555, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1804)%branchR2(0:0))
      call avR2(1804, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1621)%branchR2(0:0))
      call avR2(1621, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3793)%branchR2(0:0))
      call avR2(3793, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(2177)%branchR2(0:1))
      call avR2(2177, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(2177, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1546)%branchR2(0:0))
      call avR2(1546, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1862/))

      allocate(vertices(3794)%branchR2(0:0))
      call avR2(3794, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2963)%branchR2(0:0))
      call avR2(2963, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2135)%branchR2(0:0))
      call avR2(2135, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3306)%branchR2(0:0))
      call avR2(3306, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1708/))

      allocate(vertices(3087)%branchR2(0:0))
      call avR2(3087, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(2871)%branchR2(0:0))
      call avR2(2871, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3795)%branchR2(0:1))
      call avR2(3795, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2209/))

      call avR2(3795, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2210/))

      allocate(vertices(2713)%branchR2(0:0))
      call avR2(2713, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(967)%branchR2(0:1))
      call avR2(967, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(967, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(1583)%branchR2(0:0))
      call avR2(1583, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1794)%branchR2(0:0))
      call avR2(1794, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3024)%branchR2(0:0))
      call avR2(3024, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(305)%branchR2(0:0))
      call avR2(305, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3261/))

      allocate(vertices(3796)%branchR2(0:1))
      call avR2(3796, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2165/))

      call avR2(3796, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(2068)%branchR2(0:0))
      call avR2(2068, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(852)%branchR2(0:1))
      call avR2(852, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(852, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2517)%branchR2(0:0))
      call avR2(2517, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2069)%branchR2(0:1))
      call avR2(2069, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(2069, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(3459)%branchR2(0:0))
      call avR2(3459, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(3095)%branchR2(0:0))
      call avR2(3095, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2534)%branchR2(0:0))
      call avR2(2534, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1755)%branchR2(0:0))
      call avR2(1755, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(3797)%branchR2(0:1))
      call avR2(3797, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2117/))

      call avR2(3797, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(3443)%branchR2(0:0))
      call avR2(3443, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(3266)%branchR2(0:0))
      call avR2(3266, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3568)%branchR2(0:0))
      call avR2(3568, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(749)%branchR2(0:0))
      call avR2(749, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3260/))

      allocate(vertices(3798)%branchR2(0:0))
      call avR2(3798, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2763)%branchR2(0:0))
      call avR2(2763, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2054)%branchR2(0:1))
      call avR2(2054, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(2054, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2761)%branchR2(0:0))
      call avR2(2761, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2942)%branchR2(0:0))
      call avR2(2942, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2421)%branchR2(0:0))
      call avR2(2421, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3581)%branchR2(0:0))
      call avR2(3581, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3799)%branchR2(0:0))
      call avR2(3799, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1994)%branchR2(0:1))
      call avR2(1994, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(1994, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(2719)%branchR2(0:0))
      call avR2(2719, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1569)%branchR2(0:1))
      call avR2(1569, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1974/))

      call avR2(1569, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2201)%branchR2(0:1))
      call avR2(2201, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(2201, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2661)%branchR2(0:0))
      call avR2(2661, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(2964)%branchR2(0:0))
      call avR2(2964, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1660, nGC_1659/))

      allocate(vertices(3800)%branchR2(0:1))
      call avR2(3800, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3800, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3261/))

      allocate(vertices(1820)%branchR2(0:0))
      call avR2(1820, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2232)%branchR2(0:0))
      call avR2(2232, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2138/))

      allocate(vertices(503)%branchR2(0:0))
      call avR2(503, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2984)%branchR2(0:0))
      call avR2(2984, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(3801)%branchR2(0:0))
      call avR2(3801, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1800)%branchR2(0:0))
      call avR2(1800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(3802)%branchR2(0:0))
      call avR2(3802, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

    end subroutine fill_vertices_mdl11
end module vertices_info11
