!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl12()
      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3803)%branchR2(0:0))
      call avR2(3803, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(231)%branchR2(0:1))
      call avR2(231, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(231, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(1455)%branchR2(0:0))
      call avR2(1455, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2157)%branchR2(0:0))
      call avR2(2157, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2835)%branchR2(0:0))
      call avR2(2835, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(1616)%branchR2(0:1))
      call avR2(1616, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(1616, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3804)%branchR2(0:0))
      call avR2(3804, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3538)%branchR2(0:0))
      call avR2(3538, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2461)%branchR2(0:0))
      call avR2(2461, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(3805)%branchR2(0:1))
      call avR2(3805, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3805, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2064, nGC_2064,      &
      nGC_2064/))

      allocate(vertices(1653)%branchR2(0:0))
      call avR2(1653, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2800)%branchR2(0:0))
      call avR2(2800, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1097)%branchR2(0:1))
      call avR2(1097, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(1097, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(2526)%branchR2(0:0))
      call avR2(2526, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1316)%branchR2(0:0))
      call avR2(1316, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1997)%branchR2(0:0))
      call avR2(1997, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(1077)%branchR2(0:0))
      call avR2(1077, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2000)%branchR2(0:0))
      call avR2(2000, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(2194)%branchR2(0:0))
      call avR2(2194, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(3111)%branchR2(0:0))
      call avR2(3111, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2847)%branchR2(0:0))
      call avR2(2847, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(3807)%branchR2(0:1))
      call avR2(3807, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2199/))

      call avR2(3807, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3444)%branchR2(0:0))
      call avR2(3444, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(424)%branchR2(0:0))
      call avR2(424, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(956)%branchR2(0:0))
      call avR2(956, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(2808)%branchR2(0:0))
      call avR2(2808, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(598)%branchR2(0:0))
      call avR2(598, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3294/))

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(1945)%branchR2(0:0))
      call avR2(1945, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3808)%branchR2(0:0))
      call avR2(3808, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2597)%branchR2(0:0))
      call avR2(2597, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(168)%branchR2(0:0))
      call avR2(168, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(1534)%branchR2(0:1))
      call avR2(1534, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(1534, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(3347)%branchR2(0:0))
      call avR2(3347, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3416)%branchR2(0:0))
      call avR2(3416, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(2909)%branchR2(0:0))
      call avR2(2909, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3327)%branchR2(0:0))
      call avR2(3327, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(470)%branchR2(0:1))
      call avR2(470, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(470, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3809)%branchR2(0:0))
      call avR2(3809, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2161)%branchR2(0:1))
      call avR2(2161, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(2161, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2393)%branchR2(0:0))
      call avR2(2393, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(3810)%branchR2(0:1))
      call avR2(3810, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3810, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(3287)%branchR2(0:0))
      call avR2(3287, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2924)%branchR2(0:0))
      call avR2(2924, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1917)%branchR2(0:1))
      call avR2(1917, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1917, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(2572)%branchR2(0:0))
      call avR2(2572, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1857)%branchR2(0:1))
      call avR2(1857, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(1857, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(219)%branchR2(0:0))
      call avR2(219, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2138)%branchR2(0:0))
      call avR2(2138, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3811)%branchR2(0:0))
      call avR2(3811, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3293)%branchR2(0:0))
      call avR2(3293, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,        &
      nGC_2076/))

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(1823)%branchR2(0:0))
      call avR2(1823, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(3812)%branchR2(0:1))
      call avR2(3812, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3812, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2064, nGC_2064,      &
      nGC_2064/))

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(2839)%branchR2(0:0))
      call avR2(2839, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2329)%branchR2(0:0))
      call avR2(2329, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2618)%branchR2(0:0))
      call avR2(2618, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2817)%branchR2(0:0))
      call avR2(2817, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2780)%branchR2(0:0))
      call avR2(2780, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1314)%branchR2(0:1))
      call avR2(1314, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(1314, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2105)%branchR2(0:0))
      call avR2(2105, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(3062)%branchR2(0:0))
      call avR2(3062, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(321)%branchR2(0:1))
      call avR2(321, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(321, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1836)%branchR2(0:1))
      call avR2(1836, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1972/))

      call avR2(1836, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3813)%branchR2(0:5))
      call avR2(3813, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3813, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3813, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3813, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3813, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3813, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      allocate(vertices(2574)%branchR2(0:1))
      call avR2(2574, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(2574, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(1744)%branchR2(0:0))
      call avR2(1744, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(2931)%branchR2(0:0))
      call avR2(2931, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1749)%branchR2(0:0))
      call avR2(1749, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2859)%branchR2(0:0))
      call avR2(2859, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3428)%branchR2(0:0))
      call avR2(3428, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(2146)%branchR2(0:0))
      call avR2(2146, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3134)%branchR2(0:0))
      call avR2(3134, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(970)%branchR2(0:1))
      call avR2(970, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(970, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1104)%branchR2(0:1))
      call avR2(1104, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(1104, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(3814)%branchR2(0:0))
      call avR2(3814, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2208, nGC_2208,        &
      nGC_2207/))

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3223)%branchR2(0:0))
      call avR2(3223, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(367)%branchR2(0:1))
      call avR2(367, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(367, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(2695)%branchR2(0:1))
      call avR2(2695, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(2695, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(412)%branchR2(0:0))
      call avR2(412, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1604)%branchR2(0:0))
      call avR2(1604, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3815)%branchR2(0:1))
      call avR2(3815, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3815, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(1830)%branchR2(0:0))
      call avR2(1830, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3554)%branchR2(0:0))
      call avR2(3554, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2499)%branchR2(0:1))
      call avR2(2499, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(2499, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(2816)%branchR2(0:0))
      call avR2(2816, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2411)%branchR2(0:0))
      call avR2(2411, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1416)%branchR2(0:0))
      call avR2(1416, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(3817)%branchR2(0:1))
      call avR2(3817, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2064, nGC_2064,      &
      nGC_2064/))

      call avR2(3817, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(59)%branchR2(0:0))
      call avR2(59, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2604)%branchR2(0:0))
      call avR2(2604, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(3818)%branchR2(0:0))
      call avR2(3818, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(3819)%branchR2(0:1))
      call avR2(3819, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3819, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(3083)%branchR2(0:0))
      call avR2(3083, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(3820)%branchR2(0:1))
      call avR2(3820, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3820, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(148)%branchR2(0:0))
      call avR2(148, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3385)%branchR2(0:0))
      call avR2(3385, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2289)%branchR2(0:0))
      call avR2(2289, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3418)%branchR2(0:0))
      call avR2(3418, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2049)%branchR2(0:1))
      call avR2(2049, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(2049, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(861)%branchR2(0:0))
      call avR2(861, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3821)%branchR2(0:0))
      call avR2(3821, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(1840)%branchR2(0:0))
      call avR2(1840, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2090)%branchR2(0:0))
      call avR2(2090, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1561)%branchR2(0:0))
      call avR2(1561, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(60)%branchR2(0:0))
      call avR2(60, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3822)%branchR2(0:0))
      call avR2(3822, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(81)%branchR2(0:0))
      call avR2(81, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(894)%branchR2(0:0))
      call avR2(894, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(505)%branchR2(0:0))
      call avR2(505, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2463)%branchR2(0:0))
      call avR2(2463, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2014)%branchR2(0:1))
      call avR2(2014, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(2014, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3823)%branchR2(0:1))
      call avR2(3823, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2197/))

      call avR2(3823, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(1772)%branchR2(0:0))
      call avR2(1772, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1931)%branchR2(0:1))
      call avR2(1931, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1931, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3294/))

      allocate(vertices(3824)%branchR2(0:0))
      call avR2(3824, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3265)%branchR2(0:0))
      call avR2(3265, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(2475)%branchR2(0:0))
      call avR2(2475, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(3220)%branchR2(0:0))
      call avR2(3220, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1201)%branchR2(0:0))
      call avR2(1201, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1491)%branchR2(0:1))
      call avR2(1491, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1491, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1733)%branchR2(0:1))
      call avR2(1733, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(1733, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3094)%branchR2(0:0))
      call avR2(3094, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1662, nGC_1661/))

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(3397)%branchR2(0:0))
      call avR2(3397, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3825)%branchR2(0:1))
      call avR2(3825, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3825, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(474)%branchR2(0:1))
      call avR2(474, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(474, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(1848)%branchR2(0:0))
      call avR2(1848, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(682)%branchR2(0:1))
      call avR2(682, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(682, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3259/))

      allocate(vertices(3827)%branchR2(0:0))
      call avR2(3827, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3408)%branchR2(0:0))
      call avR2(3408, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1670, nGC_1668,        &
      nGC_1669/))

      allocate(vertices(2533)%branchR2(0:0))
      call avR2(2533, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1983)%branchR2(0:1))
      call avR2(1983, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(1983, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(3478)%branchR2(0:0))
      call avR2(3478, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2040,       &
      nGC_2041/))

      allocate(vertices(611)%branchR2(0:0))
      call avR2(611, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(2672)%branchR2(0:0))
      call avR2(2672, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(3828)%branchR2(0:1))
      call avR2(3828, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2200/))

      call avR2(3828, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(3457)%branchR2(0:0))
      call avR2(3457, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1535)%branchR2(0:0))
      call avR2(1535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3112)%branchR2(0:0))
      call avR2(3112, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(1813)%branchR2(0:0))
      call avR2(1813, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2659)%branchR2(0:3))
      call avR2(2659, 0, 38, 1, 0, VFaF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2659, 1, 38, 1, 0, VFaF0, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(2659, 2, 39, 1, 0, VFaF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2659, 3, 39, 1, 0, VFaF0, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(273)%branchR2(0:0))
      call avR2(273, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2637)%branchR2(0:0))
      call avR2(2637, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(2662)%branchR2(0:1))
      call avR2(2662, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(2662, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(856)%branchR2(0:1))
      call avR2(856, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(856, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(2978)%branchR2(0:0))
      call avR2(2978, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2792)%branchR2(0:0))
      call avR2(2792, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1878)%branchR2(0:0))
      call avR2(1878, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3829)%branchR2(0:1))
      call avR2(3829, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3829, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      allocate(vertices(1995)%branchR2(0:0))
      call avR2(1995, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2053)%branchR2(0:0))
      call avR2(2053, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3192)%branchR2(0:0))
      call avR2(3192, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(1810)%branchR2(0:0))
      call avR2(1810, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2826)%branchR2(0:0))
      call avR2(2826, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3437)%branchR2(0:0))
      call avR2(3437, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1687)%branchR2(0:0))
      call avR2(1687, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1989/))

      allocate(vertices(3830)%branchR2(0:1))
      call avR2(3830, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3830, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2004)%branchR2(0:0))
      call avR2(2004, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(1513)%branchR2(0:0))
      call avR2(1513, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3831)%branchR2(0:0))
      call avR2(3831, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3832)%branchR2(0:0))
      call avR2(3832, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(621)%branchR2(0:0))
      call avR2(621, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3426)%branchR2(0:0))
      call avR2(3426, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(3833)%branchR2(0:1))
      call avR2(3833, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2210/))

      call avR2(3833, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2209/))

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3834)%branchR2(0:0))
      call avR2(3834, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(3835)%branchR2(0:1))
      call avR2(3835, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3835, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      allocate(vertices(1452)%branchR2(0:0))
      call avR2(1452, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3836)%branchR2(0:0))
      call avR2(3836, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(3273)%branchR2(0:0))
      call avR2(3273, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(945)%branchR2(0:0))
      call avR2(945, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(933)%branchR2(0:0))
      call avR2(933, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2580)%branchR2(0:1))
      call avR2(2580, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(2580, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(2298)%branchR2(0:0))
      call avR2(2298, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3303)%branchR2(0:0))
      call avR2(3303, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(3837)%branchR2(0:0))
      call avR2(3837, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(1678)%branchR2(0:0))
      call avR2(1678, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(636)%branchR2(0:0))
      call avR2(636, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(3389)%branchR2(0:0))
      call avR2(3389, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1910)%branchR2(0:0))
      call avR2(1910, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3420)%branchR2(0:0))
      call avR2(3420, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2140)%branchR2(0:0))
      call avR2(2140, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3472)%branchR2(0:0))
      call avR2(3472, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3180)%branchR2(0:1))
      call avR2(3180, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1709, nGC_1709/))

      call avR2(3180, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1710, nGC_1710/))

      allocate(vertices(901)%branchR2(0:1))
      call avR2(901, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1972/))

      call avR2(901, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3838)%branchR2(0:0))
      call avR2(3838, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(497)%branchR2(0:0))
      call avR2(497, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2141)%branchR2(0:0))
      call avR2(2141, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1016)%branchR2(0:0))
      call avR2(1016, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2447)%branchR2(0:0))
      call avR2(2447, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2040,       &
      nGC_2042/))

      allocate(vertices(3205)%branchR2(0:0))
      call avR2(3205, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(3839)%branchR2(0:5))
      call avR2(3839, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3839, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_2107, nGC_2107,      &
      nGC_2107/))

      call avR2(3839, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3839, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3839, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3839, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      allocate(vertices(2641)%branchR2(0:0))
      call avR2(2641, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3092)%branchR2(0:1))
      call avR2(3092, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1693, nGC_1693/))

      call avR2(3092, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1694, nGC_1694/))

      allocate(vertices(3225)%branchR2(0:0))
      call avR2(3225, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2616)%branchR2(0:0))
      call avR2(2616, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2920)%branchR2(0:0))
      call avR2(2920, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2009)%branchR2(0:0))
      call avR2(2009, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(2554)%branchR2(0:0))
      call avR2(2554, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(707)%branchR2(0:1))
      call avR2(707, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(707, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(2006)%branchR2(0:0))
      call avR2(2006, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2332)%branchR2(0:0))
      call avR2(2332, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1681)%branchR2(0:0))
      call avR2(1681, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2634)%branchR2(0:1))
      call avR2(2634, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(2634, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(2361)%branchR2(0:0))
      call avR2(2361, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2356)%branchR2(0:0))
      call avR2(2356, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2205,       &
      nGC_2206/))

      allocate(vertices(3202)%branchR2(0:0))
      call avR2(3202, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3840)%branchR2(0:1))
      call avR2(3840, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2200/))

      call avR2(3840, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(1806)%branchR2(0:0))
      call avR2(1806, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2370)%branchR2(0:0))
      call avR2(2370, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(359)%branchR2(0:0))
      call avR2(359, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(38)%branchR2(0:1))
      call avR2(38, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(38, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(913)%branchR2(0:1))
      call avR2(913, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(913, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2664)%branchR2(0:0))
      call avR2(2664, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3369)%branchR2(0:0))
      call avR2(3369, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(14)%branchR2(0:1))
      call avR2(14, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(14, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3190)%branchR2(0:0))
      call avR2(3190, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2485)%branchR2(0:0))
      call avR2(2485, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1064)%branchR2(0:1))
      call avR2(1064, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1064, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(490)%branchR2(0:0))
      call avR2(490, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2277)%branchR2(0:0))
      call avR2(2277, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2840)%branchR2(0:0))
      call avR2(2840, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1838)%branchR2(0:0))
      call avR2(1838, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(2130)%branchR2(0:0))
      call avR2(2130, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2122)%branchR2(0:0))
      call avR2(2122, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2717)%branchR2(0:0))
      call avR2(2717, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3842)%branchR2(0:0))
      call avR2(3842, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2539)%branchR2(0:0))
      call avR2(2539, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1783/))

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042, nGC_2040&
      /))

      allocate(vertices(45)%branchR2(0:3))
      call avR2(45, 0, 35, 1, 0, FaFV0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(45, 1, 35, 1, 0, FaFV0, (/1, 2/), (/nGC_2008, nGC_2009/))

      call avR2(45, 2, 34, 1, 0, FaFV0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(45, 3, 34, 1, 0, FaFV0, (/1, 2/), (/nGC_2010, nGC_2011/))

      allocate(vertices(3843)%branchR2(0:1))
      call avR2(3843, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3843, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1614)%branchR2(0:3))
      call avR2(1614, 0, 38, 1, 0, VFaF0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(1614, 1, 38, 1, 0, VFaF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1614, 2, 39, 1, 0, VFaF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1614, 3, 39, 1, 0, VFaF0, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1705)%branchR2(0:0))
      call avR2(1705, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,       &
      nGC_2078/))

      allocate(vertices(1537)%branchR2(0:1))
      call avR2(1537, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(1537, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(24)%branchR2(0:0))
      call avR2(24, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2501)%branchR2(0:1))
      call avR2(2501, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(2501, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(2280)%branchR2(0:0))
      call avR2(2280, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2644)%branchR2(0:1))
      call avR2(2644, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(2644, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(3845)%branchR2(0:0))
      call avR2(3845, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(2487)%branchR2(0:0))
      call avR2(2487, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(199)%branchR2(0:0))
      call avR2(199, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1782/))

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(353)%branchR2(0:0))
      call avR2(353, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2114)%branchR2(0:0))
      call avR2(2114, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1735)%branchR2(0:1))
      call avR2(1735, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(1735, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2027)%branchR2(0:0))
      call avR2(2027, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(919)%branchR2(0:3))
      call avR2(919, 0, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(919, 1, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2022, nGC_2023/))

      call avR2(919, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(919, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(840)%branchR2(0:1))
      call avR2(840, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(840, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(2678)%branchR2(0:0))
      call avR2(2678, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2542)%branchR2(0:0))
      call avR2(2542, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3846)%branchR2(0:0))
      call avR2(3846, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3382)%branchR2(0:0))
      call avR2(3382, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(765)%branchR2(0:0))
      call avR2(765, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1979)%branchR2(0:0))
      call avR2(1979, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(806)%branchR2(0:3))
      call avR2(806, 0, 35, 1, 0, FaFV0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(806, 1, 35, 1, 0, FaFV0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(806, 2, 34, 1, 0, FaFV0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(806, 3, 34, 1, 0, FaFV0, (/3, 0/), (/nGC_2006, nGC_2006/))

      allocate(vertices(1588)%branchR2(0:0))
      call avR2(1588, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3090)%branchR2(0:0))
      call avR2(3090, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2439)%branchR2(0:0))
      call avR2(2439, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(1982)%branchR2(0:0))
      call avR2(1982, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2506)%branchR2(0:0))
      call avR2(2506, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(3232)%branchR2(0:0))
      call avR2(3232, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1532)%branchR2(0:0))
      call avR2(1532, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3066)%branchR2(0:0))
      call avR2(3066, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1900)%branchR2(0:0))
      call avR2(1900, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2508)%branchR2(0:0))
      call avR2(2508, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1970)%branchR2(0:0))
      call avR2(1970, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1438)%branchR2(0:0))
      call avR2(1438, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(2770)%branchR2(0:0))
      call avR2(2770, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(3847)%branchR2(0:0))
      call avR2(3847, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2029)%branchR2(0:0))
      call avR2(2029, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1575)%branchR2(0:0))
      call avR2(1575, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(2300)%branchR2(0:0))
      call avR2(2300, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2977)%branchR2(0:0))
      call avR2(2977, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3848)%branchR2(0:1))
      call avR2(3848, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2172/))

      call avR2(3848, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2926)%branchR2(0:0))
      call avR2(2926, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(1965)%branchR2(0:0))
      call avR2(1965, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3498)%branchR2(0:0))
      call avR2(3498, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1811)%branchR2(0:1))
      call avR2(1811, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(1811, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1555)%branchR2(0:1))
      call avR2(1555, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(1555, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(1544)%branchR2(0:0))
      call avR2(1544, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(41)%branchR2(0:0))
      call avR2(41, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(3849)%branchR2(0:1))
      call avR2(3849, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3849, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2172/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1927)%branchR2(0:0))
      call avR2(1927, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2624)%branchR2(0:0))
      call avR2(2624, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2914)%branchR2(0:0))
      call avR2(2914, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1958)%branchR2(0:0))
      call avR2(1958, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2786)%branchR2(0:0))
      call avR2(2786, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(1636)%branchR2(0:1))
      call avR2(1636, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(1636, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2728)%branchR2(0:0))
      call avR2(2728, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(2126)%branchR2(0:1))
      call avR2(2126, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(2126, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1969)%branchR2(0:0))
      call avR2(1969, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2108)%branchR2(0:0))
      call avR2(2108, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2023)%branchR2(0:0))
      call avR2(2023, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(713)%branchR2(0:0))
      call avR2(713, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1911/))

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1481)%branchR2(0:0))
      call avR2(1481, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(3850)%branchR2(0:1))
      call avR2(3850, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3850, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(3482)%branchR2(0:0))
      call avR2(3482, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1875/))

      allocate(vertices(1890)%branchR2(0:0))
      call avR2(1890, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1935)%branchR2(0:0))
      call avR2(1935, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3851)%branchR2(0:0))
      call avR2(3851, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3852)%branchR2(0:1))
      call avR2(3852, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2209/))

      call avR2(3852, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2210/))

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(2912)%branchR2(0:0))
      call avR2(2912, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3853)%branchR2(0:0))
      call avR2(3853, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1053)%branchR2(0:0))
      call avR2(1053, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(291)%branchR2(0:1))
      call avR2(291, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(291, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1714)%branchR2(0:1))
      call avR2(1714, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(1714, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(890)%branchR2(0:0))
      call avR2(890, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2086)%branchR2(0:0))
      call avR2(2086, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2833)%branchR2(0:0))
      call avR2(2833, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(3295)%branchR2(0:0))
      call avR2(3295, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1068)%branchR2(0:1))
      call avR2(1068, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1068, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1925)%branchR2(0:0))
      call avR2(1925, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(2253)%branchR2(0:0))
      call avR2(2253, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(492)%branchR2(0:0))
      call avR2(492, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1079)%branchR2(0:0))
      call avR2(1079, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2536)%branchR2(0:0))
      call avR2(2536, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(3341)%branchR2(0:0))
      call avR2(3341, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2285)%branchR2(0:0))
      call avR2(2285, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(3171)%branchR2(0:1))
      call avR2(3171, 0, 16, 1, 0, VV1, (/2, 0/), (/nGC_1706, nGC_1704,        &
      nGC_1705/))

      call avR2(3171, 1, 15, 1, 0, VV1, (/2, 0/), (/nGC_1703, nGC_1701,        &
      nGC_1702/))

      allocate(vertices(3036)%branchR2(0:0))
      call avR2(3036, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(686)%branchR2(0:1))
      call avR2(686, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(686, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(3854)%branchR2(0:1))
      call avR2(3854, 0, 45, 1, 0, VVS0, (/2, 1/), (/nGC_1927/))

      call avR2(3854, 1, 46, 1, 0, VVS0, (/2, 1/), (/nGC_1928/))

      allocate(vertices(3184)%branchR2(0:0))
      call avR2(3184, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1247)%branchR2(0:0))
      call avR2(1247, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3462)%branchR2(0:0))
      call avR2(3462, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3576)%branchR2(0:0))
      call avR2(3576, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1707)%branchR2(0:3))
      call avR2(1707, 0, 40, 1, 0, VFFa1, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(1707, 1, 40, 1, 0, VFFa1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1707, 2, 41, 1, 0, VFFa1, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(1707, 3, 41, 1, 0, VFFa1, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(2595)%branchR2(0:0))
      call avR2(2595, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2876)%branchR2(0:0))
      call avR2(2876, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2556)%branchR2(0:0))
      call avR2(2556, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1723)%branchR2(0:1))
      call avR2(1723, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(1723, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1140)%branchR2(0:1))
      call avR2(1140, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1974/))

      call avR2(1140, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(458)%branchR2(0:0))
      call avR2(458, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2510)%branchR2(0:0))
      call avR2(2510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1861/))

      allocate(vertices(1590)%branchR2(0:0))
      call avR2(1590, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2972)%branchR2(0:0))
      call avR2(2972, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2486)%branchR2(0:3))
      call avR2(2486, 0, 35, 1, 0, FaFV0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(2486, 1, 35, 1, 0, FaFV0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2486, 2, 34, 1, 0, FaFV0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2486, 3, 34, 1, 0, FaFV0, (/1, 2/), (/nGC_2005, nGC_2007/))

      allocate(vertices(1276)%branchR2(0:0))
      call avR2(1276, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2801)%branchR2(0:0))
      call avR2(2801, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2)%branchR2(0:1))
      call avR2(2, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3441)%branchR2(0:0))
      call avR2(3441, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_1699, nGC_1698,       &
      nGC_1698, nGC_1700/))

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2677)%branchR2(0:0))
      call avR2(2677, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2005)%branchR2(0:1))
      call avR2(2005, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(2005, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(939)%branchR2(0:0))
      call avR2(939, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2667)%branchR2(0:0))
      call avR2(2667, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1550)%branchR2(0:0))
      call avR2(1550, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2107)%branchR2(0:0))
      call avR2(2107, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(800)%branchR2(0:0))
      call avR2(800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(527)%branchR2(0:1))
      call avR2(527, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(527, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1846)%branchR2(0:1))
      call avR2(1846, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1846, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(1609)%branchR2(0:0))
      call avR2(1609, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2720)%branchR2(0:0))
      call avR2(2720, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1667, nGC_1665,        &
      nGC_1666/))

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3855)%branchR2(0:0))
      call avR2(3855, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1342)%branchR2(0:1))
      call avR2(1342, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(1342, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(3856)%branchR2(0:0))
      call avR2(3856, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(693)%branchR2(0:1))
      call avR2(693, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(693, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(1698)%branchR2(0:0))
      call avR2(1698, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(1632)%branchR2(0:0))
      call avR2(1632, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(2700)%branchR2(0:0))
      call avR2(2700, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(738)%branchR2(0:1))
      call avR2(738, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(738, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(3857)%branchR2(0:1))
      call avR2(3857, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2172/))

      call avR2(3857, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(1044)%branchR2(0:0))
      call avR2(1044, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3858)%branchR2(0:0))
      call avR2(3858, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(1968)%branchR2(0:0))
      call avR2(1968, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3859)%branchR2(0:1))
      call avR2(3859, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2154/))

      call avR2(3859, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2153/))

      allocate(vertices(2374)%branchR2(0:0))
      call avR2(2374, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1058)%branchR2(0:1))
      call avR2(1058, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(1058, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(1551)%branchR2(0:0))
      call avR2(1551, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(1670)%branchR2(0:1))
      call avR2(1670, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(1670, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(3860)%branchR2(0:1))
      call avR2(3860, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2098/))

      call avR2(3860, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(1594)%branchR2(0:0))
      call avR2(1594, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(770)%branchR2(0:0))
      call avR2(770, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2037)%branchR2(0:0))
      call avR2(2037, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3861)%branchR2(0:0))
      call avR2(3861, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1331)%branchR2(0:0))
      call avR2(1331, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3102)%branchR2(0:0))
      call avR2(3102, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1897)%branchR2(0:0))
      call avR2(1897, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2217)%branchR2(0:0))
      call avR2(2217, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(3543)%branchR2(0:0))
      call avR2(3543, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2156)%branchR2(0:0))
      call avR2(2156, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(3096)%branchR2(0:0))
      call avR2(3096, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3451)%branchR2(0:0))
      call avR2(3451, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1724)%branchR2(0:1))
      call avR2(1724, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(1724, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1081)%branchR2(0:1))
      call avR2(1081, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(1081, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2991)%branchR2(0:0))
      call avR2(2991, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(3862)%branchR2(0:1))
      call avR2(3862, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3862, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3493)%branchR2(0:0))
      call avR2(3493, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2221)%branchR2(0:0))
      call avR2(2221, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(1086)%branchR2(0:1))
      call avR2(1086, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1086, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(1716)%branchR2(0:0))
      call avR2(1716, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2422)%branchR2(0:1))
      call avR2(2422, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(2422, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(1092)%branchR2(0:0))
      call avR2(1092, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3058)%branchR2(0:0))
      call avR2(3058, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_1699, nGC_1713,       &
      nGC_1713, nGC_1700/))

      allocate(vertices(716)%branchR2(0:1))
      call avR2(716, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(716, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3000)%branchR2(0:0))
      call avR2(3000, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(902)%branchR2(0:1))
      call avR2(902, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(902, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(240)%branchR2(0:1))
      call avR2(240, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1972/))

      call avR2(240, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,       &
      nGC_2076/))

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3051)%branchR2(0:0))
      call avR2(3051, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3863)%branchR2(0:1))
      call avR2(3863, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3863, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2172/))

      allocate(vertices(673)%branchR2(0:3))
      call avR2(673, 0, 32, 1, 0, FaVF0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(673, 1, 32, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(673, 2, 33, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(673, 3, 33, 1, 0, FaVF0, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(2685)%branchR2(0:0))
      call avR2(2685, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(747)%branchR2(0:1))
      call avR2(747, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(747, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1543)%branchR2(0:0))
      call avR2(1543, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3864)%branchR2(0:0))
      call avR2(3864, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(2458)%branchR2(0:1))
      call avR2(2458, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(2458, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1770)%branchR2(0:0))
      call avR2(1770, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2551)%branchR2(0:3))
      call avR2(2551, 0, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(2551, 1, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2551, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2551, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(3865)%branchR2(0:1))
      call avR2(3865, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2165/))

      call avR2(3865, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2033)%branchR2(0:0))
      call avR2(2033, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(526)%branchR2(0:0))
      call avR2(526, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1907)%branchR2(0:0))
      call avR2(1907, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(3866)%branchR2(0:0))
      call avR2(3866, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2505)%branchR2(0:1))
      call avR2(2505, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(2505, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1899)%branchR2(0:1))
      call avR2(1899, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1974/))

      call avR2(1899, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3507)%branchR2(0:0))
      call avR2(3507, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2074)%branchR2(0:0))
      call avR2(2074, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(1033)%branchR2(0:0))
      call avR2(1033, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(1690)%branchR2(0:0))
      call avR2(1690, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(3867)%branchR2(0:1))
      call avR2(3867, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3867, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1515)%branchR2(0:0))
      call avR2(1515, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3456)%branchR2(0:0))
      call avR2(3456, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(3868)%branchR2(0:0))
      call avR2(3868, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(2243)%branchR2(0:1))
      call avR2(2243, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(2243, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(2853)%branchR2(0:0))
      call avR2(2853, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1664, nGC_1663/))

      allocate(vertices(2258)%branchR2(0:0))
      call avR2(2258, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3217)%branchR2(0:0))
      call avR2(3217, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3375)%branchR2(0:0))
      call avR2(3375, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1861)%branchR2(0:0))
      call avR2(1861, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1781/))

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1895)%branchR2(0:0))
      call avR2(1895, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(1926)%branchR2(0:0))
      call avR2(1926, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(880)%branchR2(0:1))
      call avR2(880, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(880, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(2134)%branchR2(0:0))
      call avR2(2134, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3869)%branchR2(0:1))
      call avR2(3869, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2153/))

      call avR2(3869, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(194)%branchR2(0:0))
      call avR2(194, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(804)%branchR2(0:1))
      call avR2(804, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(804, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(1168)%branchR2(0:0))
      call avR2(1168, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3304)%branchR2(0:0))
      call avR2(3304, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(433)%branchR2(0:0))
      call avR2(433, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1988)%branchR2(0:1))
      call avR2(1988, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(1988, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3439)%branchR2(0:0))
      call avR2(3439, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(3870)%branchR2(0:0))
      call avR2(3870, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(2457)%branchR2(0:0))
      call avR2(2457, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2873)%branchR2(0:0))
      call avR2(2873, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(2906)%branchR2(0:0))
      call avR2(2906, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3056)%branchR2(0:0))
      call avR2(3056, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(2402)%branchR2(0:0))
      call avR2(2402, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(1826)%branchR2(0:0))
      call avR2(1826, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(848)%branchR2(0:0))
      call avR2(848, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1524)%branchR2(0:0))
      call avR2(1524, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2625)%branchR2(0:1))
      call avR2(2625, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(2625, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(2199)%branchR2(0:0))
      call avR2(2199, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3871)%branchR2(0:0))
      call avR2(3871, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3872)%branchR2(0:1))
      call avR2(3872, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2187/))

      call avR2(3872, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(3873)%branchR2(0:1))
      call avR2(3873, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3873, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(2741)%branchR2(0:0))
      call avR2(2741, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(3874)%branchR2(0:1))
      call avR2(3874, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3874, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1497)%branchR2(0:1))
      call avR2(1497, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(1497, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3189)%branchR2(0:0))
      call avR2(3189, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3016)%branchR2(0:0))
      call avR2(3016, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1658, nGC_1657/))

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076, nGC_2078 &
      /))

      allocate(vertices(120)%branchR2(0:1))
      call avR2(120, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(120, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,        &
      nGC_2076/))

      allocate(vertices(2582)%branchR2(0:1))
      call avR2(2582, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(2582, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1798)%branchR2(0:0))
      call avR2(1798, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2944)%branchR2(0:0))
      call avR2(2944, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1587)%branchR2(0:0))
      call avR2(1587, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3875)%branchR2(0:1))
      call avR2(3875, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2171/))

      call avR2(3875, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2172/))

      allocate(vertices(3876)%branchR2(0:1))
      call avR2(3876, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3876, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(3410)%branchR2(0:0))
      call avR2(3410, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(2245)%branchR2(0:0))
      call avR2(2245, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(3153)%branchR2(0:0))
      call avR2(3153, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1680, nGC_1679/))

      allocate(vertices(723)%branchR2(0:1))
      call avR2(723, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(723, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2159)%branchR2(0:0))
      call avR2(2159, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3877)%branchR2(0:5))
      call avR2(3877, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3877, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3877, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3877, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3877, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3877, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1953)%branchR2(0:0))
      call avR2(1953, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2072)%branchR2(0:0))
      call avR2(2072, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2423)%branchR2(0:0))
      call avR2(2423, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1881)%branchR2(0:0))
      call avR2(1881, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1845/))

    end subroutine fill_vertices_mdl12
end module vertices_info12
